import{S as v2,i as w2,s as $2,e as a,k as c,w as b,t as n,M as x2,c as r,d as o,m as p,a as i,x as y,h as s,b as l,G as e,g as u,y as v,q as w,o as $,B as x,v as z2,L as Nt}from"../../chunks/vendor-hf-doc-builder.js";import{T as Pt}from"../../chunks/Tip-hf-doc-builder.js";import{D as A}from"../../chunks/Docstring-hf-doc-builder.js";import{C as ge}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as _e}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Ot}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as Ur}from"../../chunks/PipelineTag-hf-doc-builder.js";function E2(q){let m,k,g,_,T;return{c(){m=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(f,"CODE",{});var F=i(g);_=s(F,"Module"),F.forEach(o),T=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){u(d,m,f),e(m,k),e(m,g),e(g,_),e(m,T)},d(d){d&&o(m)}}}function q2(q){let m,k,g,_,T;return _=new ge({props:{code:`from transformers import AutoTokenizer, T5Model

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = T5Model.from_pretrained("t5-small")

input_ids = tokenizer(
    "Studies have been shown that owning a dog is good for you", return_tensors="pt"
).input_ids  # Batch size 1
decoder_input_ids = tokenizer("Studies show that", return_tensors="pt").input_ids  # Batch size 1

# preprocess: Prepend decoder_input_ids with start token which is pad token for T5Model.
# This is not needed for torch's T5ForConditionalGeneration as it does this internally using labels arg.
decoder_input_ids = model._shift_right(decoder_input_ids)

# forward pass
outputs = model(input_ids=input_ids, decoder_input_ids=decoder_input_ids)
last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, T5Model

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5Model.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Studies have been shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = tokenizer(<span class="hljs-string">&quot;Studies show that&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids  <span class="hljs-comment"># Batch size 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># preprocess: Prepend decoder_input_ids with start token which is pad token for T5Model.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># This is not needed for torch&#x27;s T5ForConditionalGeneration as it does this internally using labels arg.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = model._shift_right(decoder_input_ids)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward pass</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids=input_ids, decoder_input_ids=decoder_input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){m=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Example:"),f.forEach(o),g=p(d),y(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),v(_,d,f),T=!0},p:Nt,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function F2(q){let m,k,g,_,T;return{c(){m=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(f,"CODE",{});var F=i(g);_=s(F,"Module"),F.forEach(o),T=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){u(d,m,f),e(m,k),e(m,g),e(g,_),e(m,T)},d(d){d&&o(m)}}}function j2(q){let m,k,g,_,T;return _=new ge({props:{code:`from transformers import AutoTokenizer, T5ForConditionalGeneration

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

# training
input_ids = tokenizer("The <extra_id_0> walks in <extra_id_1> park", return_tensors="pt").input_ids
labels = tokenizer("<extra_id_0> cute dog <extra_id_1> the <extra_id_2>", return_tensors="pt").input_ids
outputs = model(input_ids=input_ids, labels=labels)
loss = outputs.loss
logits = outputs.logits

# inference
input_ids = tokenizer(
    "summarize: studies have shown that owning a dog is good for you", return_tensors="pt"
).input_ids  # Batch size 1
outputs = model.generate(input_ids)
print(tokenizer.decode(outputs[0], skip_special_tokens=True))
# studies have shown that owning a dog is good for you.`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, T5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># training</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(<span class="hljs-string">&quot;The &lt;extra_id_0&gt; walks in &lt;extra_id_1&gt; park&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;&lt;extra_id_0&gt; cute dog &lt;extra_id_1&gt; the &lt;extra_id_2&gt;&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids=input_ids, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># inference</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;summarize: studies have shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.generate(input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.decode(outputs[<span class="hljs-number">0</span>], skip_special_tokens=<span class="hljs-literal">True</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># studies have shown that owning a dog is good for you.</span>`}}),{c(){m=a("p"),k=n("Examples:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Examples:"),f.forEach(o),g=p(d),y(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),v(_,d,f),T=!0},p:Nt,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function M2(q){let m,k,g,_,T;return{c(){m=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(f,"CODE",{});var F=i(g);_=s(F,"Module"),F.forEach(o),T=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){u(d,m,f),e(m,k),e(m,g),e(g,_),e(m,T)},d(d){d&&o(m)}}}function C2(q){let m,k,g,_,T;return _=new ge({props:{code:`from transformers import AutoTokenizer, T5EncoderModel

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = T5EncoderModel.from_pretrained("t5-small")
input_ids = tokenizer(
    "Studies have been shown that owning a dog is good for you", return_tensors="pt"
).input_ids  # Batch size 1
outputs = model(input_ids=input_ids)
last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, T5EncoderModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5EncoderModel.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Studies have been shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids=input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){m=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Example:"),f.forEach(o),g=p(d),y(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),v(_,d,f),T=!0},p:Nt,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function A2(q){let m,k,g,_,T,d,f,F,Le,qe,S,oe,ne,E,Ie,H,De,Fe,G,Se,ae,Z,Ge,je,B,Be,Me,U,Te,Ue,re,C,P,Ce,D,ke,J,X,be,We,O,ye,Q,Re,He,K,ve,Ke,W,we,I,Ve,ee,N,Ye,L,Ze,Je;return{c(){m=a("p"),k=n("TensorFlow models and layers in "),g=a("code"),_=n("transformers"),T=n(" accept two formats as input:"),d=c(),f=a("ul"),F=a("li"),Le=n("having all inputs as keyword arguments (like PyTorch models), or"),qe=c(),S=a("li"),oe=n("having all inputs as a list, tuple or dict in the first positional argument."),ne=c(),E=a("p"),Ie=n(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),H=a("code"),De=n("model.fit()"),Fe=n(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),G=a("code"),Se=n("model.fit()"),ae=n(` supports! If, however, you want to use the second
format outside of Keras methods like `),Z=a("code"),Ge=n("fit()"),je=n(" and "),B=a("code"),Be=n("predict()"),Me=n(`, such as when creating your own layers or models with
the Keras `),U=a("code"),Te=n("Functional"),Ue=n(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),re=c(),C=a("ul"),P=a("li"),Ce=n("a single Tensor with "),D=a("code"),ke=n("input_ids"),J=n(" only and nothing else: "),X=a("code"),be=n("model(input_ids)"),We=c(),O=a("li"),ye=n(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Q=a("code"),Re=n("model([input_ids, attention_mask])"),He=n(" or "),K=a("code"),ve=n("model([input_ids, attention_mask, token_type_ids])"),Ke=c(),W=a("li"),we=n(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),I=a("code"),Ve=n('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ee=c(),N=a("p"),Ye=n(`Note that when creating models and layers with
`),L=a("a"),Ze=n("subclassing"),Je=n(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(z){m=r(z,"P",{});var j=i(m);k=s(j,"TensorFlow models and layers in "),g=r(j,"CODE",{});var mt=i(g);_=s(mt,"transformers"),mt.forEach(o),T=s(j," accept two formats as input:"),j.forEach(o),d=p(z),f=r(z,"UL",{});var ie=i(f);F=r(ie,"LI",{});var Xe=i(F);Le=s(Xe,"having all inputs as keyword arguments (like PyTorch models), or"),Xe.forEach(o),qe=p(ie),S=r(ie,"LI",{});var ft=i(S);oe=s(ft,"having all inputs as a list, tuple or dict in the first positional argument."),ft.forEach(o),ie.forEach(o),ne=p(z),E=r(z,"P",{});var M=i(E);Ie=s(M,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),H=r(M,"CODE",{});var V=i(H);De=s(V,"model.fit()"),V.forEach(o),Fe=s(M,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),G=r(M,"CODE",{});var et=i(G);Se=s(et,"model.fit()"),et.forEach(o),ae=s(M,` supports! If, however, you want to use the second
format outside of Keras methods like `),Z=r(M,"CODE",{});var tt=i(Z);Ge=s(tt,"fit()"),tt.forEach(o),je=s(M," and "),B=r(M,"CODE",{});var Ae=i(B);Be=s(Ae,"predict()"),Ae.forEach(o),Me=s(M,`, such as when creating your own layers or models with
the Keras `),U=r(M,"CODE",{});var _t=i(U);Te=s(_t,"Functional"),_t.forEach(o),Ue=s(M,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),M.forEach(o),re=p(z),C=r(z,"UL",{});var R=i(C);P=r(R,"LI",{});var Y=i(P);Ce=s(Y,"a single Tensor with "),D=r(Y,"CODE",{});var ot=i(D);ke=s(ot,"input_ids"),ot.forEach(o),J=s(Y," only and nothing else: "),X=r(Y,"CODE",{});var Pe=i(X);be=s(Pe,"model(input_ids)"),Pe.forEach(o),Y.forEach(o),We=p(R),O=r(R,"LI",{});var te=i(O);ye=s(te,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Q=r(te,"CODE",{});var gt=i(Q);Re=s(gt,"model([input_ids, attention_mask])"),gt.forEach(o),He=s(te," or "),K=r(te,"CODE",{});var nt=i(K);ve=s(nt,"model([input_ids, attention_mask, token_type_ids])"),nt.forEach(o),te.forEach(o),Ke=p(R),W=r(R,"LI",{});var $e=i(W);we=s($e,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),I=r($e,"CODE",{});var Oe=i(I);Ve=s(Oe,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Oe.forEach(o),$e.forEach(o),R.forEach(o),ee=p(z),N=r(z,"P",{});var he=i(N);Ye=s(he,`Note that when creating models and layers with
`),L=r(he,"A",{href:!0,rel:!0});var Tt=i(L);Ze=s(Tt,"subclassing"),Tt.forEach(o),Je=s(he,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),he.forEach(o),this.h()},h(){l(L,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),l(L,"rel","nofollow")},m(z,j){u(z,m,j),e(m,k),e(m,g),e(g,_),e(m,T),u(z,d,j),u(z,f,j),e(f,F),e(F,Le),e(f,qe),e(f,S),e(S,oe),u(z,ne,j),u(z,E,j),e(E,Ie),e(E,H),e(H,De),e(E,Fe),e(E,G),e(G,Se),e(E,ae),e(E,Z),e(Z,Ge),e(E,je),e(E,B),e(B,Be),e(E,Me),e(E,U),e(U,Te),e(E,Ue),u(z,re,j),u(z,C,j),e(C,P),e(P,Ce),e(P,D),e(D,ke),e(P,J),e(P,X),e(X,be),e(C,We),e(C,O),e(O,ye),e(O,Q),e(Q,Re),e(O,He),e(O,K),e(K,ve),e(C,Ke),e(C,W),e(W,we),e(W,I),e(I,Ve),u(z,ee,j),u(z,N,j),e(N,Ye),e(N,L),e(L,Ze),e(N,Je)},d(z){z&&o(m),z&&o(d),z&&o(f),z&&o(ne),z&&o(E),z&&o(re),z&&o(C),z&&o(ee),z&&o(N)}}}function P2(q){let m,k,g,_,T;return{c(){m=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(f,"CODE",{});var F=i(g);_=s(F,"Module"),F.forEach(o),T=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){u(d,m,f),e(m,k),e(m,g),e(g,_),e(m,T)},d(d){d&&o(m)}}}function O2(q){let m,k,g,_,T;return _=new ge({props:{code:`from transformers import AutoTokenizer, TFT5Model

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = TFT5Model.from_pretrained("t5-small")

input_ids = tokenizer(
    "Studies have been shown that owning a dog is good for you", return_tensors="tf"
).input_ids  # Batch size 1
decoder_input_ids = tokenizer("Studies show that", return_tensors="tf").input_ids  # Batch size 1

# preprocess: Prepend decoder_input_ids with start token which is pad token for T5Model.
# This is not needed for torch's T5ForConditionalGeneration as it does this internally using labels arg.
decoder_input_ids = model._shift_right(decoder_input_ids)

# forward pass
outputs = model(input_ids, decoder_input_ids=decoder_input_ids)
last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFT5Model

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFT5Model.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Studies have been shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>
<span class="hljs-meta">... </span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = tokenizer(<span class="hljs-string">&quot;Studies show that&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>).input_ids  <span class="hljs-comment"># Batch size 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># preprocess: Prepend decoder_input_ids with start token which is pad token for T5Model.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># This is not needed for torch&#x27;s T5ForConditionalGeneration as it does this internally using labels arg.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = model._shift_right(decoder_input_ids)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward pass</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids, decoder_input_ids=decoder_input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){m=a("p"),k=n("Examples:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Examples:"),f.forEach(o),g=p(d),y(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),v(_,d,f),T=!0},p:Nt,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function N2(q){let m,k,g,_,T,d,f,F,Le,qe,S,oe,ne,E,Ie,H,De,Fe,G,Se,ae,Z,Ge,je,B,Be,Me,U,Te,Ue,re,C,P,Ce,D,ke,J,X,be,We,O,ye,Q,Re,He,K,ve,Ke,W,we,I,Ve,ee,N,Ye,L,Ze,Je;return{c(){m=a("p"),k=n("TensorFlow models and layers in "),g=a("code"),_=n("transformers"),T=n(" accept two formats as input:"),d=c(),f=a("ul"),F=a("li"),Le=n("having all inputs as keyword arguments (like PyTorch models), or"),qe=c(),S=a("li"),oe=n("having all inputs as a list, tuple or dict in the first positional argument."),ne=c(),E=a("p"),Ie=n(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),H=a("code"),De=n("model.fit()"),Fe=n(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),G=a("code"),Se=n("model.fit()"),ae=n(` supports! If, however, you want to use the second
format outside of Keras methods like `),Z=a("code"),Ge=n("fit()"),je=n(" and "),B=a("code"),Be=n("predict()"),Me=n(`, such as when creating your own layers or models with
the Keras `),U=a("code"),Te=n("Functional"),Ue=n(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),re=c(),C=a("ul"),P=a("li"),Ce=n("a single Tensor with "),D=a("code"),ke=n("input_ids"),J=n(" only and nothing else: "),X=a("code"),be=n("model(input_ids)"),We=c(),O=a("li"),ye=n(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Q=a("code"),Re=n("model([input_ids, attention_mask])"),He=n(" or "),K=a("code"),ve=n("model([input_ids, attention_mask, token_type_ids])"),Ke=c(),W=a("li"),we=n(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),I=a("code"),Ve=n('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ee=c(),N=a("p"),Ye=n(`Note that when creating models and layers with
`),L=a("a"),Ze=n("subclassing"),Je=n(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(z){m=r(z,"P",{});var j=i(m);k=s(j,"TensorFlow models and layers in "),g=r(j,"CODE",{});var mt=i(g);_=s(mt,"transformers"),mt.forEach(o),T=s(j," accept two formats as input:"),j.forEach(o),d=p(z),f=r(z,"UL",{});var ie=i(f);F=r(ie,"LI",{});var Xe=i(F);Le=s(Xe,"having all inputs as keyword arguments (like PyTorch models), or"),Xe.forEach(o),qe=p(ie),S=r(ie,"LI",{});var ft=i(S);oe=s(ft,"having all inputs as a list, tuple or dict in the first positional argument."),ft.forEach(o),ie.forEach(o),ne=p(z),E=r(z,"P",{});var M=i(E);Ie=s(M,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),H=r(M,"CODE",{});var V=i(H);De=s(V,"model.fit()"),V.forEach(o),Fe=s(M,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),G=r(M,"CODE",{});var et=i(G);Se=s(et,"model.fit()"),et.forEach(o),ae=s(M,` supports! If, however, you want to use the second
format outside of Keras methods like `),Z=r(M,"CODE",{});var tt=i(Z);Ge=s(tt,"fit()"),tt.forEach(o),je=s(M," and "),B=r(M,"CODE",{});var Ae=i(B);Be=s(Ae,"predict()"),Ae.forEach(o),Me=s(M,`, such as when creating your own layers or models with
the Keras `),U=r(M,"CODE",{});var _t=i(U);Te=s(_t,"Functional"),_t.forEach(o),Ue=s(M,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),M.forEach(o),re=p(z),C=r(z,"UL",{});var R=i(C);P=r(R,"LI",{});var Y=i(P);Ce=s(Y,"a single Tensor with "),D=r(Y,"CODE",{});var ot=i(D);ke=s(ot,"input_ids"),ot.forEach(o),J=s(Y," only and nothing else: "),X=r(Y,"CODE",{});var Pe=i(X);be=s(Pe,"model(input_ids)"),Pe.forEach(o),Y.forEach(o),We=p(R),O=r(R,"LI",{});var te=i(O);ye=s(te,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Q=r(te,"CODE",{});var gt=i(Q);Re=s(gt,"model([input_ids, attention_mask])"),gt.forEach(o),He=s(te," or "),K=r(te,"CODE",{});var nt=i(K);ve=s(nt,"model([input_ids, attention_mask, token_type_ids])"),nt.forEach(o),te.forEach(o),Ke=p(R),W=r(R,"LI",{});var $e=i(W);we=s($e,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),I=r($e,"CODE",{});var Oe=i(I);Ve=s(Oe,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Oe.forEach(o),$e.forEach(o),R.forEach(o),ee=p(z),N=r(z,"P",{});var he=i(N);Ye=s(he,`Note that when creating models and layers with
`),L=r(he,"A",{href:!0,rel:!0});var Tt=i(L);Ze=s(Tt,"subclassing"),Tt.forEach(o),Je=s(he,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),he.forEach(o),this.h()},h(){l(L,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),l(L,"rel","nofollow")},m(z,j){u(z,m,j),e(m,k),e(m,g),e(g,_),e(m,T),u(z,d,j),u(z,f,j),e(f,F),e(F,Le),e(f,qe),e(f,S),e(S,oe),u(z,ne,j),u(z,E,j),e(E,Ie),e(E,H),e(H,De),e(E,Fe),e(E,G),e(G,Se),e(E,ae),e(E,Z),e(Z,Ge),e(E,je),e(E,B),e(B,Be),e(E,Me),e(E,U),e(U,Te),e(E,Ue),u(z,re,j),u(z,C,j),e(C,P),e(P,Ce),e(P,D),e(D,ke),e(P,J),e(P,X),e(X,be),e(C,We),e(C,O),e(O,ye),e(O,Q),e(Q,Re),e(O,He),e(O,K),e(K,ve),e(C,Ke),e(C,W),e(W,we),e(W,I),e(I,Ve),u(z,ee,j),u(z,N,j),e(N,Ye),e(N,L),e(L,Ze),e(N,Je)},d(z){z&&o(m),z&&o(d),z&&o(f),z&&o(ne),z&&o(E),z&&o(re),z&&o(C),z&&o(ee),z&&o(N)}}}function L2(q){let m,k,g,_,T;return{c(){m=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(f,"CODE",{});var F=i(g);_=s(F,"Module"),F.forEach(o),T=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){u(d,m,f),e(m,k),e(m,g),e(g,_),e(m,T)},d(d){d&&o(m)}}}function I2(q){let m,k,g,_,T;return _=new ge({props:{code:`from transformers import AutoTokenizer, TFT5ForConditionalGeneration

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = TFT5ForConditionalGeneration.from_pretrained("t5-small")

# training
inputs = tokenizer("The <extra_id_0> walks in <extra_id_1> park", return_tensors="tf").input_ids
labels = tokenizer("<extra_id_0> cute dog <extra_id_1> the <extra_id_2>", return_tensors="tf").input_ids
outputs = model(inputs, labels=labels)
loss = outputs.loss
logits = outputs.logits

# inference
inputs = tokenizer(
    "summarize: studies have shown that owning a dog is good for you", return_tensors="tf"
).input_ids  # Batch size 1
outputs = model.generate(inputs)
print(tokenizer.decode(outputs[0], skip_special_tokens=True))
# studies have shown that owning a dog is good for you`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFT5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFT5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># training</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The &lt;extra_id_0&gt; walks in &lt;extra_id_1&gt; park&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;&lt;extra_id_0&gt; cute dog &lt;extra_id_1&gt; the &lt;extra_id_2&gt;&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># inference</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;summarize: studies have shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>
<span class="hljs-meta">... </span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.generate(inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.decode(outputs[<span class="hljs-number">0</span>], skip_special_tokens=<span class="hljs-literal">True</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># studies have shown that owning a dog is good for you</span>`}}),{c(){m=a("p"),k=n("Examples:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Examples:"),f.forEach(o),g=p(d),y(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),v(_,d,f),T=!0},p:Nt,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function D2(q){let m,k,g,_,T,d,f,F,Le,qe,S,oe,ne,E,Ie,H,De,Fe,G,Se,ae,Z,Ge,je,B,Be,Me,U,Te,Ue,re,C,P,Ce,D,ke,J,X,be,We,O,ye,Q,Re,He,K,ve,Ke,W,we,I,Ve,ee,N,Ye,L,Ze,Je;return{c(){m=a("p"),k=n("TensorFlow models and layers in "),g=a("code"),_=n("transformers"),T=n(" accept two formats as input:"),d=c(),f=a("ul"),F=a("li"),Le=n("having all inputs as keyword arguments (like PyTorch models), or"),qe=c(),S=a("li"),oe=n("having all inputs as a list, tuple or dict in the first positional argument."),ne=c(),E=a("p"),Ie=n(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),H=a("code"),De=n("model.fit()"),Fe=n(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),G=a("code"),Se=n("model.fit()"),ae=n(` supports! If, however, you want to use the second
format outside of Keras methods like `),Z=a("code"),Ge=n("fit()"),je=n(" and "),B=a("code"),Be=n("predict()"),Me=n(`, such as when creating your own layers or models with
the Keras `),U=a("code"),Te=n("Functional"),Ue=n(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),re=c(),C=a("ul"),P=a("li"),Ce=n("a single Tensor with "),D=a("code"),ke=n("input_ids"),J=n(" only and nothing else: "),X=a("code"),be=n("model(input_ids)"),We=c(),O=a("li"),ye=n(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Q=a("code"),Re=n("model([input_ids, attention_mask])"),He=n(" or "),K=a("code"),ve=n("model([input_ids, attention_mask, token_type_ids])"),Ke=c(),W=a("li"),we=n(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),I=a("code"),Ve=n('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ee=c(),N=a("p"),Ye=n(`Note that when creating models and layers with
`),L=a("a"),Ze=n("subclassing"),Je=n(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(z){m=r(z,"P",{});var j=i(m);k=s(j,"TensorFlow models and layers in "),g=r(j,"CODE",{});var mt=i(g);_=s(mt,"transformers"),mt.forEach(o),T=s(j," accept two formats as input:"),j.forEach(o),d=p(z),f=r(z,"UL",{});var ie=i(f);F=r(ie,"LI",{});var Xe=i(F);Le=s(Xe,"having all inputs as keyword arguments (like PyTorch models), or"),Xe.forEach(o),qe=p(ie),S=r(ie,"LI",{});var ft=i(S);oe=s(ft,"having all inputs as a list, tuple or dict in the first positional argument."),ft.forEach(o),ie.forEach(o),ne=p(z),E=r(z,"P",{});var M=i(E);Ie=s(M,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),H=r(M,"CODE",{});var V=i(H);De=s(V,"model.fit()"),V.forEach(o),Fe=s(M,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),G=r(M,"CODE",{});var et=i(G);Se=s(et,"model.fit()"),et.forEach(o),ae=s(M,` supports! If, however, you want to use the second
format outside of Keras methods like `),Z=r(M,"CODE",{});var tt=i(Z);Ge=s(tt,"fit()"),tt.forEach(o),je=s(M," and "),B=r(M,"CODE",{});var Ae=i(B);Be=s(Ae,"predict()"),Ae.forEach(o),Me=s(M,`, such as when creating your own layers or models with
the Keras `),U=r(M,"CODE",{});var _t=i(U);Te=s(_t,"Functional"),_t.forEach(o),Ue=s(M,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),M.forEach(o),re=p(z),C=r(z,"UL",{});var R=i(C);P=r(R,"LI",{});var Y=i(P);Ce=s(Y,"a single Tensor with "),D=r(Y,"CODE",{});var ot=i(D);ke=s(ot,"input_ids"),ot.forEach(o),J=s(Y," only and nothing else: "),X=r(Y,"CODE",{});var Pe=i(X);be=s(Pe,"model(input_ids)"),Pe.forEach(o),Y.forEach(o),We=p(R),O=r(R,"LI",{});var te=i(O);ye=s(te,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),Q=r(te,"CODE",{});var gt=i(Q);Re=s(gt,"model([input_ids, attention_mask])"),gt.forEach(o),He=s(te," or "),K=r(te,"CODE",{});var nt=i(K);ve=s(nt,"model([input_ids, attention_mask, token_type_ids])"),nt.forEach(o),te.forEach(o),Ke=p(R),W=r(R,"LI",{});var $e=i(W);we=s($e,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),I=r($e,"CODE",{});var Oe=i(I);Ve=s(Oe,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Oe.forEach(o),$e.forEach(o),R.forEach(o),ee=p(z),N=r(z,"P",{});var he=i(N);Ye=s(he,`Note that when creating models and layers with
`),L=r(he,"A",{href:!0,rel:!0});var Tt=i(L);Ze=s(Tt,"subclassing"),Tt.forEach(o),Je=s(he,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),he.forEach(o),this.h()},h(){l(L,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),l(L,"rel","nofollow")},m(z,j){u(z,m,j),e(m,k),e(m,g),e(g,_),e(m,T),u(z,d,j),u(z,f,j),e(f,F),e(F,Le),e(f,qe),e(f,S),e(S,oe),u(z,ne,j),u(z,E,j),e(E,Ie),e(E,H),e(H,De),e(E,Fe),e(E,G),e(G,Se),e(E,ae),e(E,Z),e(Z,Ge),e(E,je),e(E,B),e(B,Be),e(E,Me),e(E,U),e(U,Te),e(E,Ue),u(z,re,j),u(z,C,j),e(C,P),e(P,Ce),e(P,D),e(D,ke),e(P,J),e(P,X),e(X,be),e(C,We),e(C,O),e(O,ye),e(O,Q),e(Q,Re),e(O,He),e(O,K),e(K,ve),e(C,Ke),e(C,W),e(W,we),e(W,I),e(I,Ve),u(z,ee,j),u(z,N,j),e(N,Ye),e(N,L),e(L,Ze),e(N,Je)},d(z){z&&o(m),z&&o(d),z&&o(f),z&&o(ne),z&&o(E),z&&o(re),z&&o(C),z&&o(ee),z&&o(N)}}}function S2(q){let m,k,g,_,T;return{c(){m=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(f,"CODE",{});var F=i(g);_=s(F,"Module"),F.forEach(o),T=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){u(d,m,f),e(m,k),e(m,g),e(g,_),e(m,T)},d(d){d&&o(m)}}}function G2(q){let m,k,g,_,T;return _=new ge({props:{code:`from transformers import AutoTokenizer, TFT5EncoderModel

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = TFT5EncoderModel.from_pretrained("t5-small")

input_ids = tokenizer(
    "Studies have been shown that owning a dog is good for you", return_tensors="tf"
).input_ids  # Batch size 1
outputs = model(input_ids)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFT5EncoderModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFT5EncoderModel.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Studies have been shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>
<span class="hljs-meta">... </span>).input_ids  <span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids)`}}),{c(){m=a("p"),k=n("Examples:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Examples:"),f.forEach(o),g=p(d),y(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),v(_,d,f),T=!0},p:Nt,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function B2(q){let m,k,g,_,T;return{c(){m=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(f,"CODE",{});var F=i(g);_=s(F,"Module"),F.forEach(o),T=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){u(d,m,f),e(m,k),e(m,g),e(g,_),e(m,T)},d(d){d&&o(m)}}}function U2(q){let m,k,g,_,T;return _=new ge({props:{code:`from transformers import AutoTokenizer, FlaxT5Model

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = FlaxT5Model.from_pretrained("t5-small")

input_ids = tokenizer(
    "Studies have been shown that owning a dog is good for you", return_tensors="np"
).input_ids
decoder_input_ids = tokenizer("Studies show that", return_tensors="np").input_ids

# preprocess: Prepend decoder_input_ids with start token which is pad token for T5Model.
# This is not needed for torch's T5ForConditionalGeneration as it does this internally using labels arg.
decoder_input_ids = model._shift_right(decoder_input_ids)

# forward pass
outputs = model(input_ids=input_ids, decoder_input_ids=decoder_input_ids)
last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxT5Model

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxT5Model.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Studies have been shown that owning a dog is good for you&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>
<span class="hljs-meta">... </span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = tokenizer(<span class="hljs-string">&quot;Studies show that&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># preprocess: Prepend decoder_input_ids with start token which is pad token for T5Model.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># This is not needed for torch&#x27;s T5ForConditionalGeneration as it does this internally using labels arg.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = model._shift_right(decoder_input_ids)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward pass</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids=input_ids, decoder_input_ids=decoder_input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){m=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Example:"),f.forEach(o),g=p(d),y(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),v(_,d,f),T=!0},p:Nt,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function W2(q){let m,k,g,_,T;return _=new ge({props:{code:`from transformers import AutoTokenizer, FlaxT5ForConditionalGeneration

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = FlaxT5ForConditionalGeneration.from_pretrained("t5-small")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, return_tensors="np")
encoder_outputs = model.encode(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxT5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxT5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)`}}),{c(){m=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Example:"),f.forEach(o),g=p(d),y(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),v(_,d,f),T=!0},p:Nt,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function R2(q){let m,k,g,_,T;return _=new ge({props:{code:`from transformers import AutoTokenizer, FlaxT5ForConditionalGeneration
import jax.numpy as jnp

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = FlaxT5ForConditionalGeneration.from_pretrained("t5-small")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, return_tensors="np")
encoder_outputs = model.encode(**inputs)

decoder_start_token_id = model.config.decoder_start_token_id
decoder_input_ids = jnp.ones((inputs.input_ids.shape[0], 1), dtype="i4") * decoder_start_token_id

outputs = model.decode(decoder_input_ids, encoder_outputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxT5ForConditionalGeneration
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> jax.numpy <span class="hljs-keyword">as</span> jnp

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxT5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_start_token_id = model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = jnp.ones((inputs.input_ids.shape[<span class="hljs-number">0</span>], <span class="hljs-number">1</span>), dtype=<span class="hljs-string">&quot;i4&quot;</span>) * decoder_start_token_id

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.decode(decoder_input_ids, encoder_outputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){m=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Example:"),f.forEach(o),g=p(d),y(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),v(_,d,f),T=!0},p:Nt,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function H2(q){let m,k,g,_,T;return{c(){m=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(f,"CODE",{});var F=i(g);_=s(F,"Module"),F.forEach(o),T=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){u(d,m,f),e(m,k),e(m,g),e(g,_),e(m,T)},d(d){d&&o(m)}}}function K2(q){let m,k,g,_,T;return _=new ge({props:{code:`from transformers import AutoTokenizer, FlaxT5ForConditionalGeneration

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = FlaxT5ForConditionalGeneration.from_pretrained("t5-small")

ARTICLE_TO_SUMMARIZE = "summarize: My friends are cool but they eat too many carbs."
inputs = tokenizer([ARTICLE_TO_SUMMARIZE], return_tensors="np")

# Generate Summary
summary_ids = model.generate(inputs["input_ids"]).sequences
print(tokenizer.decode(summary_ids[0], skip_special_tokens=True, clean_up_tokenization_spaces=False))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxT5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxT5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ARTICLE_TO_SUMMARIZE = <span class="hljs-string">&quot;summarize: My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer([ARTICLE_TO_SUMMARIZE], return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Generate Summary</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>summary_ids = model.generate(inputs[<span class="hljs-string">&quot;input_ids&quot;</span>]).sequences
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.decode(summary_ids[<span class="hljs-number">0</span>], skip_special_tokens=<span class="hljs-literal">True</span>, clean_up_tokenization_spaces=<span class="hljs-literal">False</span>))`}}),{c(){m=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Example:"),f.forEach(o),g=p(d),y(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),v(_,d,f),T=!0},p:Nt,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function V2(q){let m,k,g,_,T;return _=new ge({props:{code:`from transformers import AutoTokenizer, FlaxT5ForConditionalGeneration

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = FlaxT5ForConditionalGeneration.from_pretrained("t5-small")

text = "My friends are cool but they eat too many carbs."
inputs = tokenizer(text, return_tensors="np")
encoder_outputs = model.encode(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxT5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxT5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)`}}),{c(){m=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Example:"),f.forEach(o),g=p(d),y(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),v(_,d,f),T=!0},p:Nt,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function Y2(q){let m,k,g,_,T;return _=new ge({props:{code:`from transformers import AutoTokenizer, FlaxT5ForConditionalGeneration
import jax.numpy as jnp

tokenizer = AutoTokenizer.from_pretrained("t5-small")
model = FlaxT5ForConditionalGeneration.from_pretrained("t5-small")

text = "summarize: My friends are cool but they eat too many carbs."
inputs = tokenizer(text, return_tensors="np")
encoder_outputs = model.encode(**inputs)

decoder_start_token_id = model.config.decoder_start_token_id
decoder_input_ids = jnp.ones((inputs.input_ids.shape[0], 1), dtype="i4") * decoder_start_token_id

outputs = model.decode(decoder_input_ids, encoder_outputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxT5ForConditionalGeneration
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> jax.numpy <span class="hljs-keyword">as</span> jnp

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxT5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;summarize: My friends are cool but they eat too many carbs.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(text, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>encoder_outputs = model.encode(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_start_token_id = model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = jnp.ones((inputs.input_ids.shape[<span class="hljs-number">0</span>], <span class="hljs-number">1</span>), dtype=<span class="hljs-string">&quot;i4&quot;</span>) * decoder_start_token_id

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.decode(decoder_input_ids, encoder_outputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){m=a("p"),k=n("Example:"),g=c(),b(_.$$.fragment)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Example:"),f.forEach(o),g=p(d),y(_.$$.fragment,d)},m(d,f){u(d,m,f),e(m,k),u(d,g,f),v(_,d,f),T=!0},p:Nt,i(d){T||(w(_.$$.fragment,d),T=!0)},o(d){$(_.$$.fragment,d),T=!1},d(d){d&&o(m),d&&o(g),x(_,d)}}}function Z2(q){let m,k,g,_,T;return{c(){m=a("p"),k=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a("code"),_=n("Module"),T=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){m=r(d,"P",{});var f=i(m);k=s(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r(f,"CODE",{});var F=i(g);_=s(F,"Module"),F.forEach(o),T=s(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(d,f){u(d,m,f),e(m,k),e(m,g),e(g,_),e(m,T)},d(d){d&&o(m)}}}function J2(q){let m,k,g,_,T,d,f,F,Le,qe,S,oe,ne,E,Ie,H,De,Fe,G,Se,ae,Z,Ge,je,B,Be,Me,U,Te,Ue,re,C,P,Ce,D,ke,J,X,be,We,O,ye,Q,Re,He,K,ve,Ke,W,we,I,Ve,ee,N,Ye,L,Ze,Je,z,j,mt,ie,Xe,ft,M,V,et,tt,Ae,_t,R,Y,ot,Pe,te,gt,nt,$e,Oe,he,Tt,hd,ud,Jn,pu,hu,md,Wr,Xn,uu,mu,zc,Rr,fu,Ec,St,fd,Co,_d,_u,gu,Hr,Tu,ku,bu,gd,Ao,Td,yu,vu,Kr,wu,$u,xu,kd,Po,bd,zu,Eu,Vr,qu,Fu,qc,Oo,ju,Qn,Mu,Cu,Fc,Gt,Au,es,Pu,Ou,ts,Nu,Lu,jc,Yr,Mc,eo,No,yd,os,Iu,vd,Du,Cc,kt,Su,wd,Gu,Bu,$d,Uu,Wu,xd,Ru,Hu,Ac,Lo,Ku,Zr,Vu,Yu,Pc,Jr,zd,Zu,Oc,ue,Ju,Ed,Xu,Qu,qd,em,tm,Fd,om,nm,jd,sm,am,Md,rm,im,Xr,dm,lm,Nc,Qr,cm,Lc,ns,Ic,Io,pm,ss,hm,um,Dc,ei,Cd,mm,Sc,ti,fm,Gc,as,Bc,se,_m,Ad,gm,Tm,Pd,km,bm,Od,ym,vm,Nd,wm,$m,Ld,xm,zm,Id,Em,qm,Dd,Fm,jm,Uc,Bt,Mm,Sd,Cm,Am,Gd,Pm,Om,Wc,me,Nm,Bd,Lm,Im,Ud,Dm,Sm,Wd,Gm,Bm,Rd,Um,Wm,rs,Rm,Hm,Hd,Km,Vm,Rc,is,Hc,oi,Ym,Kc,ni,ds,Zm,Kd,Jm,Xm,Vc,Ut,Qm,ls,ef,tf,cs,of,nf,Yc,Do,sf,Vd,af,rf,Zc,si,Jc,to,So,Yd,ps,df,Zd,lf,Xc,bt,cf,ai,pf,hf,hs,uf,mf,us,ff,_f,Qc,ms,ep,st,gf,Jd,Tf,kf,Xd,bf,yf,ri,vf,wf,Qd,$f,xf,tp,ii,zf,op,fs,np,di,Ef,sp,_s,ap,li,rp,oo,Go,el,gs,qf,tl,Ff,ip,yt,jf,Ts,Mf,Cf,ol,Af,Pf,nl,Of,Nf,dp,no,Bo,sl,ks,Lf,al,If,lp,ci,Df,cp,bs,pp,Uo,ys,Sf,vs,Gf,Bf,Uf,ws,Wf,$s,Rf,Hf,hp,xs,up,pi,zs,Kf,Es,Vf,Yf,mp,qs,fp,hi,Fs,Zf,js,Jf,Xf,_p,Ms,gp,fe,Cs,Qf,As,e_,t_,o_,Ps,n_,Os,s_,a_,r_,Ns,i_,Ls,d_,l_,c_,Wt,ui,p_,h_,Is,u_,m_,Ds,f_,__,g_,Rt,mi,T_,k_,Ss,b_,y_,Gs,v_,w_,$_,Wo,fi,x_,z_,Bs,E_,q_,F_,_i,Us,j_,M_,Tp,Ws,kp,gi,vt,Ti,C_,A_,Rs,P_,O_,ki,N_,L_,Hs,I_,D_,bp,Ks,yp,Ro,Ht,bi,S_,G_,Vs,B_,U_,Ys,W_,R_,H_,Kt,yi,K_,V_,Zs,Y_,Z_,Js,J_,X_,vp,Xs,wp,Ho,Qs,Q_,ea,eg,tg,og,ta,ng,oa,sg,ag,$p,na,rg,rl,ig,xp,vi,sa,dg,aa,lg,cg,zp,so,Ko,il,ra,pg,dl,hg,Ep,Lt,ia,ug,It,mg,wi,fg,_g,$i,gg,Tg,da,kg,bg,yg,ao,vg,xi,wg,$g,zi,xg,zg,qp,ro,Vo,ll,la,Eg,cl,qg,Fp,de,ca,Fg,pa,jg,ha,Mg,Cg,Ag,ua,Pg,Ei,Og,Ng,Lg,Vt,ma,Ig,pl,Dg,Sg,fa,qi,Gg,hl,Bg,Ug,Fi,Wg,ul,Rg,Hg,Yo,_a,Kg,ga,Vg,ml,Yg,Zg,Jg,Zo,Ta,Xg,fl,Qg,eT,ji,ka,jp,io,Jo,_l,ba,tT,gl,oT,Mp,Qe,ya,nT,lo,sT,Tl,aT,rT,va,iT,dT,lT,wa,cT,Mi,pT,hT,uT,Yt,$a,mT,kl,fT,_T,xa,Ci,gT,bl,TT,kT,Ai,bT,yl,yT,vT,Xo,za,wT,vl,$T,Cp,co,Qo,wl,Ea,xT,$l,zT,Ap,xe,qa,ET,xl,qT,FT,Fa,jT,ja,MT,CT,AT,Ma,PT,Pi,OT,NT,LT,Ca,IT,Aa,DT,ST,GT,wt,Pa,BT,po,UT,Oi,WT,RT,zl,HT,KT,VT,en,YT,tn,Pp,ho,on,El,Oa,ZT,ql,JT,Op,ze,Na,XT,La,QT,Fl,ek,tk,ok,Ia,nk,Da,sk,ak,rk,Sa,ik,Ni,dk,lk,ck,Ga,pk,Ba,hk,uk,mk,$t,Ua,fk,uo,_k,Li,gk,Tk,jl,kk,bk,yk,nn,vk,sn,Np,mo,an,Ml,Wa,wk,Cl,$k,Lp,Ee,Ra,xk,Al,zk,Ek,Ha,qk,Ka,Fk,jk,Mk,Va,Ck,Ii,Ak,Pk,Ok,Ya,Nk,Za,Lk,Ik,Dk,xt,Ja,Sk,fo,Gk,Di,Bk,Uk,Pl,Wk,Rk,Hk,rn,Kk,dn,Ip,_o,ln,Ol,Xa,Vk,Nl,Yk,Dp,le,Qa,Zk,Ll,Jk,Xk,er,Qk,tr,eb,tb,ob,or,nb,Si,sb,ab,rb,nr,ib,sr,db,lb,cb,cn,pb,zt,ar,hb,go,ub,Gi,mb,fb,Il,_b,gb,Tb,pn,kb,hn,Sp,To,un,Dl,rr,bb,Sl,yb,Gp,ce,ir,vb,dr,wb,Gl,$b,xb,zb,lr,Eb,cr,qb,Fb,jb,pr,Mb,Bi,Cb,Ab,Pb,hr,Ob,ur,Nb,Lb,Ib,mn,Db,Et,mr,Sb,ko,Gb,Ui,Bb,Ub,Bl,Wb,Rb,Hb,fn,Kb,_n,Bp,bo,gn,Ul,fr,Vb,Wl,Yb,Up,pe,_r,Zb,Rl,Jb,Xb,gr,Qb,Tr,ey,ty,oy,kr,ny,Wi,sy,ay,ry,br,iy,yr,dy,ly,cy,Tn,py,qt,vr,hy,yo,uy,Ri,my,fy,Hl,_y,gy,Ty,kn,ky,bn,Wp,vo,yn,Kl,wr,by,Vl,yy,Rp,ht,$r,vy,Ft,xr,wy,wo,$y,Yl,xy,zy,Zl,Ey,qy,Fy,vn,jy,wn,My,$n,zr,Cy,xn,Ay,zn,Er,Py,En,Hp,$o,qn,Jl,qr,Oy,Xl,Ny,Kp,ut,Fr,Ly,jt,jr,Iy,xo,Dy,Ql,Sy,Gy,ec,By,Uy,Wy,Fn,Ry,jn,Hy,Mn,Mr,Ky,Cn,Vy,An,Cr,Yy,Pn,Vp,zo,On,tc,Ar,Zy,oc,Jy,Yp,Eo,Pr,Xy,Zt,Or,Qy,qo,ev,Hi,tv,ov,nc,nv,sv,av,Nn,Zp;return d=new _e({}),E=new _e({}),os=new _e({}),ns=new ge({props:{code:`from transformers import T5Tokenizer, T5ForConditionalGeneration

tokenizer = T5Tokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

input_ids = tokenizer("The <extra_id_0> walks in <extra_id_1> park", return_tensors="pt").input_ids
labels = tokenizer("<extra_id_0> cute dog <extra_id_1> the <extra_id_2>", return_tensors="pt").input_ids

# the forward function automatically creates the correct decoder_input_ids
loss = model(input_ids=input_ids, labels=labels).loss
loss.item()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> T5Tokenizer, T5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = T5Tokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(<span class="hljs-string">&quot;The &lt;extra_id_0&gt; walks in &lt;extra_id_1&gt; park&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;&lt;extra_id_0&gt; cute dog &lt;extra_id_1&gt; the &lt;extra_id_2&gt;&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the forward function automatically creates the correct decoder_input_ids</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(input_ids=input_ids, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span>loss.item()
<span class="hljs-number">3.7837</span>`}}),as=new ge({props:{code:`from transformers import T5Tokenizer, T5ForConditionalGeneration

tokenizer = T5Tokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

input_ids = tokenizer("translate English to German: The house is wonderful.", return_tensors="pt").input_ids
labels = tokenizer("Das Haus ist wunderbar.", return_tensors="pt").input_ids

# the forward function automatically creates the correct decoder_input_ids
loss = model(input_ids=input_ids, labels=labels).loss
loss.item()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> T5Tokenizer, T5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = T5Tokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(<span class="hljs-string">&quot;translate English to German: The house is wonderful.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;Das Haus ist wunderbar.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the forward function automatically creates the correct decoder_input_ids</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(input_ids=input_ids, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span>loss.item()
<span class="hljs-number">0.2542</span>`}}),is=new ge({props:{code:`from transformers import T5Tokenizer, T5ForConditionalGeneration
import torch

tokenizer = T5Tokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

# the following 2 hyperparameters are task-specific
max_source_length = 512
max_target_length = 128

# Suppose we have the following 2 training examples:
input_sequence_1 = "Welcome to NYC"
output_sequence_1 = "Bienvenue \xE0 NYC"

input_sequence_2 = "HuggingFace is a company"
output_sequence_2 = "HuggingFace est une entreprise"

# encode the inputs
task_prefix = "translate English to French: "
input_sequences = [input_sequence_1, input_sequence_2]

encoding = tokenizer(
    [task_prefix + sequence for sequence in input_sequences],
    padding="longest",
    max_length=max_source_length,
    truncation=True,
    return_tensors="pt",
)

input_ids, attention_mask = encoding.input_ids, encoding.attention_mask

# encode the targets
target_encoding = tokenizer(
    [output_sequence_1, output_sequence_2],
    padding="longest",
    max_length=max_target_length,
    truncation=True,
    return_tensors="pt",
)
labels = target_encoding.input_ids

# replace padding token id's of the labels by -100 so it's ignored by the loss
labels[labels == tokenizer.pad_token_id] = -100

# forward pass
loss = model(input_ids=input_ids, attention_mask=attention_mask, labels=labels).loss
loss.item()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> T5Tokenizer, T5ForConditionalGeneration
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = T5Tokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the following 2 hyperparameters are task-specific</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>max_source_length = <span class="hljs-number">512</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>max_target_length = <span class="hljs-number">128</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Suppose we have the following 2 training examples:</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_sequence_1 = <span class="hljs-string">&quot;Welcome to NYC&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>output_sequence_1 = <span class="hljs-string">&quot;Bienvenue \xE0 NYC&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>input_sequence_2 = <span class="hljs-string">&quot;HuggingFace is a company&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>output_sequence_2 = <span class="hljs-string">&quot;HuggingFace est une entreprise&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># encode the inputs</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>task_prefix = <span class="hljs-string">&quot;translate English to French: &quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>input_sequences = [input_sequence_1, input_sequence_2]

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer(
<span class="hljs-meta">... </span>    [task_prefix + sequence <span class="hljs-keyword">for</span> sequence <span class="hljs-keyword">in</span> input_sequences],
<span class="hljs-meta">... </span>    padding=<span class="hljs-string">&quot;longest&quot;</span>,
<span class="hljs-meta">... </span>    max_length=max_source_length,
<span class="hljs-meta">... </span>    truncation=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>    return_tensors=<span class="hljs-string">&quot;pt&quot;</span>,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids, attention_mask = encoding.input_ids, encoding.attention_mask

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># encode the targets</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_encoding = tokenizer(
<span class="hljs-meta">... </span>    [output_sequence_1, output_sequence_2],
<span class="hljs-meta">... </span>    padding=<span class="hljs-string">&quot;longest&quot;</span>,
<span class="hljs-meta">... </span>    max_length=max_target_length,
<span class="hljs-meta">... </span>    truncation=<span class="hljs-literal">True</span>,
<span class="hljs-meta">... </span>    return_tensors=<span class="hljs-string">&quot;pt&quot;</span>,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = target_encoding.input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># replace padding token id&#x27;s of the labels by -100 so it&#x27;s ignored by the loss</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels[labels == tokenizer.pad_token_id] = -<span class="hljs-number">100</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># forward pass</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(input_ids=input_ids, attention_mask=attention_mask, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span>loss.item()
<span class="hljs-number">0.188</span>`}}),ps=new _e({}),ms=new ge({props:{code:`from transformers import T5Tokenizer, T5ForConditionalGeneration

tokenizer = T5Tokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

input_ids = tokenizer("translate English to German: The house is wonderful.", return_tensors="pt").input_ids
outputs = model.generate(input_ids)
print(tokenizer.decode(outputs[0], skip_special_tokens=True))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> T5Tokenizer, T5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = T5Tokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(<span class="hljs-string">&quot;translate English to German: The house is wonderful.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model.generate(input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.decode(outputs[<span class="hljs-number">0</span>], skip_special_tokens=<span class="hljs-literal">True</span>))
Das Haus ist wunderbar.`}}),fs=new ge({props:{code:`from transformers import T5Tokenizer, T5ForConditionalGeneration

tokenizer = T5Tokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

task_prefix = "translate English to German: "
# use different length sentences to test batching
sentences = ["The house is wonderful.", "I like to work in NYC."]

inputs = tokenizer([task_prefix + sentence for sentence in sentences], return_tensors="pt", padding=True)

output_sequences = model.generate(
    input_ids=inputs["input_ids"],
    attention_mask=inputs["attention_mask"],
    do_sample=False,  # disable sampling to test if batching affects output
)

print(tokenizer.batch_decode(output_sequences, skip_special_tokens=True))`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> T5Tokenizer, T5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = T5Tokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>task_prefix = <span class="hljs-string">&quot;translate English to German: &quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># use different length sentences to test batching</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>sentences = [<span class="hljs-string">&quot;The house is wonderful.&quot;</span>, <span class="hljs-string">&quot;I like to work in NYC.&quot;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer([task_prefix + sentence <span class="hljs-keyword">for</span> sentence <span class="hljs-keyword">in</span> sentences], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, padding=<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>output_sequences = model.generate(
<span class="hljs-meta">... </span>    input_ids=inputs[<span class="hljs-string">&quot;input_ids&quot;</span>],
<span class="hljs-meta">... </span>    attention_mask=inputs[<span class="hljs-string">&quot;attention_mask&quot;</span>],
<span class="hljs-meta">... </span>    do_sample=<span class="hljs-literal">False</span>,  <span class="hljs-comment"># disable sampling to test if batching affects output</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(tokenizer.batch_decode(output_sequences, skip_special_tokens=<span class="hljs-literal">True</span>))
[<span class="hljs-string">&#x27;Das Haus ist wunderbar.&#x27;</span>, <span class="hljs-string">&#x27;Ich arbeite gerne in NYC.&#x27;</span>]`}}),_s=new ge({props:{code:`from transformers import T5Tokenizer, T5ForConditionalGeneration

tokenizer = T5Tokenizer.from_pretrained("t5-small")
model = T5ForConditionalGeneration.from_pretrained("t5-small")

input_ids = tokenizer("The <extra_id_0> walks in <extra_id_1> park", return_tensors="pt").input_ids

sequence_ids = model.generate(input_ids)
sequences = tokenizer.batch_decode(sequence_ids)
sequences`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> T5Tokenizer, T5ForConditionalGeneration

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = T5Tokenizer.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = T5ForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tokenizer(<span class="hljs-string">&quot;The &lt;extra_id_0&gt; walks in &lt;extra_id_1&gt; park&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_ids = model.generate(input_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>sequences = tokenizer.batch_decode(sequence_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>sequences
[<span class="hljs-string">&#x27;&lt;pad&gt;&lt;extra_id_0&gt; park offers&lt;extra_id_1&gt; the&lt;extra_id_2&gt; park.&lt;/s&gt;&#x27;</span>]`}}),gs=new _e({}),ks=new _e({}),bs=new Ur({props:{pipeline:"text-classification"}}),xs=new Ur({props:{pipeline:"token-classification"}}),qs=new Ur({props:{pipeline:"text-generation"}}),Ms=new Ur({props:{pipeline:"summarization"}}),Ws=new Ur({props:{pipeline:"fill-mask"}}),Ks=new Ur({props:{pipeline:"translation"}}),Xs=new Ur({props:{pipeline:"question-answering"}}),ra=new _e({}),ia=new A({props:{name:"class transformers.T5Config",anchor:"transformers.T5Config",parameters:[{name:"vocab_size",val:" = 32128"},{name:"d_model",val:" = 512"},{name:"d_kv",val:" = 64"},{name:"d_ff",val:" = 2048"},{name:"num_layers",val:" = 6"},{name:"num_decoder_layers",val:" = None"},{name:"num_heads",val:" = 8"},{name:"relative_attention_num_buckets",val:" = 32"},{name:"relative_attention_max_distance",val:" = 128"},{name:"dropout_rate",val:" = 0.1"},{name:"layer_norm_epsilon",val:" = 1e-06"},{name:"initializer_factor",val:" = 1.0"},{name:"feed_forward_proj",val:" = 'relu'"},{name:"is_encoder_decoder",val:" = True"},{name:"use_cache",val:" = True"},{name:"pad_token_id",val:" = 0"},{name:"eos_token_id",val:" = 1"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.T5Config.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 32128) &#x2014;
Vocabulary size of the T5 model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/t5#transformers.T5Model">T5Model</a> or <a href="/docs/transformers/main/en/model_doc/t5#transformers.TFT5Model">TFT5Model</a>.`,name:"vocab_size"},{anchor:"transformers.T5Config.d_model",description:`<strong>d_model</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
Size of the encoder layers and the pooler layer.`,name:"d_model"},{anchor:"transformers.T5Config.d_kv",description:`<strong>d_kv</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Size of the key, query, value projections per attention head. <code>d_kv</code> has to be equal to <code>d_model // num_heads</code>.`,name:"d_kv"},{anchor:"transformers.T5Config.d_ff",description:`<strong>d_ff</strong> (<code>int</code>, <em>optional</em>, defaults to 2048) &#x2014;
Size of the intermediate feed forward layer in each <code>T5Block</code>.`,name:"d_ff"},{anchor:"transformers.T5Config.num_layers",description:`<strong>num_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 6) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_layers"},{anchor:"transformers.T5Config.num_decoder_layers",description:`<strong>num_decoder_layers</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Number of hidden layers in the Transformer decoder. Will use the same value as <code>num_layers</code> if not set.`,name:"num_decoder_layers"},{anchor:"transformers.T5Config.num_heads",description:`<strong>num_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_heads"},{anchor:"transformers.T5Config.relative_attention_num_buckets",description:`<strong>relative_attention_num_buckets</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
The number of buckets to use for each attention layer.`,name:"relative_attention_num_buckets"},{anchor:"transformers.T5Config.relative_attention_max_distance",description:`<strong>relative_attention_max_distance</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
The maximum distance of the longer sequences for the bucket separation.`,name:"relative_attention_max_distance"},{anchor:"transformers.T5Config.dropout_rate",description:`<strong>dropout_rate</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The ratio for all dropout layers.`,name:"dropout_rate"},{anchor:"transformers.T5Config.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-6) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.T5Config.initializer_factor",description:`<strong>initializer_factor</strong> (<code>float</code>, <em>optional</em>, defaults to 1) &#x2014;
A factor for initializing all weight matrices (should be kept to 1, used internally for initialization
testing).`,name:"initializer_factor"},{anchor:"transformers.T5Config.feed_forward_proj",description:`<strong>feed_forward_proj</strong> (<code>string</code>, <em>optional</em>, defaults to <code>&quot;relu&quot;</code>) &#x2014;
Type of feed forward layer to be used. Should be one of <code>&quot;relu&quot;</code> or <code>&quot;gated-gelu&quot;</code>. T5v1.1 uses the
<code>&quot;gated-gelu&quot;</code> feed forward projection. Original T5 uses <code>&quot;relu&quot;</code>.`,name:"feed_forward_proj"},{anchor:"transformers.T5Config.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/configuration_t5.py#L34"}}),la=new _e({}),ca=new A({props:{name:"class transformers.T5Tokenizer",anchor:"transformers.T5Tokenizer",parameters:[{name:"vocab_file",val:""},{name:"eos_token",val:" = '</s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"extra_ids",val:" = 100"},{name:"additional_special_tokens",val:" = None"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.T5Tokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.T5Tokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.T5Tokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.T5Tokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.T5Tokenizer.extra_ids",description:`<strong>extra_ids</strong> (<code>int</code>, <em>optional</em>, defaults to 100) &#x2014;
Add a number of extra ids added to the vocabulary for use as sentinels. These tokens are
accessible as &#x201C;<extra<em>id{%d}&gt;&#x201D; where &#x201D;{%d}&#x201D; is a number between 0 and extra_ids-1. These tokens can be
retrieved by calling get_sentinel_tokens method and token ids can be by calling get_sentinel_token_ids
method
additional_special_tokens (<code>List[str]</code>, <em>optional</em>):
Additional special tokens used by the tokenizer.</extra<em>`,name:"extra_ids"},{anchor:"transformers.T5Tokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"},{anchor:"transformers.T5Tokenizer.sp_model",description:`<strong>sp_model</strong> (<code>SentencePieceProcessor</code>) &#x2014;
The <em>SentencePiece</em> processor that is used for every conversion (string, tokens and IDs).`,name:"sp_model"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/tokenization_t5.py#L55"}}),ma=new A({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.T5Tokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.T5Tokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.T5Tokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/tokenization_t5.py#L256",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),_a=new A({props:{name:"get_special_tokens_mask",anchor:"transformers.T5Tokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.T5Tokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.T5Tokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.T5Tokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/tokenization_t5.py#L187",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Ta=new A({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.T5Tokenizer.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.T5Tokenizer.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.T5Tokenizer.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/tokenization_t5.py#L234",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ka=new A({props:{name:"save_vocabulary",anchor:"transformers.T5Tokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/tokenization_t5.py#L336"}}),ba=new _e({}),ya=new A({props:{name:"class transformers.T5TokenizerFast",anchor:"transformers.T5TokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"eos_token",val:" = '</s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"extra_ids",val:" = 100"},{name:"additional_special_tokens",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.T5TokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.T5TokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.T5TokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.T5TokenizerFast.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.T5TokenizerFast.extra_ids",description:`<strong>extra_ids</strong> (<code>int</code>, <em>optional</em>, defaults to 100) &#x2014;
Add a number of extra ids added to the vocabulary for use as sentinels. These tokens are accessible as
&#x201C;<extra<em>id{%d}&gt;&#x201D; where &#x201D;{%d}&#x201D; is a number between 0 and extra_ids-1. These tokens can be retrieved by
calling get_sentinel_tokens method and token ids can be by calling get_sentinel_token_ids method</extra<em>`,name:"extra_ids"},{anchor:"transformers.T5TokenizerFast.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
Additional special tokens used by the tokenizer.`,name:"additional_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/tokenization_t5_fast.py#L66"}}),$a=new A({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.T5TokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.T5TokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.T5TokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/tokenization_t5_fast.py#L190",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),za=new A({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.T5TokenizerFast.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.T5TokenizerFast.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.T5TokenizerFast.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/tokenization_t5_fast.py#L216",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Ea=new _e({}),qa=new A({props:{name:"class transformers.T5Model",anchor:"transformers.T5Model",parameters:[{name:"config",val:": T5Config"}],parametersDescription:[{anchor:"transformers.T5Model.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config">T5Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_t5.py#L1298"}}),Pa=new A({props:{name:"forward",anchor:"transformers.T5Model.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.BoolTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.T5Model.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a></p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.T5Model.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.T5Model.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>T5 uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If <code>past_key_values</code>
is used, optionally only the last <code>decoder_input_ids</code> have to be input (see <code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">T5
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.T5Model.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.T5Model.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.T5Model.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.T5Model.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in
<code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.T5Model.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <code>optional</code>: <em>hidden_states</em>, <code>optional</code>: <em>attentions</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of hidden states at
the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.T5Model.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.T5Model.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.T5Model.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.T5Model.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.T5Model.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.T5Model.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.T5Model.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_t5.py#L1385",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),en=new Pt({props:{$$slots:{default:[E2]},$$scope:{ctx:q}}}),tn=new Ot({props:{anchor:"transformers.T5Model.forward.example",$$slots:{default:[q2]},$$scope:{ctx:q}}}),Oa=new _e({}),Na=new A({props:{name:"class transformers.T5ForConditionalGeneration",anchor:"transformers.T5ForConditionalGeneration",parameters:[{name:"config",val:": T5Config"}],parametersDescription:[{anchor:"transformers.T5ForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config">T5Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_t5.py#L1501"}}),Ua=new A({props:{name:"forward",anchor:"transformers.T5ForConditionalGeneration.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.BoolTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.T5ForConditionalGeneration.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a></p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.T5ForConditionalGeneration.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.T5ForConditionalGeneration.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>T5 uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If <code>past_key_values</code>
is used, optionally only the last <code>decoder_input_ids</code> have to be input (see <code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">T5
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.T5ForConditionalGeneration.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.T5ForConditionalGeneration.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.T5ForConditionalGeneration.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.T5ForConditionalGeneration.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules in the decoder. Mask values selected in
<code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.T5ForConditionalGeneration.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <code>optional</code>: <em>hidden_states</em>, <code>optional</code>: <em>attentions</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of hidden states at
the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.T5ForConditionalGeneration.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.T5ForConditionalGeneration.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.T5ForConditionalGeneration.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.T5ForConditionalGeneration.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.T5ForConditionalGeneration.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.T5ForConditionalGeneration.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.T5ForConditionalGeneration.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.T5ForConditionalGeneration.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[-100, 0, ..., config.vocab_size - 1]</code>. All labels set to <code>-100</code> are ignored (masked), the loss is only computed for
labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_t5.py#L1593",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),nn=new Pt({props:{$$slots:{default:[F2]},$$scope:{ctx:q}}}),sn=new Ot({props:{anchor:"transformers.T5ForConditionalGeneration.forward.example",$$slots:{default:[j2]},$$scope:{ctx:q}}}),Wa=new _e({}),Ra=new A({props:{name:"class transformers.T5EncoderModel",anchor:"transformers.T5EncoderModel",parameters:[{name:"config",val:": T5Config"}],parametersDescription:[{anchor:"transformers.T5EncoderModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config">T5Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_t5.py#L1805"}}),Ja=new A({props:{name:"forward",anchor:"transformers.T5EncoderModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.T5EncoderModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.T5EncoderModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.T5EncoderModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.T5EncoderModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.T5EncoderModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.T5EncoderModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.T5EncoderModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_t5.py#L1872",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutput"
>transformers.modeling_outputs.BaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutput"
>transformers.modeling_outputs.BaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),rn=new Pt({props:{$$slots:{default:[M2]},$$scope:{ctx:q}}}),dn=new Ot({props:{anchor:"transformers.T5EncoderModel.forward.example",$$slots:{default:[C2]},$$scope:{ctx:q}}}),Xa=new _e({}),Qa=new A({props:{name:"class transformers.TFT5Model",anchor:"transformers.TFT5Model",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFT5Model.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config">T5Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_tf_t5.py#L1127"}}),cn=new Pt({props:{$$slots:{default:[A2]},$$scope:{ctx:q}}}),ar=new A({props:{name:"call",anchor:"transformers.TFT5Model.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_input_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_outputs",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFT5Model.call.input_ids",description:`<strong>input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on the right or the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/bert#transformers.BertTokenizer">BertTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a></p>
<p>To know more on how to prepare <code>inputs</code> for pretraining take a look at <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.TFT5Model.call.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Provide for sequence to sequence training. T5 uses the <code>pad_token_id</code> as the starting token for
<code>decoder_input_ids</code> generation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code>
have to be input (see <code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">T5
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.TFT5Model.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFT5Model.call.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.TFT5Model.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFT5Model.call.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TFT5Model.call.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(tf.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <code>optional</code>: <em>hidden_states</em>, <code>optional</code>: <em>attentions</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of hidden states at
the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.TFT5Model.call.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(tf.Tensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFT5Model.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFT5Model.call.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.TFT5Model.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.TFT5Model.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFT5Model.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFT5Model.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFT5Model.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_tf_t5.py#L1155",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqModelOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqModelOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),pn=new Pt({props:{$$slots:{default:[P2]},$$scope:{ctx:q}}}),hn=new Ot({props:{anchor:"transformers.TFT5Model.call.example",$$slots:{default:[O2]},$$scope:{ctx:q}}}),rr=new _e({}),ir=new A({props:{name:"class transformers.TFT5ForConditionalGeneration",anchor:"transformers.TFT5ForConditionalGeneration",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFT5ForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config">T5Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_tf_t5.py#L1279"}}),mn=new Pt({props:{$$slots:{default:[N2]},$$scope:{ctx:q}}}),mr=new A({props:{name:"call",anchor:"transformers.TFT5ForConditionalGeneration.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_input_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_outputs",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFT5ForConditionalGeneration.call.input_ids",description:`<strong>input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on the right or the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/bert#transformers.BertTokenizer">BertTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a></p>
<p>To know more on how to prepare <code>inputs</code> for pretraining take a look at <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.TFT5ForConditionalGeneration.call.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Provide for sequence to sequence training. T5 uses the <code>pad_token_id</code> as the starting token for
<code>decoder_input_ids</code> generation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code>
have to be input (see <code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">T5
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.TFT5ForConditionalGeneration.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFT5ForConditionalGeneration.call.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.TFT5ForConditionalGeneration.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFT5ForConditionalGeneration.call.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TFT5ForConditionalGeneration.call.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(tf.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <code>optional</code>: <em>hidden_states</em>, <code>optional</code>: <em>attentions</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of hidden states at
the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.TFT5ForConditionalGeneration.call.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(tf.Tensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFT5ForConditionalGeneration.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFT5ForConditionalGeneration.call.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.</p>
<p>If <code>decoder_input_ids</code> and <code>decoder_inputs_embeds</code> are both unset, <code>decoder_inputs_embeds</code> takes the value
of <code>inputs_embeds</code>.`,name:"decoder_inputs_embeds"},{anchor:"transformers.TFT5ForConditionalGeneration.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.TFT5ForConditionalGeneration.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFT5ForConditionalGeneration.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFT5ForConditionalGeneration.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFT5ForConditionalGeneration.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFT5ForConditionalGeneration.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the cross entropy classification loss. Indices should be in <code>[0, ..., config.vocab_size - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_tf_t5.py#L1334",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqLMOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqLMOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),fn=new Pt({props:{$$slots:{default:[L2]},$$scope:{ctx:q}}}),_n=new Ot({props:{anchor:"transformers.TFT5ForConditionalGeneration.call.example",$$slots:{default:[I2]},$$scope:{ctx:q}}}),fr=new _e({}),_r=new A({props:{name:"class transformers.TFT5EncoderModel",anchor:"transformers.TFT5EncoderModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFT5EncoderModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config">T5Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_tf_t5.py#L1532"}}),Tn=new Pt({props:{$$slots:{default:[D2]},$$scope:{ctx:q}}}),vr=new A({props:{name:"call",anchor:"transformers.TFT5EncoderModel.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFT5EncoderModel.call.inputs",description:`<strong>inputs</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on the right or the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p>To know more on how to prepare <code>inputs</code> for pre-training take a look at <a href="./t5#training">T5 Training</a>.`,name:"inputs"},{anchor:"transformers.TFT5EncoderModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFT5EncoderModel.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFT5EncoderModel.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFT5EncoderModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.TFT5EncoderModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFT5EncoderModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.TFT5EncoderModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_tf_t5.py#L1555",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutput"
>transformers.modeling_tf_outputs.TFBaseModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutput"
>transformers.modeling_tf_outputs.TFBaseModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),kn=new Pt({props:{$$slots:{default:[S2]},$$scope:{ctx:q}}}),bn=new Ot({props:{anchor:"transformers.TFT5EncoderModel.call.example",$$slots:{default:[G2]},$$scope:{ctx:q}}}),wr=new _e({}),$r=new A({props:{name:"class transformers.FlaxT5Model",anchor:"transformers.FlaxT5Model",parameters:[{name:"config",val:": T5Config"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_flax_t5.py#L1367"}}),xr=new A({props:{name:"__call__",anchor:"transformers.FlaxT5Model.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": ndarray = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5Model.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a></p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.FlaxT5Model.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxT5Model.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>T5 uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If <code>past_key_values</code>
is used, optionally only the last <code>decoder_input_ids</code> have to be input (see <code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">T5
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxT5Model.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxT5Model.__call__.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <code>optional</code>: <em>hidden_states</em>, <code>optional</code>: <em>attentions</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of hidden states at
the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxT5Model.__call__.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_flax_t5.py#L986",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),vn=new Pt({props:{$$slots:{default:[B2]},$$scope:{ctx:q}}}),wn=new Ot({props:{anchor:"transformers.FlaxT5Model.__call__.example",$$slots:{default:[U2]},$$scope:{ctx:q}}}),zr=new A({props:{name:"encode",anchor:"transformers.FlaxT5Model.encode",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5Model.encode.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.FlaxT5Model.encode.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxT5Model.encode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxT5Model.encode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxT5Model.encode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_flax_t5.py#L1072",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.t5.configuration_t5.T5Config'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),xn=new Ot({props:{anchor:"transformers.FlaxT5Model.encode.example",$$slots:{default:[W2]},$$scope:{ctx:q}}}),Er=new A({props:{name:"decode",anchor:"transformers.FlaxT5Model.decode",parameters:[{name:"decoder_input_ids",val:""},{name:"encoder_outputs",val:""},{name:"encoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5Model.decode.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For training, <code>decoder_input_ids</code> should be provided.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxT5Model.decode.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxT5Model.decode.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"encoder_attention_mask"},{anchor:"transformers.FlaxT5Model.decode.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxT5Model.decode.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxT5Model.decode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxT5Model.decode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxT5Model.decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_flax_t5.py#L1130",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.t5.configuration_t5.T5Config'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPastAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),En=new Ot({props:{anchor:"transformers.FlaxT5Model.decode.example",$$slots:{default:[R2]},$$scope:{ctx:q}}}),qr=new _e({}),Fr=new A({props:{name:"class transformers.FlaxT5ForConditionalGeneration",anchor:"transformers.FlaxT5ForConditionalGeneration",parameters:[{name:"config",val:": T5Config"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_flax_t5.py#L1605"}}),jr=new A({props:{name:"__call__",anchor:"transformers.FlaxT5ForConditionalGeneration.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_input_ids",val:": ndarray = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a></p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>T5 uses the <code>pad_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If <code>past_key_values</code>
is used, optionally only the last <code>decoder_input_ids</code> have to be input (see <code>past_key_values</code>).</p>
<p>To know more on how to prepare <code>decoder_input_ids</code> for pretraining take a look at <a href="./t5#training">T5
Training</a>.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <code>optional</code>: <em>hidden_states</em>, <code>optional</code>: <em>attentions</em>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code> is a sequence of hidden states at
the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_flax_t5.py#L986",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/t5#transformers.T5Config"
>T5Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Fn=new Pt({props:{$$slots:{default:[H2]},$$scope:{ctx:q}}}),jn=new Ot({props:{anchor:"transformers.FlaxT5ForConditionalGeneration.__call__.example",$$slots:{default:[K2]},$$scope:{ctx:q}}}),Mr=new A({props:{name:"encode",anchor:"transformers.FlaxT5ForConditionalGeneration.encode",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5ForConditionalGeneration.encode.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.FlaxT5ForConditionalGeneration.encode.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxT5ForConditionalGeneration.encode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxT5ForConditionalGeneration.encode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxT5ForConditionalGeneration.encode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_flax_t5.py#L1072",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.t5.configuration_t5.T5Config'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutput"
>transformers.modeling_flax_outputs.FlaxBaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Cn=new Ot({props:{anchor:"transformers.FlaxT5ForConditionalGeneration.encode.example",$$slots:{default:[V2]},$$scope:{ctx:q}}}),Cr=new A({props:{name:"decode",anchor:"transformers.FlaxT5ForConditionalGeneration.decode",parameters:[{name:"decoder_input_ids",val:""},{name:"encoder_outputs",val:""},{name:"encoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"past_key_values",val:": dict = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>For training, <code>decoder_input_ids</code> should be provided.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(jnp.ndarray)</code>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"encoder_attention_mask"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.past_key_values",description:`<strong>past_key_values</strong> (<code>Dict[str, np.ndarray]</code>, <em>optional</em>, returned by <code>init_cache</code> or when passing previous <code>past_key_values</code>) &#x2014;
Dictionary of pre-computed hidden-states (key and values in the attention blocks) that can be used for fast
auto-regressive decoding. Pre-computed key and value hidden-states are of shape <em>[batch_size, max_length]</em>.`,name:"past_key_values"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_flax_t5.py#L1608",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.t5.configuration_t5.T5Config'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key, value
states of the self-attention and the cross-attention layers if model is used in encoder-decoder setting.
Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions"
>transformers.modeling_flax_outputs.FlaxCausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Pn=new Ot({props:{anchor:"transformers.FlaxT5ForConditionalGeneration.decode.example",$$slots:{default:[Y2]},$$scope:{ctx:q}}}),Ar=new _e({}),Pr=new A({props:{name:"class transformers.FlaxT5EncoderModel",anchor:"transformers.FlaxT5EncoderModel",parameters:[{name:"config",val:": T5Config"},{name:"input_shape",val:": typing.Tuple[int] = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"gradient_checkpointing",val:": bool = False"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_flax_t5.py#L1454"}}),Or=new A({props:{name:"__call__",anchor:"transformers.FlaxT5EncoderModel.__call__",parameters:[{name:"input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxT5EncoderModel.__call__.input_ids",description:`<strong>input_ids</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. T5 is a model with relative position embeddings so you
should be able to pad the inputs on both the right and the left.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for detail.</p>
<p>To know more on how to prepare <code>input_ids</code> for pretraining take a look a <a href="./t5#training">T5 Training</a>.`,name:"input_ids"},{anchor:"transformers.FlaxT5EncoderModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxT5EncoderModel.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxT5EncoderModel.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxT5EncoderModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/t5/modeling_flax_t5.py#L1457"}}),Nn=new Pt({props:{$$slots:{default:[Z2]},$$scope:{ctx:q}}}),{c(){m=a("meta"),k=c(),g=a("h1"),_=a("a"),T=a("span"),b(d.$$.fragment),f=c(),F=a("span"),Le=n("T5"),qe=c(),S=a("h2"),oe=a("a"),ne=a("span"),b(E.$$.fragment),Ie=c(),H=a("span"),De=n("Overview"),Fe=c(),G=a("p"),Se=n("The T5 model was presented in "),ae=a("a"),Z=n("Exploring the Limits of Transfer Learning with a Unified Text-to-Text Transformer"),Ge=n(` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan Narang,
Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu.`),je=c(),B=a("p"),Be=n("The abstract from the paper is the following:"),Me=c(),U=a("p"),Te=a("em"),Ue=n(`Transfer learning, where a model is first pre-trained on a data-rich task before being fine-tuned on a downstream
task, has emerged as a powerful technique in natural language processing (NLP). The effectiveness of transfer learning
has given rise to a diversity of approaches, methodology, and practice. In this paper, we explore the landscape of
transfer learning techniques for NLP by introducing a unified framework that converts every language problem into a
text-to-text format. Our systematic study compares pretraining objectives, architectures, unlabeled datasets, transfer
approaches, and other factors on dozens of language understanding tasks. By combining the insights from our exploration
with scale and our new \u201CColossal Clean Crawled Corpus\u201D, we achieve state-of-the-art results on many benchmarks covering
summarization, question answering, text classification, and more. To facilitate future work on transfer learning for
NLP, we release our dataset, pre-trained models, and code.`),re=c(),C=a("p"),P=n("Tips:"),Ce=c(),D=a("ul"),ke=a("li"),J=a("p"),X=n(`T5 is an encoder-decoder model pre-trained on a multi-task mixture of unsupervised and supervised tasks and for which
each task is converted into a text-to-text format. T5 works well on a variety of tasks out-of-the-box by prepending a
different prefix to the input corresponding to each task, e.g., for translation: `),be=a("em"),We=n("translate English to German: \u2026"),O=n(`,
for summarization: `),ye=a("em"),Q=n("summarize: \u2026"),Re=n("."),He=c(),K=a("li"),ve=a("p"),Ke=n("T5 uses relative scalar embeddings. Encoder input padding can be done on the left and on the right."),W=c(),we=a("li"),I=a("p"),Ve=n("See the "),ee=a("a"),N=n("training"),Ye=n(", "),L=a("a"),Ze=n("inference"),Je=n(" and "),z=a("a"),j=n("scripts"),mt=n(" sections below for all details regarding usage."),ie=c(),Xe=a("p"),ft=n("T5 comes in different sizes:"),M=c(),V=a("ul"),et=a("li"),tt=a("p"),Ae=a("a"),_t=n("t5-small"),R=c(),Y=a("li"),ot=a("p"),Pe=a("a"),te=n("t5-base"),gt=c(),nt=a("li"),$e=a("p"),Oe=a("a"),he=n("t5-large"),Tt=c(),hd=a("li"),ud=a("p"),Jn=a("a"),pu=n("t5-3b"),hu=c(),md=a("li"),Wr=a("p"),Xn=a("a"),uu=n("t5-11b"),mu=n("."),zc=c(),Rr=a("p"),fu=n("Based on the original T5 model, Google has released some follow-up works:"),Ec=c(),St=a("ul"),fd=a("li"),Co=a("p"),_d=a("strong"),_u=n("T5v1.1"),gu=n(`: T5v1.1 is an improved version of T5 with some architectural tweaks, and is pre-trained on C4 only without
mixing in the supervised tasks. Refer to the documentation of T5v1.1 which can be found `),Hr=a("a"),Tu=n("here"),ku=n("."),bu=c(),gd=a("li"),Ao=a("p"),Td=a("strong"),yu=n("mT5"),vu=n(`: mT5 is a multilingual T5 model. It is pre-trained on the mC4 corpus, which includes 101 languages. Refer to
the documentation of mT5 which can be found `),Kr=a("a"),wu=n("here"),$u=n("."),xu=c(),kd=a("li"),Po=a("p"),bd=a("strong"),zu=n("byT5"),Eu=n(`: byT5 is a T5 model pre-trained on byte sequences rather than SentencePiece subword token sequences. Refer
to the documentation of byT5 which can be found `),Vr=a("a"),qu=n("here"),Fu=n("."),qc=c(),Oo=a("p"),ju=n("All checkpoints can be found on the "),Qn=a("a"),Mu=n("hub"),Cu=n("."),Fc=c(),Gt=a("p"),Au=n("This model was contributed by "),es=a("a"),Pu=n("thomwolf"),Ou=n(". The original code can be found "),ts=a("a"),Nu=n("here"),Lu=n("."),jc=c(),Yr=a("a"),Mc=c(),eo=a("h2"),No=a("a"),yd=a("span"),b(os.$$.fragment),Iu=c(),vd=a("span"),Du=n("Training"),Cc=c(),kt=a("p"),Su=n(`T5 is an encoder-decoder model and converts all NLP problems into a text-to-text format. It is trained using teacher
forcing. This means that for training, we always need an input sequence and a corresponding target sequence. The input
sequence is fed to the model using `),wd=a("code"),Gu=n("input_ids"),Bu=n(`. The target sequence is shifted to the right, i.e., prepended by a
start-sequence token and fed to the decoder using the `),$d=a("code"),Uu=n("decoder_input_ids"),Wu=n(`. In teacher-forcing style, the target
sequence is then appended by the EOS token and corresponds to the `),xd=a("code"),Ru=n("labels"),Hu=n(`. The PAD token is hereby used as the
start-sequence token. T5 can be trained / fine-tuned both in a supervised and unsupervised fashion.`),Ac=c(),Lo=a("p"),Ku=n("One can use "),Zr=a("a"),Vu=n("T5ForConditionalGeneration"),Yu=n(` (or the Tensorflow/Flax variant), which includes the
language modeling head on top of the decoder.`),Pc=c(),Jr=a("ul"),zd=a("li"),Zu=n("Unsupervised denoising training"),Oc=c(),ue=a("p"),Ju=n("In this setup, spans of the input sequence are masked by so-called sentinel tokens ("),Ed=a("em"),Xu=n("a.k.a"),Qu=n(` unique mask tokens) and
the output sequence is formed as a concatenation of the same sentinel tokens and the `),qd=a("em"),em=n("real"),tm=n(` masked tokens. Each
sentinel token represents a unique mask token for this sentence and should start with `),Fd=a("code"),om=n("<extra_id_0>"),nm=n(`,
`),jd=a("code"),sm=n("<extra_id_1>"),am=n(", \u2026 up to "),Md=a("code"),rm=n("<extra_id_99>"),im=n(`. As a default, 100 sentinel tokens are available in
`),Xr=a("a"),dm=n("T5Tokenizer"),lm=n("."),Nc=c(),Qr=a("p"),cm=n(`For instance, the sentence \u201CThe cute dog walks in the park\u201D with the masks put on \u201Ccute dog\u201D and \u201Cthe\u201D should be
processed as follows:`),Lc=c(),b(ns.$$.fragment),Ic=c(),Io=a("p"),pm=n("If you\u2019re interested in pre-training T5 on a new corpus, check out the "),ss=a("a"),hm=n("run_t5_mlm_flax.py"),um=n(` script in the Examples
directory.`),Dc=c(),ei=a("ul"),Cd=a("li"),mm=n("Supervised training"),Sc=c(),ti=a("p"),fm=n(`In this setup, the input sequence and output sequence are a standard sequence-to-sequence input-output mapping.
Suppose that we want to fine-tune the model for translation for example, and we have a training example: the input
sequence \u201CThe house is wonderful.\u201D and output sequence \u201CDas Haus ist wunderbar.\u201D, then they should be prepared for
the model as follows:`),Gc=c(),b(as.$$.fragment),Bc=c(),se=a("p"),_m=n("As you can see, only 2 inputs are required for the model in order to compute a loss: "),Ad=a("code"),gm=n("input_ids"),Tm=n(` (which are the
`),Pd=a("code"),km=n("input_ids"),bm=n(" of the encoded input sequence) and "),Od=a("code"),ym=n("labels"),vm=n(" (which are the "),Nd=a("code"),wm=n("input_ids"),$m=n(` of the encoded
target sequence). The model will automatically create the `),Ld=a("code"),xm=n("decoder_input_ids"),zm=n(" based on the "),Id=a("code"),Em=n("labels"),qm=n(`, by
shifting them one position to the right and prepending the `),Dd=a("code"),Fm=n("config.decoder_start_token_id"),jm=n(`, which for T5 is
equal to 0 (i.e. the id of the pad token). Also note the task prefix: we prepend the input sequence with \u2018translate
English to German: \u2019 before encoding it. This will help in improving the performance, as this task prefix was used
during T5\u2019s pre-training.`),Uc=c(),Bt=a("p"),Mm=n(`However, the example above only shows a single training example. In practice, one trains deep learning models in
batches. This entails that we must pad/truncate examples to the same length. For encoder-decoder models, one
typically defines a `),Sd=a("code"),Cm=n("max_source_length"),Am=n(" and "),Gd=a("code"),Pm=n("max_target_length"),Om=n(`, which determine the maximum length of the
input and output sequences respectively (otherwise they are truncated). These should be carefully set depending on
the task.`),Wc=c(),me=a("p"),Nm=n("In addition, we must make sure that padding token id\u2019s of the "),Bd=a("code"),Lm=n("labels"),Im=n(` are not taken into account by the loss
function. In PyTorch and Tensorflow, this can be done by replacing them with -100, which is the `),Ud=a("code"),Dm=n("ignore_index"),Sm=n(`
of the `),Wd=a("code"),Gm=n("CrossEntropyLoss"),Bm=n(". In Flax, one can use the "),Rd=a("code"),Um=n("decoder_attention_mask"),Wm=n(` to ignore padded tokens from
the loss (see the `),rs=a("a"),Rm=n("Flax summarization script"),Hm=n(` for details). We also pass
`),Hd=a("code"),Km=n("attention_mask"),Vm=n(` as additional input to the model, which makes sure that padding tokens of the inputs are
ignored. The code example below illustrates all of this.`),Rc=c(),b(is.$$.fragment),Hc=c(),oi=a("p"),Ym=n("Additional training tips:"),Kc=c(),ni=a("ul"),ds=a("li"),Zm=n("T5 models need a slightly higher learning rate than the default one set in the "),Kd=a("code"),Jm=n("Trainer"),Xm=n(` when using the AdamW
optimizer. Typically, 1e-4 and 3e-4 work well for most problems (classification, summarization, translation, question
answering, question generation). Note that T5 was pre-trained using the AdaFactor optimizer.`),Vc=c(),Ut=a("p"),Qm=n("According to "),ls=a("a"),ef=n("this forum post"),tf=n(`, task prefixes matter when
(1) doing multi-task training (2) your task is similar or related to one of the supervised tasks used in T5\u2019s
pre-training mixture (see Appendix D of the `),cs=a("a"),of=n("paper"),nf=n(` for the task prefixes
used).`),Yc=c(),Do=a("p"),sf=n(`If training on TPU, it is recommended to pad all examples of the dataset to the same length or make use of
`),Vd=a("em"),af=n("pad_to_multiple_of"),rf=n(` to have a small number of predefined bucket sizes to fit all examples in. Dynamically padding
batches to the longest example is not recommended on TPU as it triggers a recompilation for every batch shape that is
encountered during training thus significantly slowing down the training. only padding up to the longest example in a
batch) leads to very slow training on TPU.`),Zc=c(),si=a("a"),Jc=c(),to=a("h2"),So=a("a"),Yd=a("span"),b(ps.$$.fragment),df=c(),Zd=a("span"),lf=n("Inference"),Xc=c(),bt=a("p"),cf=n("At inference time, it is recommended to use "),ai=a("a"),pf=n("generate()"),hf=n(`. This
method takes care of encoding the input and feeding the encoded hidden states via cross-attention layers to the decoder
and auto-regressively generates the decoder output. Check out `),hs=a("a"),uf=n("this blog post"),mf=n(` to know all the details about generating text with Transformers.
There\u2019s also `),us=a("a"),ff=n("this blog post"),_f=n(` which explains how
generation works in general in encoder-decoder models.`),Qc=c(),b(ms.$$.fragment),ep=c(),st=a("p"),gf=n("Note that T5 uses the "),Jd=a("code"),Tf=n("pad_token_id"),kf=n(" as the "),Xd=a("code"),bf=n("decoder_start_token_id"),yf=n(`, so when doing generation without using
`),ri=a("a"),vf=n("generate()"),wf=n(", make sure you start it with the "),Qd=a("code"),$f=n("pad_token_id"),xf=n("."),tp=c(),ii=a("p"),zf=n("The example above only shows a single example. You can also do batched inference, like so:"),op=c(),b(fs.$$.fragment),np=c(),di=a("p"),Ef=n(`Because T5 has been trained with the span-mask denoising objective,
it can be used to predict the sentinel (masked-out) tokens during inference.
The predicted tokens will then be placed between the sentinel tokens.`),sp=c(),b(_s.$$.fragment),ap=c(),li=a("a"),rp=c(),oo=a("h2"),Go=a("a"),el=a("span"),b(gs.$$.fragment),qf=c(),tl=a("span"),Ff=n("Performance"),ip=c(),yt=a("p"),jf=n("If you\u2019d like a faster training and inference performance, install "),Ts=a("a"),Mf=n("apex"),Cf=n(" and then the model will automatically use "),ol=a("code"),Af=n("apex.normalization.FusedRMSNorm"),Pf=n(" instead of "),nl=a("code"),Of=n("T5LayerNorm"),Nf=n(". The former uses an optimized fused kernel which is several times faster than the latter."),dp=c(),no=a("h2"),Bo=a("a"),sl=a("span"),b(ks.$$.fragment),Lf=c(),al=a("span"),If=n("Resources"),lp=c(),ci=a("p"),Df=n("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with T5. If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),cp=c(),b(bs.$$.fragment),pp=c(),Uo=a("ul"),ys=a("li"),Sf=n("A notebook for how to "),vs=a("a"),Gf=n("finetune T5 for classification and multiple choice"),Bf=n("."),Uf=c(),ws=a("li"),Wf=n("A notebook for how to "),$s=a("a"),Rf=n("finetune T5 for sentiment span extraction"),Hf=n(". \u{1F30E}"),hp=c(),b(xs.$$.fragment),up=c(),pi=a("ul"),zs=a("li"),Kf=n("A notebook for how to "),Es=a("a"),Vf=n("finetune T5 for named entity recognition"),Yf=n(". \u{1F30E}"),mp=c(),b(qs.$$.fragment),fp=c(),hi=a("ul"),Fs=a("li"),Zf=n("A notebook for "),js=a("a"),Jf=n("Finetuning CodeT5 for generating docstrings from Ruby code"),Xf=n("."),_p=c(),b(Ms.$$.fragment),gp=c(),fe=a("ul"),Cs=a("li"),Qf=n("A notebook to "),As=a("a"),e_=n("Finetune T5-base-dutch to perform Dutch abstractive summarization on a TPU"),t_=n("."),o_=c(),Ps=a("li"),n_=n("A notebook for how to "),Os=a("a"),s_=n("finetune T5 for summarization in PyTorch and track experiments with WandB"),a_=n(". \u{1F30E}"),r_=c(),Ns=a("li"),i_=n("A blog post on "),Ls=a("a"),d_=n("Distributed Training: Train BART/T5 for Summarization using \u{1F917} Transformers and Amazon SageMaker"),l_=n("."),c_=c(),Wt=a("li"),ui=a("a"),p_=n("T5ForConditionalGeneration"),h_=n(" is supported by this "),Is=a("a"),u_=n("example script"),m_=n(" and "),Ds=a("a"),f_=n("noteboook"),__=n("."),g_=c(),Rt=a("li"),mi=a("a"),T_=n("TFT5ForConditionalGeneration"),k_=n(" is supported by this "),Ss=a("a"),b_=n("example script"),y_=n(" and "),Gs=a("a"),v_=n("notebook"),w_=n("."),$_=c(),Wo=a("li"),fi=a("a"),x_=n("FlaxT5ForConditionalGeneration"),z_=n(" is supported by this "),Bs=a("a"),E_=n("example script"),q_=n("."),F_=c(),_i=a("li"),Us=a("a"),j_=n("Summarization"),M_=n(" chapter of the \u{1F917} Hugging Face course."),Tp=c(),b(Ws.$$.fragment),kp=c(),gi=a("ul"),vt=a("li"),Ti=a("a"),C_=n("FlaxT5ForConditionalGeneration"),A_=n(" is supported by this "),Rs=a("a"),P_=n("example script"),O_=n(" for training T5 with a span-masked language model objective. The script also shows how to train a T5 tokenizer. "),ki=a("a"),N_=n("FlaxT5ForConditionalGeneration"),L_=n(" is also supported by this "),Hs=a("a"),I_=n("notebook"),D_=n("."),bp=c(),b(Ks.$$.fragment),yp=c(),Ro=a("ul"),Ht=a("li"),bi=a("a"),S_=n("T5ForConditionalGeneration"),G_=n(" is supported by this "),Vs=a("a"),B_=n("example script"),U_=n(" and "),Ys=a("a"),W_=n("notebook"),R_=n("."),H_=c(),Kt=a("li"),yi=a("a"),K_=n("TFT5ForConditionalGeneration"),V_=n(" is supported by this "),Zs=a("a"),Y_=n("example script"),Z_=n(" and "),Js=a("a"),J_=n("notebook"),X_=n("."),vp=c(),b(Xs.$$.fragment),wp=c(),Ho=a("ul"),Qs=a("li"),Q_=n("A notebook on how to "),ea=a("a"),eg=n("finetune T5 for question answering with TensorFlow 2"),tg=n(". \u{1F30E}"),og=c(),ta=a("li"),ng=n("A notebook on how to "),oa=a("a"),sg=n("finetune T5 for question answering on a TPU"),ag=n("."),$p=c(),na=a("p"),rg=n("\u{1F680} "),rl=a("strong"),ig=n("Deploy"),xp=c(),vi=a("ul"),sa=a("li"),dg=n("A blog post on how to deploy "),aa=a("a"),lg=n("T5 11B for inference for less than $500"),cg=n("."),zp=c(),so=a("h2"),Ko=a("a"),il=a("span"),b(ra.$$.fragment),pg=c(),dl=a("span"),hg=n("T5Config"),Ep=c(),Lt=a("div"),b(ia.$$.fragment),ug=c(),It=a("p"),mg=n("This is the configuration class to store the configuration of a "),wi=a("a"),fg=n("T5Model"),_g=n(" or a "),$i=a("a"),gg=n("TFT5Model"),Tg=n(`. It is used to
instantiate a T5 model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the T5
`),da=a("a"),kg=n("t5-small"),bg=n(" architecture."),yg=c(),ao=a("p"),vg=n("Configuration objects inherit from "),xi=a("a"),wg=n("PretrainedConfig"),$g=n(` and can be used to control the model outputs. Read the
documentation from `),zi=a("a"),xg=n("PretrainedConfig"),zg=n(" for more information."),qp=c(),ro=a("h2"),Vo=a("a"),ll=a("span"),b(la.$$.fragment),Eg=c(),cl=a("span"),qg=n("T5Tokenizer"),Fp=c(),de=a("div"),b(ca.$$.fragment),Fg=c(),pa=a("p"),jg=n("Construct a T5 tokenizer. Based on "),ha=a("a"),Mg=n("SentencePiece"),Cg=n("."),Ag=c(),ua=a("p"),Pg=n("This tokenizer inherits from "),Ei=a("a"),Og=n("PreTrainedTokenizer"),Ng=n(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),Lg=c(),Vt=a("div"),b(ma.$$.fragment),Ig=c(),pl=a("p"),Dg=n(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. A sequence has the following format:`),Sg=c(),fa=a("ul"),qi=a("li"),Gg=n("single sequence: "),hl=a("code"),Bg=n("X </s>"),Ug=c(),Fi=a("li"),Wg=n("pair of sequences: "),ul=a("code"),Rg=n("A </s> B </s>"),Hg=c(),Yo=a("div"),b(_a.$$.fragment),Kg=c(),ga=a("p"),Vg=n(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),ml=a("code"),Yg=n("prepare_for_model"),Zg=n(" method."),Jg=c(),Zo=a("div"),b(Ta.$$.fragment),Xg=c(),fl=a("p"),Qg=n(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. T5 does not make
use of token type ids, therefore a list of zeros is returned.`),eT=c(),ji=a("div"),b(ka.$$.fragment),jp=c(),io=a("h2"),Jo=a("a"),_l=a("span"),b(ba.$$.fragment),tT=c(),gl=a("span"),oT=n("T5TokenizerFast"),Mp=c(),Qe=a("div"),b(ya.$$.fragment),nT=c(),lo=a("p"),sT=n("Construct a \u201Cfast\u201D T5 tokenizer (backed by HuggingFace\u2019s "),Tl=a("em"),aT=n("tokenizers"),rT=n(` library). Based on
`),va=a("a"),iT=n("Unigram"),dT=n("."),lT=c(),wa=a("p"),cT=n("This tokenizer inherits from "),Mi=a("a"),pT=n("PreTrainedTokenizerFast"),hT=n(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),uT=c(),Yt=a("div"),b($a.$$.fragment),mT=c(),kl=a("p"),fT=n(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. A sequence has the following format:`),_T=c(),xa=a("ul"),Ci=a("li"),gT=n("single sequence: "),bl=a("code"),TT=n("X </s>"),kT=c(),Ai=a("li"),bT=n("pair of sequences: "),yl=a("code"),yT=n("A </s> B </s>"),vT=c(),Xo=a("div"),b(za.$$.fragment),wT=c(),vl=a("p"),$T=n(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. T5 does not make
use of token type ids, therefore a list of zeros is returned.`),Cp=c(),co=a("h2"),Qo=a("a"),wl=a("span"),b(Ea.$$.fragment),xT=c(),$l=a("span"),zT=n("T5Model"),Ap=c(),xe=a("div"),b(qa.$$.fragment),ET=c(),xl=a("p"),qT=n("The bare T5 Model transformer outputting raw hidden-states without any specific head on top."),FT=c(),Fa=a("p"),jT=n("The T5 model was proposed in "),ja=a("a"),MT=n(`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),CT=n(` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),AT=c(),Ma=a("p"),PT=n("This model inherits from "),Pi=a("a"),OT=n("PreTrainedModel"),NT=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),LT=c(),Ca=a("p"),IT=n("This model is also a PyTorch "),Aa=a("a"),DT=n("torch.nn.Module"),ST=n(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),GT=c(),wt=a("div"),b(Pa.$$.fragment),BT=c(),po=a("p"),UT=n("The "),Oi=a("a"),WT=n("T5Model"),RT=n(" forward method, overrides the "),zl=a("code"),HT=n("__call__"),KT=n(" special method."),VT=c(),b(en.$$.fragment),YT=c(),b(tn.$$.fragment),Pp=c(),ho=a("h2"),on=a("a"),El=a("span"),b(Oa.$$.fragment),ZT=c(),ql=a("span"),JT=n("T5ForConditionalGeneration"),Op=c(),ze=a("div"),b(Na.$$.fragment),XT=c(),La=a("p"),QT=n("T5 Model with a "),Fl=a("code"),ek=n("language modeling"),tk=n(" head on top."),ok=c(),Ia=a("p"),nk=n("The T5 model was proposed in "),Da=a("a"),sk=n(`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),ak=n(` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),rk=c(),Sa=a("p"),ik=n("This model inherits from "),Ni=a("a"),dk=n("PreTrainedModel"),lk=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ck=c(),Ga=a("p"),pk=n("This model is also a PyTorch "),Ba=a("a"),hk=n("torch.nn.Module"),uk=n(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),mk=c(),$t=a("div"),b(Ua.$$.fragment),fk=c(),uo=a("p"),_k=n("The "),Li=a("a"),gk=n("T5ForConditionalGeneration"),Tk=n(" forward method, overrides the "),jl=a("code"),kk=n("__call__"),bk=n(" special method."),yk=c(),b(nn.$$.fragment),vk=c(),b(sn.$$.fragment),Np=c(),mo=a("h2"),an=a("a"),Ml=a("span"),b(Wa.$$.fragment),wk=c(),Cl=a("span"),$k=n("T5EncoderModel"),Lp=c(),Ee=a("div"),b(Ra.$$.fragment),xk=c(),Al=a("p"),zk=n("The bare T5 Model transformer outputting encoder\u2019s raw hidden-states without any specific head on top."),Ek=c(),Ha=a("p"),qk=n("The T5 model was proposed in "),Ka=a("a"),Fk=n(`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),jk=n(` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),Mk=c(),Va=a("p"),Ck=n("This model inherits from "),Ii=a("a"),Ak=n("PreTrainedModel"),Pk=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ok=c(),Ya=a("p"),Nk=n("This model is also a PyTorch "),Za=a("a"),Lk=n("torch.nn.Module"),Ik=n(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Dk=c(),xt=a("div"),b(Ja.$$.fragment),Sk=c(),fo=a("p"),Gk=n("The "),Di=a("a"),Bk=n("T5EncoderModel"),Uk=n(" forward method, overrides the "),Pl=a("code"),Wk=n("__call__"),Rk=n(" special method."),Hk=c(),b(rn.$$.fragment),Kk=c(),b(dn.$$.fragment),Ip=c(),_o=a("h2"),ln=a("a"),Ol=a("span"),b(Xa.$$.fragment),Vk=c(),Nl=a("span"),Yk=n("TFT5Model"),Dp=c(),le=a("div"),b(Qa.$$.fragment),Zk=c(),Ll=a("p"),Jk=n("The bare T5 Model transformer outputting raw hidden-stateswithout any specific head on top."),Xk=c(),er=a("p"),Qk=n("The T5 model was proposed in "),tr=a("a"),eb=n(`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),tb=n(` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),ob=c(),or=a("p"),nb=n("This model inherits from "),Si=a("a"),sb=n("TFPreTrainedModel"),ab=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),rb=c(),nr=a("p"),ib=n("This model is also a "),sr=a("a"),db=n("tf.keras.Model"),lb=n(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),cb=c(),b(cn.$$.fragment),pb=c(),zt=a("div"),b(ar.$$.fragment),hb=c(),go=a("p"),ub=n("The "),Gi=a("a"),mb=n("TFT5Model"),fb=n(" forward method, overrides the "),Il=a("code"),_b=n("__call__"),gb=n(" special method."),Tb=c(),b(pn.$$.fragment),kb=c(),b(hn.$$.fragment),Sp=c(),To=a("h2"),un=a("a"),Dl=a("span"),b(rr.$$.fragment),bb=c(),Sl=a("span"),yb=n("TFT5ForConditionalGeneration"),Gp=c(),ce=a("div"),b(ir.$$.fragment),vb=c(),dr=a("p"),wb=n("T5 Model with a "),Gl=a("code"),$b=n("language modeling"),xb=n(" head on top."),zb=c(),lr=a("p"),Eb=n("The T5 model was proposed in "),cr=a("a"),qb=n(`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),Fb=n(` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),jb=c(),pr=a("p"),Mb=n("This model inherits from "),Bi=a("a"),Cb=n("TFPreTrainedModel"),Ab=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Pb=c(),hr=a("p"),Ob=n("This model is also a "),ur=a("a"),Nb=n("tf.keras.Model"),Lb=n(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Ib=c(),b(mn.$$.fragment),Db=c(),Et=a("div"),b(mr.$$.fragment),Sb=c(),ko=a("p"),Gb=n("The "),Ui=a("a"),Bb=n("TFT5ForConditionalGeneration"),Ub=n(" forward method, overrides the "),Bl=a("code"),Wb=n("__call__"),Rb=n(" special method."),Hb=c(),b(fn.$$.fragment),Kb=c(),b(_n.$$.fragment),Bp=c(),bo=a("h2"),gn=a("a"),Ul=a("span"),b(fr.$$.fragment),Vb=c(),Wl=a("span"),Yb=n("TFT5EncoderModel"),Up=c(),pe=a("div"),b(_r.$$.fragment),Zb=c(),Rl=a("p"),Jb=n("The bare T5 Model transformer outputting encoder\u2019s raw hidden-stateswithout any specific head on top."),Xb=c(),gr=a("p"),Qb=n("The T5 model was proposed in "),Tr=a("a"),ey=n(`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),ty=n(` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),oy=c(),kr=a("p"),ny=n("This model inherits from "),Wi=a("a"),sy=n("TFPreTrainedModel"),ay=n(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ry=c(),br=a("p"),iy=n("This model is also a "),yr=a("a"),dy=n("tf.keras.Model"),ly=n(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),cy=c(),b(Tn.$$.fragment),py=c(),qt=a("div"),b(vr.$$.fragment),hy=c(),yo=a("p"),uy=n("The "),Ri=a("a"),my=n("TFT5EncoderModel"),fy=n(" forward method, overrides the "),Hl=a("code"),_y=n("__call__"),gy=n(" special method."),Ty=c(),b(kn.$$.fragment),ky=c(),b(bn.$$.fragment),Wp=c(),vo=a("h2"),yn=a("a"),Kl=a("span"),b(wr.$$.fragment),by=c(),Vl=a("span"),yy=n("FlaxT5Model"),Rp=c(),ht=a("div"),b($r.$$.fragment),vy=c(),Ft=a("div"),b(xr.$$.fragment),wy=c(),wo=a("p"),$y=n("The "),Yl=a("code"),xy=n("FlaxT5PreTrainedModel"),zy=n(" forward method, overrides the "),Zl=a("code"),Ey=n("__call__"),qy=n(" special method."),Fy=c(),b(vn.$$.fragment),jy=c(),b(wn.$$.fragment),My=c(),$n=a("div"),b(zr.$$.fragment),Cy=c(),b(xn.$$.fragment),Ay=c(),zn=a("div"),b(Er.$$.fragment),Py=c(),b(En.$$.fragment),Hp=c(),$o=a("h2"),qn=a("a"),Jl=a("span"),b(qr.$$.fragment),Oy=c(),Xl=a("span"),Ny=n("FlaxT5ForConditionalGeneration"),Kp=c(),ut=a("div"),b(Fr.$$.fragment),Ly=c(),jt=a("div"),b(jr.$$.fragment),Iy=c(),xo=a("p"),Dy=n("The "),Ql=a("code"),Sy=n("FlaxT5PreTrainedModel"),Gy=n(" forward method, overrides the "),ec=a("code"),By=n("__call__"),Uy=n(" special method."),Wy=c(),b(Fn.$$.fragment),Ry=c(),b(jn.$$.fragment),Hy=c(),Mn=a("div"),b(Mr.$$.fragment),Ky=c(),b(Cn.$$.fragment),Vy=c(),An=a("div"),b(Cr.$$.fragment),Yy=c(),b(Pn.$$.fragment),Vp=c(),zo=a("h2"),On=a("a"),tc=a("span"),b(Ar.$$.fragment),Zy=c(),oc=a("span"),Jy=n("FlaxT5EncoderModel"),Yp=c(),Eo=a("div"),b(Pr.$$.fragment),Xy=c(),Zt=a("div"),b(Or.$$.fragment),Qy=c(),qo=a("p"),ev=n("The "),Hi=a("a"),tv=n("FlaxT5EncoderModel"),ov=n(" forward method, overrides the "),nc=a("code"),nv=n("__call__"),sv=n(" special method."),av=c(),b(Nn.$$.fragment),this.h()},l(t){const h=x2('[data-svelte="svelte-1phssyn"]',document.head);m=r(h,"META",{name:!0,content:!0}),h.forEach(o),k=p(t),g=r(t,"H1",{class:!0});var Nr=i(g);_=r(Nr,"A",{id:!0,class:!0,href:!0});var sc=i(_);T=r(sc,"SPAN",{});var ac=i(T);y(d.$$.fragment,ac),ac.forEach(o),sc.forEach(o),f=p(Nr),F=r(Nr,"SPAN",{});var rc=i(F);Le=s(rc,"T5"),rc.forEach(o),Nr.forEach(o),qe=p(t),S=r(t,"H2",{class:!0});var Lr=i(S);oe=r(Lr,"A",{id:!0,class:!0,href:!0});var ic=i(oe);ne=r(ic,"SPAN",{});var dc=i(ne);y(E.$$.fragment,dc),dc.forEach(o),ic.forEach(o),Ie=p(Lr),H=r(Lr,"SPAN",{});var lc=i(H);De=s(lc,"Overview"),lc.forEach(o),Lr.forEach(o),Fe=p(t),G=r(t,"P",{});var Ir=i(G);Se=s(Ir,"The T5 model was presented in "),ae=r(Ir,"A",{href:!0,rel:!0});var cc=i(ae);Z=s(cc,"Exploring the Limits of Transfer Learning with a Unified Text-to-Text Transformer"),cc.forEach(o),Ge=s(Ir,` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan Narang,
Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu.`),Ir.forEach(o),je=p(t),B=r(t,"P",{});var pc=i(B);Be=s(pc,"The abstract from the paper is the following:"),pc.forEach(o),Me=p(t),U=r(t,"P",{});var hc=i(U);Te=r(hc,"EM",{});var uc=i(Te);Ue=s(uc,`Transfer learning, where a model is first pre-trained on a data-rich task before being fine-tuned on a downstream
task, has emerged as a powerful technique in natural language processing (NLP). The effectiveness of transfer learning
has given rise to a diversity of approaches, methodology, and practice. In this paper, we explore the landscape of
transfer learning techniques for NLP by introducing a unified framework that converts every language problem into a
text-to-text format. Our systematic study compares pretraining objectives, architectures, unlabeled datasets, transfer
approaches, and other factors on dozens of language understanding tasks. By combining the insights from our exploration
with scale and our new \u201CColossal Clean Crawled Corpus\u201D, we achieve state-of-the-art results on many benchmarks covering
summarization, question answering, text classification, and more. To facilitate future work on transfer learning for
NLP, we release our dataset, pre-trained models, and code.`),uc.forEach(o),hc.forEach(o),re=p(t),C=r(t,"P",{});var mc=i(C);P=s(mc,"Tips:"),mc.forEach(o),Ce=p(t),D=r(t,"UL",{});var Fo=i(D);ke=r(Fo,"LI",{});var fc=i(ke);J=r(fc,"P",{});var jo=i(J);X=s(jo,`T5 is an encoder-decoder model pre-trained on a multi-task mixture of unsupervised and supervised tasks and for which
each task is converted into a text-to-text format. T5 works well on a variety of tasks out-of-the-box by prepending a
different prefix to the input corresponding to each task, e.g., for translation: `),be=r(jo,"EM",{});var _c=i(be);We=s(_c,"translate English to German: \u2026"),_c.forEach(o),O=s(jo,`,
for summarization: `),ye=r(jo,"EM",{});var gc=i(ye);Q=s(gc,"summarize: \u2026"),gc.forEach(o),Re=s(jo,"."),jo.forEach(o),fc.forEach(o),He=p(Fo),K=r(Fo,"LI",{});var Tc=i(K);ve=r(Tc,"P",{});var kc=i(ve);Ke=s(kc,"T5 uses relative scalar embeddings. Encoder input padding can be done on the left and on the right."),kc.forEach(o),Tc.forEach(o),W=p(Fo),we=r(Fo,"LI",{});var bc=i(we);I=r(bc,"P",{});var Dt=i(I);Ve=s(Dt,"See the "),ee=r(Dt,"A",{href:!0});var yc=i(ee);N=s(yc,"training"),yc.forEach(o),Ye=s(Dt,", "),L=r(Dt,"A",{href:!0});var uv=i(L);Ze=s(uv,"inference"),uv.forEach(o),Je=s(Dt," and "),z=r(Dt,"A",{href:!0});var mv=i(z);j=s(mv,"scripts"),mv.forEach(o),mt=s(Dt," sections below for all details regarding usage."),Dt.forEach(o),bc.forEach(o),Fo.forEach(o),ie=p(t),Xe=r(t,"P",{});var fv=i(Xe);ft=s(fv,"T5 comes in different sizes:"),fv.forEach(o),M=p(t),V=r(t,"UL",{});var Jt=i(V);et=r(Jt,"LI",{});var _v=i(et);tt=r(_v,"P",{});var gv=i(tt);Ae=r(gv,"A",{href:!0,rel:!0});var Tv=i(Ae);_t=s(Tv,"t5-small"),Tv.forEach(o),gv.forEach(o),_v.forEach(o),R=p(Jt),Y=r(Jt,"LI",{});var kv=i(Y);ot=r(kv,"P",{});var bv=i(ot);Pe=r(bv,"A",{href:!0,rel:!0});var yv=i(Pe);te=s(yv,"t5-base"),yv.forEach(o),bv.forEach(o),kv.forEach(o),gt=p(Jt),nt=r(Jt,"LI",{});var vv=i(nt);$e=r(vv,"P",{});var wv=i($e);Oe=r(wv,"A",{href:!0,rel:!0});var $v=i(Oe);he=s($v,"t5-large"),$v.forEach(o),wv.forEach(o),vv.forEach(o),Tt=p(Jt),hd=r(Jt,"LI",{});var xv=i(hd);ud=r(xv,"P",{});var zv=i(ud);Jn=r(zv,"A",{href:!0,rel:!0});var Ev=i(Jn);pu=s(Ev,"t5-3b"),Ev.forEach(o),zv.forEach(o),xv.forEach(o),hu=p(Jt),md=r(Jt,"LI",{});var qv=i(md);Wr=r(qv,"P",{});var rv=i(Wr);Xn=r(rv,"A",{href:!0,rel:!0});var Fv=i(Xn);uu=s(Fv,"t5-11b"),Fv.forEach(o),mu=s(rv,"."),rv.forEach(o),qv.forEach(o),Jt.forEach(o),zc=p(t),Rr=r(t,"P",{});var jv=i(Rr);fu=s(jv,"Based on the original T5 model, Google has released some follow-up works:"),jv.forEach(o),Ec=p(t),St=r(t,"UL",{});var Ki=i(St);fd=r(Ki,"LI",{});var Mv=i(fd);Co=r(Mv,"P",{});var vc=i(Co);_d=r(vc,"STRONG",{});var Cv=i(_d);_u=s(Cv,"T5v1.1"),Cv.forEach(o),gu=s(vc,`: T5v1.1 is an improved version of T5 with some architectural tweaks, and is pre-trained on C4 only without
mixing in the supervised tasks. Refer to the documentation of T5v1.1 which can be found `),Hr=r(vc,"A",{href:!0});var Av=i(Hr);Tu=s(Av,"here"),Av.forEach(o),ku=s(vc,"."),vc.forEach(o),Mv.forEach(o),bu=p(Ki),gd=r(Ki,"LI",{});var Pv=i(gd);Ao=r(Pv,"P",{});var wc=i(Ao);Td=r(wc,"STRONG",{});var Ov=i(Td);yu=s(Ov,"mT5"),Ov.forEach(o),vu=s(wc,`: mT5 is a multilingual T5 model. It is pre-trained on the mC4 corpus, which includes 101 languages. Refer to
the documentation of mT5 which can be found `),Kr=r(wc,"A",{href:!0});var Nv=i(Kr);wu=s(Nv,"here"),Nv.forEach(o),$u=s(wc,"."),wc.forEach(o),Pv.forEach(o),xu=p(Ki),kd=r(Ki,"LI",{});var Lv=i(kd);Po=r(Lv,"P",{});var $c=i(Po);bd=r($c,"STRONG",{});var Iv=i(bd);zu=s(Iv,"byT5"),Iv.forEach(o),Eu=s($c,`: byT5 is a T5 model pre-trained on byte sequences rather than SentencePiece subword token sequences. Refer
to the documentation of byT5 which can be found `),Vr=r($c,"A",{href:!0});var Dv=i(Vr);qu=s(Dv,"here"),Dv.forEach(o),Fu=s($c,"."),$c.forEach(o),Lv.forEach(o),Ki.forEach(o),qc=p(t),Oo=r(t,"P",{});var Jp=i(Oo);ju=s(Jp,"All checkpoints can be found on the "),Qn=r(Jp,"A",{href:!0,rel:!0});var Sv=i(Qn);Mu=s(Sv,"hub"),Sv.forEach(o),Cu=s(Jp,"."),Jp.forEach(o),Fc=p(t),Gt=r(t,"P",{});var Vi=i(Gt);Au=s(Vi,"This model was contributed by "),es=r(Vi,"A",{href:!0,rel:!0});var Gv=i(es);Pu=s(Gv,"thomwolf"),Gv.forEach(o),Ou=s(Vi,". The original code can be found "),ts=r(Vi,"A",{href:!0,rel:!0});var Bv=i(ts);Nu=s(Bv,"here"),Bv.forEach(o),Lu=s(Vi,"."),Vi.forEach(o),jc=p(t),Yr=r(t,"A",{id:!0}),i(Yr).forEach(o),Mc=p(t),eo=r(t,"H2",{class:!0});var Xp=i(eo);No=r(Xp,"A",{id:!0,class:!0,href:!0});var Uv=i(No);yd=r(Uv,"SPAN",{});var Wv=i(yd);y(os.$$.fragment,Wv),Wv.forEach(o),Uv.forEach(o),Iu=p(Xp),vd=r(Xp,"SPAN",{});var Rv=i(vd);Du=s(Rv,"Training"),Rv.forEach(o),Xp.forEach(o),Cc=p(t),kt=r(t,"P",{});var Ln=i(kt);Su=s(Ln,`T5 is an encoder-decoder model and converts all NLP problems into a text-to-text format. It is trained using teacher
forcing. This means that for training, we always need an input sequence and a corresponding target sequence. The input
sequence is fed to the model using `),wd=r(Ln,"CODE",{});var Hv=i(wd);Gu=s(Hv,"input_ids"),Hv.forEach(o),Bu=s(Ln,`. The target sequence is shifted to the right, i.e., prepended by a
start-sequence token and fed to the decoder using the `),$d=r(Ln,"CODE",{});var Kv=i($d);Uu=s(Kv,"decoder_input_ids"),Kv.forEach(o),Wu=s(Ln,`. In teacher-forcing style, the target
sequence is then appended by the EOS token and corresponds to the `),xd=r(Ln,"CODE",{});var Vv=i(xd);Ru=s(Vv,"labels"),Vv.forEach(o),Hu=s(Ln,`. The PAD token is hereby used as the
start-sequence token. T5 can be trained / fine-tuned both in a supervised and unsupervised fashion.`),Ln.forEach(o),Ac=p(t),Lo=r(t,"P",{});var Qp=i(Lo);Ku=s(Qp,"One can use "),Zr=r(Qp,"A",{href:!0});var Yv=i(Zr);Vu=s(Yv,"T5ForConditionalGeneration"),Yv.forEach(o),Yu=s(Qp,` (or the Tensorflow/Flax variant), which includes the
language modeling head on top of the decoder.`),Qp.forEach(o),Pc=p(t),Jr=r(t,"UL",{});var Zv=i(Jr);zd=r(Zv,"LI",{});var Jv=i(zd);Zu=s(Jv,"Unsupervised denoising training"),Jv.forEach(o),Zv.forEach(o),Oc=p(t),ue=r(t,"P",{});var at=i(ue);Ju=s(at,"In this setup, spans of the input sequence are masked by so-called sentinel tokens ("),Ed=r(at,"EM",{});var Xv=i(Ed);Xu=s(Xv,"a.k.a"),Xv.forEach(o),Qu=s(at,` unique mask tokens) and
the output sequence is formed as a concatenation of the same sentinel tokens and the `),qd=r(at,"EM",{});var Qv=i(qd);em=s(Qv,"real"),Qv.forEach(o),tm=s(at,` masked tokens. Each
sentinel token represents a unique mask token for this sentence and should start with `),Fd=r(at,"CODE",{});var ew=i(Fd);om=s(ew,"<extra_id_0>"),ew.forEach(o),nm=s(at,`,
`),jd=r(at,"CODE",{});var tw=i(jd);sm=s(tw,"<extra_id_1>"),tw.forEach(o),am=s(at,", \u2026 up to "),Md=r(at,"CODE",{});var ow=i(Md);rm=s(ow,"<extra_id_99>"),ow.forEach(o),im=s(at,`. As a default, 100 sentinel tokens are available in
`),Xr=r(at,"A",{href:!0});var nw=i(Xr);dm=s(nw,"T5Tokenizer"),nw.forEach(o),lm=s(at,"."),at.forEach(o),Nc=p(t),Qr=r(t,"P",{});var sw=i(Qr);cm=s(sw,`For instance, the sentence \u201CThe cute dog walks in the park\u201D with the masks put on \u201Ccute dog\u201D and \u201Cthe\u201D should be
processed as follows:`),sw.forEach(o),Lc=p(t),y(ns.$$.fragment,t),Ic=p(t),Io=r(t,"P",{});var eh=i(Io);pm=s(eh,"If you\u2019re interested in pre-training T5 on a new corpus, check out the "),ss=r(eh,"A",{href:!0,rel:!0});var aw=i(ss);hm=s(aw,"run_t5_mlm_flax.py"),aw.forEach(o),um=s(eh,` script in the Examples
directory.`),eh.forEach(o),Dc=p(t),ei=r(t,"UL",{});var rw=i(ei);Cd=r(rw,"LI",{});var iw=i(Cd);mm=s(iw,"Supervised training"),iw.forEach(o),rw.forEach(o),Sc=p(t),ti=r(t,"P",{});var dw=i(ti);fm=s(dw,`In this setup, the input sequence and output sequence are a standard sequence-to-sequence input-output mapping.
Suppose that we want to fine-tune the model for translation for example, and we have a training example: the input
sequence \u201CThe house is wonderful.\u201D and output sequence \u201CDas Haus ist wunderbar.\u201D, then they should be prepared for
the model as follows:`),dw.forEach(o),Gc=p(t),y(as.$$.fragment,t),Bc=p(t),se=r(t,"P",{});var Ne=i(se);_m=s(Ne,"As you can see, only 2 inputs are required for the model in order to compute a loss: "),Ad=r(Ne,"CODE",{});var lw=i(Ad);gm=s(lw,"input_ids"),lw.forEach(o),Tm=s(Ne,` (which are the
`),Pd=r(Ne,"CODE",{});var cw=i(Pd);km=s(cw,"input_ids"),cw.forEach(o),bm=s(Ne," of the encoded input sequence) and "),Od=r(Ne,"CODE",{});var pw=i(Od);ym=s(pw,"labels"),pw.forEach(o),vm=s(Ne," (which are the "),Nd=r(Ne,"CODE",{});var hw=i(Nd);wm=s(hw,"input_ids"),hw.forEach(o),$m=s(Ne,` of the encoded
target sequence). The model will automatically create the `),Ld=r(Ne,"CODE",{});var uw=i(Ld);xm=s(uw,"decoder_input_ids"),uw.forEach(o),zm=s(Ne," based on the "),Id=r(Ne,"CODE",{});var mw=i(Id);Em=s(mw,"labels"),mw.forEach(o),qm=s(Ne,`, by
shifting them one position to the right and prepending the `),Dd=r(Ne,"CODE",{});var fw=i(Dd);Fm=s(fw,"config.decoder_start_token_id"),fw.forEach(o),jm=s(Ne,`, which for T5 is
equal to 0 (i.e. the id of the pad token). Also note the task prefix: we prepend the input sequence with \u2018translate
English to German: \u2019 before encoding it. This will help in improving the performance, as this task prefix was used
during T5\u2019s pre-training.`),Ne.forEach(o),Uc=p(t),Bt=r(t,"P",{});var Yi=i(Bt);Mm=s(Yi,`However, the example above only shows a single training example. In practice, one trains deep learning models in
batches. This entails that we must pad/truncate examples to the same length. For encoder-decoder models, one
typically defines a `),Sd=r(Yi,"CODE",{});var _w=i(Sd);Cm=s(_w,"max_source_length"),_w.forEach(o),Am=s(Yi," and "),Gd=r(Yi,"CODE",{});var gw=i(Gd);Pm=s(gw,"max_target_length"),gw.forEach(o),Om=s(Yi,`, which determine the maximum length of the
input and output sequences respectively (otherwise they are truncated). These should be carefully set depending on
the task.`),Yi.forEach(o),Wc=p(t),me=r(t,"P",{});var rt=i(me);Nm=s(rt,"In addition, we must make sure that padding token id\u2019s of the "),Bd=r(rt,"CODE",{});var Tw=i(Bd);Lm=s(Tw,"labels"),Tw.forEach(o),Im=s(rt,` are not taken into account by the loss
function. In PyTorch and Tensorflow, this can be done by replacing them with -100, which is the `),Ud=r(rt,"CODE",{});var kw=i(Ud);Dm=s(kw,"ignore_index"),kw.forEach(o),Sm=s(rt,`
of the `),Wd=r(rt,"CODE",{});var bw=i(Wd);Gm=s(bw,"CrossEntropyLoss"),bw.forEach(o),Bm=s(rt,". In Flax, one can use the "),Rd=r(rt,"CODE",{});var yw=i(Rd);Um=s(yw,"decoder_attention_mask"),yw.forEach(o),Wm=s(rt,` to ignore padded tokens from
the loss (see the `),rs=r(rt,"A",{href:!0,rel:!0});var vw=i(rs);Rm=s(vw,"Flax summarization script"),vw.forEach(o),Hm=s(rt,` for details). We also pass
`),Hd=r(rt,"CODE",{});var ww=i(Hd);Km=s(ww,"attention_mask"),ww.forEach(o),Vm=s(rt,` as additional input to the model, which makes sure that padding tokens of the inputs are
ignored. The code example below illustrates all of this.`),rt.forEach(o),Rc=p(t),y(is.$$.fragment,t),Hc=p(t),oi=r(t,"P",{});var $w=i(oi);Ym=s($w,"Additional training tips:"),$w.forEach(o),Kc=p(t),ni=r(t,"UL",{});var xw=i(ni);ds=r(xw,"LI",{});var th=i(ds);Zm=s(th,"T5 models need a slightly higher learning rate than the default one set in the "),Kd=r(th,"CODE",{});var zw=i(Kd);Jm=s(zw,"Trainer"),zw.forEach(o),Xm=s(th,` when using the AdamW
optimizer. Typically, 1e-4 and 3e-4 work well for most problems (classification, summarization, translation, question
answering, question generation). Note that T5 was pre-trained using the AdaFactor optimizer.`),th.forEach(o),xw.forEach(o),Vc=p(t),Ut=r(t,"P",{});var Zi=i(Ut);Qm=s(Zi,"According to "),ls=r(Zi,"A",{href:!0,rel:!0});var Ew=i(ls);ef=s(Ew,"this forum post"),Ew.forEach(o),tf=s(Zi,`, task prefixes matter when
(1) doing multi-task training (2) your task is similar or related to one of the supervised tasks used in T5\u2019s
pre-training mixture (see Appendix D of the `),cs=r(Zi,"A",{href:!0,rel:!0});var qw=i(cs);of=s(qw,"paper"),qw.forEach(o),nf=s(Zi,` for the task prefixes
used).`),Zi.forEach(o),Yc=p(t),Do=r(t,"P",{});var oh=i(Do);sf=s(oh,`If training on TPU, it is recommended to pad all examples of the dataset to the same length or make use of
`),Vd=r(oh,"EM",{});var Fw=i(Vd);af=s(Fw,"pad_to_multiple_of"),Fw.forEach(o),rf=s(oh,` to have a small number of predefined bucket sizes to fit all examples in. Dynamically padding
batches to the longest example is not recommended on TPU as it triggers a recompilation for every batch shape that is
encountered during training thus significantly slowing down the training. only padding up to the longest example in a
batch) leads to very slow training on TPU.`),oh.forEach(o),Zc=p(t),si=r(t,"A",{id:!0}),i(si).forEach(o),Jc=p(t),to=r(t,"H2",{class:!0});var nh=i(to);So=r(nh,"A",{id:!0,class:!0,href:!0});var jw=i(So);Yd=r(jw,"SPAN",{});var Mw=i(Yd);y(ps.$$.fragment,Mw),Mw.forEach(o),jw.forEach(o),df=p(nh),Zd=r(nh,"SPAN",{});var Cw=i(Zd);lf=s(Cw,"Inference"),Cw.forEach(o),nh.forEach(o),Xc=p(t),bt=r(t,"P",{});var In=i(bt);cf=s(In,"At inference time, it is recommended to use "),ai=r(In,"A",{href:!0});var Aw=i(ai);pf=s(Aw,"generate()"),Aw.forEach(o),hf=s(In,`. This
method takes care of encoding the input and feeding the encoded hidden states via cross-attention layers to the decoder
and auto-regressively generates the decoder output. Check out `),hs=r(In,"A",{href:!0,rel:!0});var Pw=i(hs);uf=s(Pw,"this blog post"),Pw.forEach(o),mf=s(In,` to know all the details about generating text with Transformers.
There\u2019s also `),us=r(In,"A",{href:!0,rel:!0});var Ow=i(us);ff=s(Ow,"this blog post"),Ow.forEach(o),_f=s(In,` which explains how
generation works in general in encoder-decoder models.`),In.forEach(o),Qc=p(t),y(ms.$$.fragment,t),ep=p(t),st=r(t,"P",{});var Xt=i(st);gf=s(Xt,"Note that T5 uses the "),Jd=r(Xt,"CODE",{});var Nw=i(Jd);Tf=s(Nw,"pad_token_id"),Nw.forEach(o),kf=s(Xt," as the "),Xd=r(Xt,"CODE",{});var Lw=i(Xd);bf=s(Lw,"decoder_start_token_id"),Lw.forEach(o),yf=s(Xt,`, so when doing generation without using
`),ri=r(Xt,"A",{href:!0});var Iw=i(ri);vf=s(Iw,"generate()"),Iw.forEach(o),wf=s(Xt,", make sure you start it with the "),Qd=r(Xt,"CODE",{});var Dw=i(Qd);$f=s(Dw,"pad_token_id"),Dw.forEach(o),xf=s(Xt,"."),Xt.forEach(o),tp=p(t),ii=r(t,"P",{});var Sw=i(ii);zf=s(Sw,"The example above only shows a single example. You can also do batched inference, like so:"),Sw.forEach(o),op=p(t),y(fs.$$.fragment,t),np=p(t),di=r(t,"P",{});var Gw=i(di);Ef=s(Gw,`Because T5 has been trained with the span-mask denoising objective,
it can be used to predict the sentinel (masked-out) tokens during inference.
The predicted tokens will then be placed between the sentinel tokens.`),Gw.forEach(o),sp=p(t),y(_s.$$.fragment,t),ap=p(t),li=r(t,"A",{id:!0}),i(li).forEach(o),rp=p(t),oo=r(t,"H2",{class:!0});var sh=i(oo);Go=r(sh,"A",{id:!0,class:!0,href:!0});var Bw=i(Go);el=r(Bw,"SPAN",{});var Uw=i(el);y(gs.$$.fragment,Uw),Uw.forEach(o),Bw.forEach(o),qf=p(sh),tl=r(sh,"SPAN",{});var Ww=i(tl);Ff=s(Ww,"Performance"),Ww.forEach(o),sh.forEach(o),ip=p(t),yt=r(t,"P",{});var Dn=i(yt);jf=s(Dn,"If you\u2019d like a faster training and inference performance, install "),Ts=r(Dn,"A",{href:!0,rel:!0});var Rw=i(Ts);Mf=s(Rw,"apex"),Rw.forEach(o),Cf=s(Dn," and then the model will automatically use "),ol=r(Dn,"CODE",{});var Hw=i(ol);Af=s(Hw,"apex.normalization.FusedRMSNorm"),Hw.forEach(o),Pf=s(Dn," instead of "),nl=r(Dn,"CODE",{});var Kw=i(nl);Of=s(Kw,"T5LayerNorm"),Kw.forEach(o),Nf=s(Dn,". The former uses an optimized fused kernel which is several times faster than the latter."),Dn.forEach(o),dp=p(t),no=r(t,"H2",{class:!0});var ah=i(no);Bo=r(ah,"A",{id:!0,class:!0,href:!0});var Vw=i(Bo);sl=r(Vw,"SPAN",{});var Yw=i(sl);y(ks.$$.fragment,Yw),Yw.forEach(o),Vw.forEach(o),Lf=p(ah),al=r(ah,"SPAN",{});var Zw=i(al);If=s(Zw,"Resources"),Zw.forEach(o),ah.forEach(o),lp=p(t),ci=r(t,"P",{});var Jw=i(ci);Df=s(Jw,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with T5. If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Jw.forEach(o),cp=p(t),y(bs.$$.fragment,t),pp=p(t),Uo=r(t,"UL",{});var rh=i(Uo);ys=r(rh,"LI",{});var ih=i(ys);Sf=s(ih,"A notebook for how to "),vs=r(ih,"A",{href:!0,rel:!0});var Xw=i(vs);Gf=s(Xw,"finetune T5 for classification and multiple choice"),Xw.forEach(o),Bf=s(ih,"."),ih.forEach(o),Uf=p(rh),ws=r(rh,"LI",{});var dh=i(ws);Wf=s(dh,"A notebook for how to "),$s=r(dh,"A",{href:!0,rel:!0});var Qw=i($s);Rf=s(Qw,"finetune T5 for sentiment span extraction"),Qw.forEach(o),Hf=s(dh,". \u{1F30E}"),dh.forEach(o),rh.forEach(o),hp=p(t),y(xs.$$.fragment,t),up=p(t),pi=r(t,"UL",{});var e5=i(pi);zs=r(e5,"LI",{});var lh=i(zs);Kf=s(lh,"A notebook for how to "),Es=r(lh,"A",{href:!0,rel:!0});var t5=i(Es);Vf=s(t5,"finetune T5 for named entity recognition"),t5.forEach(o),Yf=s(lh,". \u{1F30E}"),lh.forEach(o),e5.forEach(o),mp=p(t),y(qs.$$.fragment,t),fp=p(t),hi=r(t,"UL",{});var o5=i(hi);Fs=r(o5,"LI",{});var ch=i(Fs);Zf=s(ch,"A notebook for "),js=r(ch,"A",{href:!0,rel:!0});var n5=i(js);Jf=s(n5,"Finetuning CodeT5 for generating docstrings from Ruby code"),n5.forEach(o),Xf=s(ch,"."),ch.forEach(o),o5.forEach(o),_p=p(t),y(Ms.$$.fragment,t),gp=p(t),fe=r(t,"UL",{});var it=i(fe);Cs=r(it,"LI",{});var ph=i(Cs);Qf=s(ph,"A notebook to "),As=r(ph,"A",{href:!0,rel:!0});var s5=i(As);e_=s(s5,"Finetune T5-base-dutch to perform Dutch abstractive summarization on a TPU"),s5.forEach(o),t_=s(ph,"."),ph.forEach(o),o_=p(it),Ps=r(it,"LI",{});var hh=i(Ps);n_=s(hh,"A notebook for how to "),Os=r(hh,"A",{href:!0,rel:!0});var a5=i(Os);s_=s(a5,"finetune T5 for summarization in PyTorch and track experiments with WandB"),a5.forEach(o),a_=s(hh,". \u{1F30E}"),hh.forEach(o),r_=p(it),Ns=r(it,"LI",{});var uh=i(Ns);i_=s(uh,"A blog post on "),Ls=r(uh,"A",{href:!0,rel:!0});var r5=i(Ls);d_=s(r5,"Distributed Training: Train BART/T5 for Summarization using \u{1F917} Transformers and Amazon SageMaker"),r5.forEach(o),l_=s(uh,"."),uh.forEach(o),c_=p(it),Wt=r(it,"LI",{});var Dr=i(Wt);ui=r(Dr,"A",{href:!0});var i5=i(ui);p_=s(i5,"T5ForConditionalGeneration"),i5.forEach(o),h_=s(Dr," is supported by this "),Is=r(Dr,"A",{href:!0,rel:!0});var d5=i(Is);u_=s(d5,"example script"),d5.forEach(o),m_=s(Dr," and "),Ds=r(Dr,"A",{href:!0,rel:!0});var l5=i(Ds);f_=s(l5,"noteboook"),l5.forEach(o),__=s(Dr,"."),Dr.forEach(o),g_=p(it),Rt=r(it,"LI",{});var Sr=i(Rt);mi=r(Sr,"A",{href:!0});var c5=i(mi);T_=s(c5,"TFT5ForConditionalGeneration"),c5.forEach(o),k_=s(Sr," is supported by this "),Ss=r(Sr,"A",{href:!0,rel:!0});var p5=i(Ss);b_=s(p5,"example script"),p5.forEach(o),y_=s(Sr," and "),Gs=r(Sr,"A",{href:!0,rel:!0});var h5=i(Gs);v_=s(h5,"notebook"),h5.forEach(o),w_=s(Sr,"."),Sr.forEach(o),$_=p(it),Wo=r(it,"LI",{});var xc=i(Wo);fi=r(xc,"A",{href:!0});var u5=i(fi);x_=s(u5,"FlaxT5ForConditionalGeneration"),u5.forEach(o),z_=s(xc," is supported by this "),Bs=r(xc,"A",{href:!0,rel:!0});var m5=i(Bs);E_=s(m5,"example script"),m5.forEach(o),q_=s(xc,"."),xc.forEach(o),F_=p(it),_i=r(it,"LI",{});var iv=i(_i);Us=r(iv,"A",{href:!0,rel:!0});var f5=i(Us);j_=s(f5,"Summarization"),f5.forEach(o),M_=s(iv," chapter of the \u{1F917} Hugging Face course."),iv.forEach(o),it.forEach(o),Tp=p(t),y(Ws.$$.fragment,t),kp=p(t),gi=r(t,"UL",{});var _5=i(gi);vt=r(_5,"LI",{});var Mo=i(vt);Ti=r(Mo,"A",{href:!0});var g5=i(Ti);C_=s(g5,"FlaxT5ForConditionalGeneration"),g5.forEach(o),A_=s(Mo," is supported by this "),Rs=r(Mo,"A",{href:!0,rel:!0});var T5=i(Rs);P_=s(T5,"example script"),T5.forEach(o),O_=s(Mo," for training T5 with a span-masked language model objective. The script also shows how to train a T5 tokenizer. "),ki=r(Mo,"A",{href:!0});var k5=i(ki);N_=s(k5,"FlaxT5ForConditionalGeneration"),k5.forEach(o),L_=s(Mo," is also supported by this "),Hs=r(Mo,"A",{href:!0,rel:!0});var b5=i(Hs);I_=s(b5,"notebook"),b5.forEach(o),D_=s(Mo,"."),Mo.forEach(o),_5.forEach(o),bp=p(t),y(Ks.$$.fragment,t),yp=p(t),Ro=r(t,"UL",{});var mh=i(Ro);Ht=r(mh,"LI",{});var Gr=i(Ht);bi=r(Gr,"A",{href:!0});var y5=i(bi);S_=s(y5,"T5ForConditionalGeneration"),y5.forEach(o),G_=s(Gr," is supported by this "),Vs=r(Gr,"A",{href:!0,rel:!0});var v5=i(Vs);B_=s(v5,"example script"),v5.forEach(o),U_=s(Gr," and "),Ys=r(Gr,"A",{href:!0,rel:!0});var w5=i(Ys);W_=s(w5,"notebook"),w5.forEach(o),R_=s(Gr,"."),Gr.forEach(o),H_=p(mh),Kt=r(mh,"LI",{});var Br=i(Kt);yi=r(Br,"A",{href:!0});var $5=i(yi);K_=s($5,"TFT5ForConditionalGeneration"),$5.forEach(o),V_=s(Br," is supported by this "),Zs=r(Br,"A",{href:!0,rel:!0});var x5=i(Zs);Y_=s(x5,"example script"),x5.forEach(o),Z_=s(Br," and "),Js=r(Br,"A",{href:!0,rel:!0});var z5=i(Js);J_=s(z5,"notebook"),z5.forEach(o),X_=s(Br,"."),Br.forEach(o),mh.forEach(o),vp=p(t),y(Xs.$$.fragment,t),wp=p(t),Ho=r(t,"UL",{});var fh=i(Ho);Qs=r(fh,"LI",{});var _h=i(Qs);Q_=s(_h,"A notebook on how to "),ea=r(_h,"A",{href:!0,rel:!0});var E5=i(ea);eg=s(E5,"finetune T5 for question answering with TensorFlow 2"),E5.forEach(o),tg=s(_h,". \u{1F30E}"),_h.forEach(o),og=p(fh),ta=r(fh,"LI",{});var gh=i(ta);ng=s(gh,"A notebook on how to "),oa=r(gh,"A",{href:!0,rel:!0});var q5=i(oa);sg=s(q5,"finetune T5 for question answering on a TPU"),q5.forEach(o),ag=s(gh,"."),gh.forEach(o),fh.forEach(o),$p=p(t),na=r(t,"P",{});var dv=i(na);rg=s(dv,"\u{1F680} "),rl=r(dv,"STRONG",{});var F5=i(rl);ig=s(F5,"Deploy"),F5.forEach(o),dv.forEach(o),xp=p(t),vi=r(t,"UL",{});var j5=i(vi);sa=r(j5,"LI",{});var Th=i(sa);dg=s(Th,"A blog post on how to deploy "),aa=r(Th,"A",{href:!0,rel:!0});var M5=i(aa);lg=s(M5,"T5 11B for inference for less than $500"),M5.forEach(o),cg=s(Th,"."),Th.forEach(o),j5.forEach(o),zp=p(t),so=r(t,"H2",{class:!0});var kh=i(so);Ko=r(kh,"A",{id:!0,class:!0,href:!0});var C5=i(Ko);il=r(C5,"SPAN",{});var A5=i(il);y(ra.$$.fragment,A5),A5.forEach(o),C5.forEach(o),pg=p(kh),dl=r(kh,"SPAN",{});var P5=i(dl);hg=s(P5,"T5Config"),P5.forEach(o),kh.forEach(o),Ep=p(t),Lt=r(t,"DIV",{class:!0});var Ji=i(Lt);y(ia.$$.fragment,Ji),ug=p(Ji),It=r(Ji,"P",{});var Sn=i(It);mg=s(Sn,"This is the configuration class to store the configuration of a "),wi=r(Sn,"A",{href:!0});var O5=i(wi);fg=s(O5,"T5Model"),O5.forEach(o),_g=s(Sn," or a "),$i=r(Sn,"A",{href:!0});var N5=i($i);gg=s(N5,"TFT5Model"),N5.forEach(o),Tg=s(Sn,`. It is used to
instantiate a T5 model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the T5
`),da=r(Sn,"A",{href:!0,rel:!0});var L5=i(da);kg=s(L5,"t5-small"),L5.forEach(o),bg=s(Sn," architecture."),Sn.forEach(o),yg=p(Ji),ao=r(Ji,"P",{});var Xi=i(ao);vg=s(Xi,"Configuration objects inherit from "),xi=r(Xi,"A",{href:!0});var I5=i(xi);wg=s(I5,"PretrainedConfig"),I5.forEach(o),$g=s(Xi,` and can be used to control the model outputs. Read the
documentation from `),zi=r(Xi,"A",{href:!0});var D5=i(zi);xg=s(D5,"PretrainedConfig"),D5.forEach(o),zg=s(Xi," for more information."),Xi.forEach(o),Ji.forEach(o),qp=p(t),ro=r(t,"H2",{class:!0});var bh=i(ro);Vo=r(bh,"A",{id:!0,class:!0,href:!0});var S5=i(Vo);ll=r(S5,"SPAN",{});var G5=i(ll);y(la.$$.fragment,G5),G5.forEach(o),S5.forEach(o),Eg=p(bh),cl=r(bh,"SPAN",{});var B5=i(cl);qg=s(B5,"T5Tokenizer"),B5.forEach(o),bh.forEach(o),Fp=p(t),de=r(t,"DIV",{class:!0});var dt=i(de);y(ca.$$.fragment,dt),Fg=p(dt),pa=r(dt,"P",{});var yh=i(pa);jg=s(yh,"Construct a T5 tokenizer. Based on "),ha=r(yh,"A",{href:!0,rel:!0});var U5=i(ha);Mg=s(U5,"SentencePiece"),U5.forEach(o),Cg=s(yh,"."),yh.forEach(o),Ag=p(dt),ua=r(dt,"P",{});var vh=i(ua);Pg=s(vh,"This tokenizer inherits from "),Ei=r(vh,"A",{href:!0});var W5=i(Ei);Og=s(W5,"PreTrainedTokenizer"),W5.forEach(o),Ng=s(vh,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),vh.forEach(o),Lg=p(dt),Vt=r(dt,"DIV",{class:!0});var Qi=i(Vt);y(ma.$$.fragment,Qi),Ig=p(Qi),pl=r(Qi,"P",{});var R5=i(pl);Dg=s(R5,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. A sequence has the following format:`),R5.forEach(o),Sg=p(Qi),fa=r(Qi,"UL",{});var wh=i(fa);qi=r(wh,"LI",{});var lv=i(qi);Gg=s(lv,"single sequence: "),hl=r(lv,"CODE",{});var H5=i(hl);Bg=s(H5,"X </s>"),H5.forEach(o),lv.forEach(o),Ug=p(wh),Fi=r(wh,"LI",{});var cv=i(Fi);Wg=s(cv,"pair of sequences: "),ul=r(cv,"CODE",{});var K5=i(ul);Rg=s(K5,"A </s> B </s>"),K5.forEach(o),cv.forEach(o),wh.forEach(o),Qi.forEach(o),Hg=p(dt),Yo=r(dt,"DIV",{class:!0});var $h=i(Yo);y(_a.$$.fragment,$h),Kg=p($h),ga=r($h,"P",{});var xh=i(ga);Vg=s(xh,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),ml=r(xh,"CODE",{});var V5=i(ml);Yg=s(V5,"prepare_for_model"),V5.forEach(o),Zg=s(xh," method."),xh.forEach(o),$h.forEach(o),Jg=p(dt),Zo=r(dt,"DIV",{class:!0});var zh=i(Zo);y(Ta.$$.fragment,zh),Xg=p(zh),fl=r(zh,"P",{});var Y5=i(fl);Qg=s(Y5,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. T5 does not make
use of token type ids, therefore a list of zeros is returned.`),Y5.forEach(o),zh.forEach(o),eT=p(dt),ji=r(dt,"DIV",{class:!0});var Z5=i(ji);y(ka.$$.fragment,Z5),Z5.forEach(o),dt.forEach(o),jp=p(t),io=r(t,"H2",{class:!0});var Eh=i(io);Jo=r(Eh,"A",{id:!0,class:!0,href:!0});var J5=i(Jo);_l=r(J5,"SPAN",{});var X5=i(_l);y(ba.$$.fragment,X5),X5.forEach(o),J5.forEach(o),tT=p(Eh),gl=r(Eh,"SPAN",{});var Q5=i(gl);oT=s(Q5,"T5TokenizerFast"),Q5.forEach(o),Eh.forEach(o),Mp=p(t),Qe=r(t,"DIV",{class:!0});var Qt=i(Qe);y(ya.$$.fragment,Qt),nT=p(Qt),lo=r(Qt,"P",{});var ed=i(lo);sT=s(ed,"Construct a \u201Cfast\u201D T5 tokenizer (backed by HuggingFace\u2019s "),Tl=r(ed,"EM",{});var e1=i(Tl);aT=s(e1,"tokenizers"),e1.forEach(o),rT=s(ed,` library). Based on
`),va=r(ed,"A",{href:!0,rel:!0});var t1=i(va);iT=s(t1,"Unigram"),t1.forEach(o),dT=s(ed,"."),ed.forEach(o),lT=p(Qt),wa=r(Qt,"P",{});var qh=i(wa);cT=s(qh,"This tokenizer inherits from "),Mi=r(qh,"A",{href:!0});var o1=i(Mi);pT=s(o1,"PreTrainedTokenizerFast"),o1.forEach(o),hT=s(qh,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),qh.forEach(o),uT=p(Qt),Yt=r(Qt,"DIV",{class:!0});var td=i(Yt);y($a.$$.fragment,td),mT=p(td),kl=r(td,"P",{});var n1=i(kl);fT=s(n1,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. A sequence has the following format:`),n1.forEach(o),_T=p(td),xa=r(td,"UL",{});var Fh=i(xa);Ci=r(Fh,"LI",{});var pv=i(Ci);gT=s(pv,"single sequence: "),bl=r(pv,"CODE",{});var s1=i(bl);TT=s(s1,"X </s>"),s1.forEach(o),pv.forEach(o),kT=p(Fh),Ai=r(Fh,"LI",{});var hv=i(Ai);bT=s(hv,"pair of sequences: "),yl=r(hv,"CODE",{});var a1=i(yl);yT=s(a1,"A </s> B </s>"),a1.forEach(o),hv.forEach(o),Fh.forEach(o),td.forEach(o),vT=p(Qt),Xo=r(Qt,"DIV",{class:!0});var jh=i(Xo);y(za.$$.fragment,jh),wT=p(jh),vl=r(jh,"P",{});var r1=i(vl);$T=s(r1,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. T5 does not make
use of token type ids, therefore a list of zeros is returned.`),r1.forEach(o),jh.forEach(o),Qt.forEach(o),Cp=p(t),co=r(t,"H2",{class:!0});var Mh=i(co);Qo=r(Mh,"A",{id:!0,class:!0,href:!0});var i1=i(Qo);wl=r(i1,"SPAN",{});var d1=i(wl);y(Ea.$$.fragment,d1),d1.forEach(o),i1.forEach(o),xT=p(Mh),$l=r(Mh,"SPAN",{});var l1=i($l);zT=s(l1,"T5Model"),l1.forEach(o),Mh.forEach(o),Ap=p(t),xe=r(t,"DIV",{class:!0});var Mt=i(xe);y(qa.$$.fragment,Mt),ET=p(Mt),xl=r(Mt,"P",{});var c1=i(xl);qT=s(c1,"The bare T5 Model transformer outputting raw hidden-states without any specific head on top."),c1.forEach(o),FT=p(Mt),Fa=r(Mt,"P",{});var Ch=i(Fa);jT=s(Ch,"The T5 model was proposed in "),ja=r(Ch,"A",{href:!0,rel:!0});var p1=i(ja);MT=s(p1,`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),p1.forEach(o),CT=s(Ch,` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),Ch.forEach(o),AT=p(Mt),Ma=r(Mt,"P",{});var Ah=i(Ma);PT=s(Ah,"This model inherits from "),Pi=r(Ah,"A",{href:!0});var h1=i(Pi);OT=s(h1,"PreTrainedModel"),h1.forEach(o),NT=s(Ah,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ah.forEach(o),LT=p(Mt),Ca=r(Mt,"P",{});var Ph=i(Ca);IT=s(Ph,"This model is also a PyTorch "),Aa=r(Ph,"A",{href:!0,rel:!0});var u1=i(Aa);DT=s(u1,"torch.nn.Module"),u1.forEach(o),ST=s(Ph,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ph.forEach(o),GT=p(Mt),wt=r(Mt,"DIV",{class:!0});var Gn=i(wt);y(Pa.$$.fragment,Gn),BT=p(Gn),po=r(Gn,"P",{});var od=i(po);UT=s(od,"The "),Oi=r(od,"A",{href:!0});var m1=i(Oi);WT=s(m1,"T5Model"),m1.forEach(o),RT=s(od," forward method, overrides the "),zl=r(od,"CODE",{});var f1=i(zl);HT=s(f1,"__call__"),f1.forEach(o),KT=s(od," special method."),od.forEach(o),VT=p(Gn),y(en.$$.fragment,Gn),YT=p(Gn),y(tn.$$.fragment,Gn),Gn.forEach(o),Mt.forEach(o),Pp=p(t),ho=r(t,"H2",{class:!0});var Oh=i(ho);on=r(Oh,"A",{id:!0,class:!0,href:!0});var _1=i(on);El=r(_1,"SPAN",{});var g1=i(El);y(Oa.$$.fragment,g1),g1.forEach(o),_1.forEach(o),ZT=p(Oh),ql=r(Oh,"SPAN",{});var T1=i(ql);JT=s(T1,"T5ForConditionalGeneration"),T1.forEach(o),Oh.forEach(o),Op=p(t),ze=r(t,"DIV",{class:!0});var Ct=i(ze);y(Na.$$.fragment,Ct),XT=p(Ct),La=r(Ct,"P",{});var Nh=i(La);QT=s(Nh,"T5 Model with a "),Fl=r(Nh,"CODE",{});var k1=i(Fl);ek=s(k1,"language modeling"),k1.forEach(o),tk=s(Nh," head on top."),Nh.forEach(o),ok=p(Ct),Ia=r(Ct,"P",{});var Lh=i(Ia);nk=s(Lh,"The T5 model was proposed in "),Da=r(Lh,"A",{href:!0,rel:!0});var b1=i(Da);sk=s(b1,`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),b1.forEach(o),ak=s(Lh,` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),Lh.forEach(o),rk=p(Ct),Sa=r(Ct,"P",{});var Ih=i(Sa);ik=s(Ih,"This model inherits from "),Ni=r(Ih,"A",{href:!0});var y1=i(Ni);dk=s(y1,"PreTrainedModel"),y1.forEach(o),lk=s(Ih,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ih.forEach(o),ck=p(Ct),Ga=r(Ct,"P",{});var Dh=i(Ga);pk=s(Dh,"This model is also a PyTorch "),Ba=r(Dh,"A",{href:!0,rel:!0});var v1=i(Ba);hk=s(v1,"torch.nn.Module"),v1.forEach(o),uk=s(Dh,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Dh.forEach(o),mk=p(Ct),$t=r(Ct,"DIV",{class:!0});var Bn=i($t);y(Ua.$$.fragment,Bn),fk=p(Bn),uo=r(Bn,"P",{});var nd=i(uo);_k=s(nd,"The "),Li=r(nd,"A",{href:!0});var w1=i(Li);gk=s(w1,"T5ForConditionalGeneration"),w1.forEach(o),Tk=s(nd," forward method, overrides the "),jl=r(nd,"CODE",{});var $1=i(jl);kk=s($1,"__call__"),$1.forEach(o),bk=s(nd," special method."),nd.forEach(o),yk=p(Bn),y(nn.$$.fragment,Bn),vk=p(Bn),y(sn.$$.fragment,Bn),Bn.forEach(o),Ct.forEach(o),Np=p(t),mo=r(t,"H2",{class:!0});var Sh=i(mo);an=r(Sh,"A",{id:!0,class:!0,href:!0});var x1=i(an);Ml=r(x1,"SPAN",{});var z1=i(Ml);y(Wa.$$.fragment,z1),z1.forEach(o),x1.forEach(o),wk=p(Sh),Cl=r(Sh,"SPAN",{});var E1=i(Cl);$k=s(E1,"T5EncoderModel"),E1.forEach(o),Sh.forEach(o),Lp=p(t),Ee=r(t,"DIV",{class:!0});var At=i(Ee);y(Ra.$$.fragment,At),xk=p(At),Al=r(At,"P",{});var q1=i(Al);zk=s(q1,"The bare T5 Model transformer outputting encoder\u2019s raw hidden-states without any specific head on top."),q1.forEach(o),Ek=p(At),Ha=r(At,"P",{});var Gh=i(Ha);qk=s(Gh,"The T5 model was proposed in "),Ka=r(Gh,"A",{href:!0,rel:!0});var F1=i(Ka);Fk=s(F1,`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),F1.forEach(o),jk=s(Gh,` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),Gh.forEach(o),Mk=p(At),Va=r(At,"P",{});var Bh=i(Va);Ck=s(Bh,"This model inherits from "),Ii=r(Bh,"A",{href:!0});var j1=i(Ii);Ak=s(j1,"PreTrainedModel"),j1.forEach(o),Pk=s(Bh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Bh.forEach(o),Ok=p(At),Ya=r(At,"P",{});var Uh=i(Ya);Nk=s(Uh,"This model is also a PyTorch "),Za=r(Uh,"A",{href:!0,rel:!0});var M1=i(Za);Lk=s(M1,"torch.nn.Module"),M1.forEach(o),Ik=s(Uh,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Uh.forEach(o),Dk=p(At),xt=r(At,"DIV",{class:!0});var Un=i(xt);y(Ja.$$.fragment,Un),Sk=p(Un),fo=r(Un,"P",{});var sd=i(fo);Gk=s(sd,"The "),Di=r(sd,"A",{href:!0});var C1=i(Di);Bk=s(C1,"T5EncoderModel"),C1.forEach(o),Uk=s(sd," forward method, overrides the "),Pl=r(sd,"CODE",{});var A1=i(Pl);Wk=s(A1,"__call__"),A1.forEach(o),Rk=s(sd," special method."),sd.forEach(o),Hk=p(Un),y(rn.$$.fragment,Un),Kk=p(Un),y(dn.$$.fragment,Un),Un.forEach(o),At.forEach(o),Ip=p(t),_o=r(t,"H2",{class:!0});var Wh=i(_o);ln=r(Wh,"A",{id:!0,class:!0,href:!0});var P1=i(ln);Ol=r(P1,"SPAN",{});var O1=i(Ol);y(Xa.$$.fragment,O1),O1.forEach(o),P1.forEach(o),Vk=p(Wh),Nl=r(Wh,"SPAN",{});var N1=i(Nl);Yk=s(N1,"TFT5Model"),N1.forEach(o),Wh.forEach(o),Dp=p(t),le=r(t,"DIV",{class:!0});var lt=i(le);y(Qa.$$.fragment,lt),Zk=p(lt),Ll=r(lt,"P",{});var L1=i(Ll);Jk=s(L1,"The bare T5 Model transformer outputting raw hidden-stateswithout any specific head on top."),L1.forEach(o),Xk=p(lt),er=r(lt,"P",{});var Rh=i(er);Qk=s(Rh,"The T5 model was proposed in "),tr=r(Rh,"A",{href:!0,rel:!0});var I1=i(tr);eb=s(I1,`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),I1.forEach(o),tb=s(Rh,` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),Rh.forEach(o),ob=p(lt),or=r(lt,"P",{});var Hh=i(or);nb=s(Hh,"This model inherits from "),Si=r(Hh,"A",{href:!0});var D1=i(Si);sb=s(D1,"TFPreTrainedModel"),D1.forEach(o),ab=s(Hh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Hh.forEach(o),rb=p(lt),nr=r(lt,"P",{});var Kh=i(nr);ib=s(Kh,"This model is also a "),sr=r(Kh,"A",{href:!0,rel:!0});var S1=i(sr);db=s(S1,"tf.keras.Model"),S1.forEach(o),lb=s(Kh,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Kh.forEach(o),cb=p(lt),y(cn.$$.fragment,lt),pb=p(lt),zt=r(lt,"DIV",{class:!0});var Wn=i(zt);y(ar.$$.fragment,Wn),hb=p(Wn),go=r(Wn,"P",{});var ad=i(go);ub=s(ad,"The "),Gi=r(ad,"A",{href:!0});var G1=i(Gi);mb=s(G1,"TFT5Model"),G1.forEach(o),fb=s(ad," forward method, overrides the "),Il=r(ad,"CODE",{});var B1=i(Il);_b=s(B1,"__call__"),B1.forEach(o),gb=s(ad," special method."),ad.forEach(o),Tb=p(Wn),y(pn.$$.fragment,Wn),kb=p(Wn),y(hn.$$.fragment,Wn),Wn.forEach(o),lt.forEach(o),Sp=p(t),To=r(t,"H2",{class:!0});var Vh=i(To);un=r(Vh,"A",{id:!0,class:!0,href:!0});var U1=i(un);Dl=r(U1,"SPAN",{});var W1=i(Dl);y(rr.$$.fragment,W1),W1.forEach(o),U1.forEach(o),bb=p(Vh),Sl=r(Vh,"SPAN",{});var R1=i(Sl);yb=s(R1,"TFT5ForConditionalGeneration"),R1.forEach(o),Vh.forEach(o),Gp=p(t),ce=r(t,"DIV",{class:!0});var ct=i(ce);y(ir.$$.fragment,ct),vb=p(ct),dr=r(ct,"P",{});var Yh=i(dr);wb=s(Yh,"T5 Model with a "),Gl=r(Yh,"CODE",{});var H1=i(Gl);$b=s(H1,"language modeling"),H1.forEach(o),xb=s(Yh," head on top."),Yh.forEach(o),zb=p(ct),lr=r(ct,"P",{});var Zh=i(lr);Eb=s(Zh,"The T5 model was proposed in "),cr=r(Zh,"A",{href:!0,rel:!0});var K1=i(cr);qb=s(K1,`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),K1.forEach(o),Fb=s(Zh,` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),Zh.forEach(o),jb=p(ct),pr=r(ct,"P",{});var Jh=i(pr);Mb=s(Jh,"This model inherits from "),Bi=r(Jh,"A",{href:!0});var V1=i(Bi);Cb=s(V1,"TFPreTrainedModel"),V1.forEach(o),Ab=s(Jh,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Jh.forEach(o),Pb=p(ct),hr=r(ct,"P",{});var Xh=i(hr);Ob=s(Xh,"This model is also a "),ur=r(Xh,"A",{href:!0,rel:!0});var Y1=i(ur);Nb=s(Y1,"tf.keras.Model"),Y1.forEach(o),Lb=s(Xh,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Xh.forEach(o),Ib=p(ct),y(mn.$$.fragment,ct),Db=p(ct),Et=r(ct,"DIV",{class:!0});var Rn=i(Et);y(mr.$$.fragment,Rn),Sb=p(Rn),ko=r(Rn,"P",{});var rd=i(ko);Gb=s(rd,"The "),Ui=r(rd,"A",{href:!0});var Z1=i(Ui);Bb=s(Z1,"TFT5ForConditionalGeneration"),Z1.forEach(o),Ub=s(rd," forward method, overrides the "),Bl=r(rd,"CODE",{});var J1=i(Bl);Wb=s(J1,"__call__"),J1.forEach(o),Rb=s(rd," special method."),rd.forEach(o),Hb=p(Rn),y(fn.$$.fragment,Rn),Kb=p(Rn),y(_n.$$.fragment,Rn),Rn.forEach(o),ct.forEach(o),Bp=p(t),bo=r(t,"H2",{class:!0});var Qh=i(bo);gn=r(Qh,"A",{id:!0,class:!0,href:!0});var X1=i(gn);Ul=r(X1,"SPAN",{});var Q1=i(Ul);y(fr.$$.fragment,Q1),Q1.forEach(o),X1.forEach(o),Vb=p(Qh),Wl=r(Qh,"SPAN",{});var e2=i(Wl);Yb=s(e2,"TFT5EncoderModel"),e2.forEach(o),Qh.forEach(o),Up=p(t),pe=r(t,"DIV",{class:!0});var pt=i(pe);y(_r.$$.fragment,pt),Zb=p(pt),Rl=r(pt,"P",{});var t2=i(Rl);Jb=s(t2,"The bare T5 Model transformer outputting encoder\u2019s raw hidden-stateswithout any specific head on top."),t2.forEach(o),Xb=p(pt),gr=r(pt,"P",{});var eu=i(gr);Qb=s(eu,"The T5 model was proposed in "),Tr=r(eu,"A",{href:!0,rel:!0});var o2=i(Tr);ey=s(o2,`Exploring the Limits of Transfer Learning with a Unified Text-to-Text
Transformer`),o2.forEach(o),ty=s(eu,` by Colin Raffel, Noam Shazeer, Adam Roberts, Katherine Lee, Sharan
Narang, Michael Matena, Yanqi Zhou, Wei Li, Peter J. Liu. It\u2019s an encoder decoder transformer pre-trained in a
text-to-text denoising generative setting.`),eu.forEach(o),oy=p(pt),kr=r(pt,"P",{});var tu=i(kr);ny=s(tu,"This model inherits from "),Wi=r(tu,"A",{href:!0});var n2=i(Wi);sy=s(n2,"TFPreTrainedModel"),n2.forEach(o),ay=s(tu,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),tu.forEach(o),ry=p(pt),br=r(pt,"P",{});var ou=i(br);iy=s(ou,"This model is also a "),yr=r(ou,"A",{href:!0,rel:!0});var s2=i(yr);dy=s(s2,"tf.keras.Model"),s2.forEach(o),ly=s(ou,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),ou.forEach(o),cy=p(pt),y(Tn.$$.fragment,pt),py=p(pt),qt=r(pt,"DIV",{class:!0});var Hn=i(qt);y(vr.$$.fragment,Hn),hy=p(Hn),yo=r(Hn,"P",{});var id=i(yo);uy=s(id,"The "),Ri=r(id,"A",{href:!0});var a2=i(Ri);my=s(a2,"TFT5EncoderModel"),a2.forEach(o),fy=s(id," forward method, overrides the "),Hl=r(id,"CODE",{});var r2=i(Hl);_y=s(r2,"__call__"),r2.forEach(o),gy=s(id," special method."),id.forEach(o),Ty=p(Hn),y(kn.$$.fragment,Hn),ky=p(Hn),y(bn.$$.fragment,Hn),Hn.forEach(o),pt.forEach(o),Wp=p(t),vo=r(t,"H2",{class:!0});var nu=i(vo);yn=r(nu,"A",{id:!0,class:!0,href:!0});var i2=i(yn);Kl=r(i2,"SPAN",{});var d2=i(Kl);y(wr.$$.fragment,d2),d2.forEach(o),i2.forEach(o),by=p(nu),Vl=r(nu,"SPAN",{});var l2=i(Vl);yy=s(l2,"FlaxT5Model"),l2.forEach(o),nu.forEach(o),Rp=p(t),ht=r(t,"DIV",{class:!0});var Kn=i(ht);y($r.$$.fragment,Kn),vy=p(Kn),Ft=r(Kn,"DIV",{class:!0});var Vn=i(Ft);y(xr.$$.fragment,Vn),wy=p(Vn),wo=r(Vn,"P",{});var dd=i(wo);$y=s(dd,"The "),Yl=r(dd,"CODE",{});var c2=i(Yl);xy=s(c2,"FlaxT5PreTrainedModel"),c2.forEach(o),zy=s(dd," forward method, overrides the "),Zl=r(dd,"CODE",{});var p2=i(Zl);Ey=s(p2,"__call__"),p2.forEach(o),qy=s(dd," special method."),dd.forEach(o),Fy=p(Vn),y(vn.$$.fragment,Vn),jy=p(Vn),y(wn.$$.fragment,Vn),Vn.forEach(o),My=p(Kn),$n=r(Kn,"DIV",{class:!0});var su=i($n);y(zr.$$.fragment,su),Cy=p(su),y(xn.$$.fragment,su),su.forEach(o),Ay=p(Kn),zn=r(Kn,"DIV",{class:!0});var au=i(zn);y(Er.$$.fragment,au),Py=p(au),y(En.$$.fragment,au),au.forEach(o),Kn.forEach(o),Hp=p(t),$o=r(t,"H2",{class:!0});var ru=i($o);qn=r(ru,"A",{id:!0,class:!0,href:!0});var h2=i(qn);Jl=r(h2,"SPAN",{});var u2=i(Jl);y(qr.$$.fragment,u2),u2.forEach(o),h2.forEach(o),Oy=p(ru),Xl=r(ru,"SPAN",{});var m2=i(Xl);Ny=s(m2,"FlaxT5ForConditionalGeneration"),m2.forEach(o),ru.forEach(o),Kp=p(t),ut=r(t,"DIV",{class:!0});var Yn=i(ut);y(Fr.$$.fragment,Yn),Ly=p(Yn),jt=r(Yn,"DIV",{class:!0});var Zn=i(jt);y(jr.$$.fragment,Zn),Iy=p(Zn),xo=r(Zn,"P",{});var ld=i(xo);Dy=s(ld,"The "),Ql=r(ld,"CODE",{});var f2=i(Ql);Sy=s(f2,"FlaxT5PreTrainedModel"),f2.forEach(o),Gy=s(ld," forward method, overrides the "),ec=r(ld,"CODE",{});var _2=i(ec);By=s(_2,"__call__"),_2.forEach(o),Uy=s(ld," special method."),ld.forEach(o),Wy=p(Zn),y(Fn.$$.fragment,Zn),Ry=p(Zn),y(jn.$$.fragment,Zn),Zn.forEach(o),Hy=p(Yn),Mn=r(Yn,"DIV",{class:!0});var iu=i(Mn);y(Mr.$$.fragment,iu),Ky=p(iu),y(Cn.$$.fragment,iu),iu.forEach(o),Vy=p(Yn),An=r(Yn,"DIV",{class:!0});var du=i(An);y(Cr.$$.fragment,du),Yy=p(du),y(Pn.$$.fragment,du),du.forEach(o),Yn.forEach(o),Vp=p(t),zo=r(t,"H2",{class:!0});var lu=i(zo);On=r(lu,"A",{id:!0,class:!0,href:!0});var g2=i(On);tc=r(g2,"SPAN",{});var T2=i(tc);y(Ar.$$.fragment,T2),T2.forEach(o),g2.forEach(o),Zy=p(lu),oc=r(lu,"SPAN",{});var k2=i(oc);Jy=s(k2,"FlaxT5EncoderModel"),k2.forEach(o),lu.forEach(o),Yp=p(t),Eo=r(t,"DIV",{class:!0});var cu=i(Eo);y(Pr.$$.fragment,cu),Xy=p(cu),Zt=r(cu,"DIV",{class:!0});var cd=i(Zt);y(Or.$$.fragment,cd),Qy=p(cd),qo=r(cd,"P",{});var pd=i(qo);ev=s(pd,"The "),Hi=r(pd,"A",{href:!0});var b2=i(Hi);tv=s(b2,"FlaxT5EncoderModel"),b2.forEach(o),ov=s(pd," forward method, overrides the "),nc=r(pd,"CODE",{});var y2=i(nc);nv=s(y2,"__call__"),y2.forEach(o),sv=s(pd," special method."),pd.forEach(o),av=p(cd),y(Nn.$$.fragment,cd),cd.forEach(o),cu.forEach(o),this.h()},h(){l(m,"name","hf:doc:metadata"),l(m,"content",JSON.stringify(X2)),l(_,"id","t5"),l(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(_,"href","#t5"),l(g,"class","relative group"),l(oe,"id","overview"),l(oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(oe,"href","#overview"),l(S,"class","relative group"),l(ae,"href","https://arxiv.org/pdf/1910.10683.pdf"),l(ae,"rel","nofollow"),l(ee,"href","#training"),l(L,"href","#inference"),l(z,"href","#scripts"),l(Ae,"href","https://huggingface.co/t5-small"),l(Ae,"rel","nofollow"),l(Pe,"href","https://huggingface.co/t5-base"),l(Pe,"rel","nofollow"),l(Oe,"href","https://huggingface.co/t5-large"),l(Oe,"rel","nofollow"),l(Jn,"href","https://huggingface.co/t5-3b"),l(Jn,"rel","nofollow"),l(Xn,"href","https://huggingface.co/t5-11b"),l(Xn,"rel","nofollow"),l(Hr,"href","t5v1.1"),l(Kr,"href","mt5"),l(Vr,"href","byt5"),l(Qn,"href","https://huggingface.co/models?search=t5"),l(Qn,"rel","nofollow"),l(es,"href","https://huggingface.co/thomwolf"),l(es,"rel","nofollow"),l(ts,"href","https://github.com/google-research/text-to-text-transfer-transformer"),l(ts,"rel","nofollow"),l(Yr,"id","training"),l(No,"id","training"),l(No,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(No,"href","#training"),l(eo,"class","relative group"),l(Zr,"href","/docs/transformers/main/en/model_doc/t5#transformers.T5ForConditionalGeneration"),l(Xr,"href","/docs/transformers/main/en/model_doc/t5#transformers.T5Tokenizer"),l(ss,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/language-modeling"),l(ss,"rel","nofollow"),l(rs,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/summarization"),l(rs,"rel","nofollow"),l(ls,"href","https://discuss.huggingface.co/t/t5-finetuning-tips/684"),l(ls,"rel","nofollow"),l(cs,"href","https://arxiv.org/pdf/1910.10683.pdf"),l(cs,"rel","nofollow"),l(si,"id","inference"),l(So,"id","inference"),l(So,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(So,"href","#inference"),l(to,"class","relative group"),l(ai,"href","/docs/transformers/main/en/main_classes/text_generation#transformers.GenerationMixin.generate"),l(hs,"href","https://huggingface.co/blog/how-to-generate"),l(hs,"rel","nofollow"),l(us,"href","https://huggingface.co/blog/encoder-decoder#encoder-decoder"),l(us,"rel","nofollow"),l(ri,"href","/docs/transformers/main/en/main_classes/text_generation#transformers.GenerationMixin.generate"),l(li,"id","scripts"),l(Go,"id","performance"),l(Go,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Go,"href","#performance"),l(oo,"class","relative group"),l(Ts,"href","https://github.com/NVIDIA/apex#quick-start"),l(Ts,"rel","nofollow"),l(Bo,"id","resources"),l(Bo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Bo,"href","#resources"),l(no,"class","relative group"),l(vs,"href","https://colab.research.google.com/github/patil-suraj/exploring-T5/blob/master/t5_fine_tuning.ipynb"),l(vs,"rel","nofollow"),l($s,"href","https://colab.research.google.com/github/enzoampil/t5-intro/blob/master/t5_qa_training_pytorch_span_extraction.ipynb"),l($s,"rel","nofollow"),l(Es,"href","https://colab.research.google.com/drive/1obr78FY_cBmWY5ODViCmzdY6O1KB65Vc?usp=sharing"),l(Es,"rel","nofollow"),l(js,"href","https://colab.research.google.com/github/NielsRogge/Transformers-Tutorials/blob/master/T5/Fine_tune_CodeT5_for_generating_docstrings_from_Ruby_code.ipynb"),l(js,"rel","nofollow"),l(As,"href","https://colab.research.google.com/github/NielsRogge/Transformers-Tutorials/blob/master/T5/Fine_tuning_Dutch_T5_base_on_CNN_Daily_Mail_for_summarization_(on_TPU_using_HuggingFace_Accelerate).ipynb"),l(As,"rel","nofollow"),l(Os,"href","https://colab.research.google.com/github/abhimishra91/transformers-tutorials/blob/master/transformers_summarization_wandb.ipynb#scrollTo=OKRpFvYhBauC"),l(Os,"rel","nofollow"),l(Ls,"href","https://huggingface.co/blog/sagemaker-distributed-training-seq2seq"),l(Ls,"rel","nofollow"),l(ui,"href","/docs/transformers/main/en/model_doc/t5#transformers.T5ForConditionalGeneration"),l(Is,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/summarization"),l(Is,"rel","nofollow"),l(Ds,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/summarization.ipynb"),l(Ds,"rel","nofollow"),l(mi,"href","/docs/transformers/main/en/model_doc/t5#transformers.TFT5ForConditionalGeneration"),l(Ss,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/summarization"),l(Ss,"rel","nofollow"),l(Gs,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/summarization-tf.ipynb"),l(Gs,"rel","nofollow"),l(fi,"href","/docs/transformers/main/en/model_doc/t5#transformers.FlaxT5ForConditionalGeneration"),l(Bs,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/summarization"),l(Bs,"rel","nofollow"),l(Us,"href","https://huggingface.co/course/chapter7/5?fw=pt#summarization"),l(Us,"rel","nofollow"),l(Ti,"href","/docs/transformers/main/en/model_doc/t5#transformers.FlaxT5ForConditionalGeneration"),l(Rs,"href","https://github.com/huggingface/transformers/tree/main/examples/flax/language-modeling#t5-like-span-masked-language-modeling"),l(Rs,"rel","nofollow"),l(ki,"href","/docs/transformers/main/en/model_doc/t5#transformers.FlaxT5ForConditionalGeneration"),l(Hs,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/masked_language_modeling_flax.ipynb"),l(Hs,"rel","nofollow"),l(bi,"href","/docs/transformers/main/en/model_doc/t5#transformers.T5ForConditionalGeneration"),l(Vs,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/translation"),l(Vs,"rel","nofollow"),l(Ys,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/translation.ipynb"),l(Ys,"rel","nofollow"),l(yi,"href","/docs/transformers/main/en/model_doc/t5#transformers.TFT5ForConditionalGeneration"),l(Zs,"href","https://github.com/huggingface/transformers/tree/main/examples/tensorflow/translation"),l(Zs,"rel","nofollow"),l(Js,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/translation-tf.ipynb"),l(Js,"rel","nofollow"),l(ea,"href","https://colab.research.google.com/github/snapthat/TF-T5-text-to-text/blob/master/snapthatT5/notebooks/TF-T5-Datasets%20Training.ipynb"),l(ea,"rel","nofollow"),l(oa,"href","https://colab.research.google.com/github/patil-suraj/exploring-T5/blob/master/T5_on_TPU.ipynb#scrollTo=QLGiFCDqvuil"),l(oa,"rel","nofollow"),l(aa,"href","https://www.philschmid.de/deploy-t5-11b"),l(aa,"rel","nofollow"),l(Ko,"id","transformers.T5Config"),l(Ko,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Ko,"href","#transformers.T5Config"),l(so,"class","relative group"),l(wi,"href","/docs/transformers/main/en/model_doc/t5#transformers.T5Model"),l($i,"href","/docs/transformers/main/en/model_doc/t5#transformers.TFT5Model"),l(da,"href","https://huggingface.co/t5-small"),l(da,"rel","nofollow"),l(xi,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),l(zi,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),l(Lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Vo,"id","transformers.T5Tokenizer"),l(Vo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Vo,"href","#transformers.T5Tokenizer"),l(ro,"class","relative group"),l(ha,"href","https://github.com/google/sentencepiece"),l(ha,"rel","nofollow"),l(Ei,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),l(Vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Yo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Zo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ji,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Jo,"id","transformers.T5TokenizerFast"),l(Jo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Jo,"href","#transformers.T5TokenizerFast"),l(io,"class","relative group"),l(va,"href","https://huggingface.co/docs/tokenizers/python/latest/components.html?highlight=unigram#models"),l(va,"rel","nofollow"),l(Mi,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),l(Yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Xo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Qo,"id","transformers.T5Model"),l(Qo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Qo,"href","#transformers.T5Model"),l(co,"class","relative group"),l(ja,"href","https://arxiv.org/abs/1910.10683"),l(ja,"rel","nofollow"),l(Pi,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(Aa,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Aa,"rel","nofollow"),l(Oi,"href","/docs/transformers/main/en/model_doc/t5#transformers.T5Model"),l(wt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(on,"id","transformers.T5ForConditionalGeneration"),l(on,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(on,"href","#transformers.T5ForConditionalGeneration"),l(ho,"class","relative group"),l(Da,"href","https://arxiv.org/abs/1910.10683"),l(Da,"rel","nofollow"),l(Ni,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(Ba,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Ba,"rel","nofollow"),l(Li,"href","/docs/transformers/main/en/model_doc/t5#transformers.T5ForConditionalGeneration"),l($t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(an,"id","transformers.T5EncoderModel"),l(an,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(an,"href","#transformers.T5EncoderModel"),l(mo,"class","relative group"),l(Ka,"href","https://arxiv.org/abs/1910.10683"),l(Ka,"rel","nofollow"),l(Ii,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(Za,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Za,"rel","nofollow"),l(Di,"href","/docs/transformers/main/en/model_doc/t5#transformers.T5EncoderModel"),l(xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ln,"id","transformers.TFT5Model"),l(ln,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ln,"href","#transformers.TFT5Model"),l(_o,"class","relative group"),l(tr,"href","https://arxiv.org/abs/1910.10683"),l(tr,"rel","nofollow"),l(Si,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),l(sr,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),l(sr,"rel","nofollow"),l(Gi,"href","/docs/transformers/main/en/model_doc/t5#transformers.TFT5Model"),l(zt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(un,"id","transformers.TFT5ForConditionalGeneration"),l(un,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(un,"href","#transformers.TFT5ForConditionalGeneration"),l(To,"class","relative group"),l(cr,"href","https://arxiv.org/abs/1910.10683"),l(cr,"rel","nofollow"),l(Bi,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),l(ur,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),l(ur,"rel","nofollow"),l(Ui,"href","/docs/transformers/main/en/model_doc/t5#transformers.TFT5ForConditionalGeneration"),l(Et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(gn,"id","transformers.TFT5EncoderModel"),l(gn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(gn,"href","#transformers.TFT5EncoderModel"),l(bo,"class","relative group"),l(Tr,"href","https://arxiv.org/abs/1910.10683"),l(Tr,"rel","nofollow"),l(Wi,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),l(yr,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),l(yr,"rel","nofollow"),l(Ri,"href","/docs/transformers/main/en/model_doc/t5#transformers.TFT5EncoderModel"),l(qt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(yn,"id","transformers.FlaxT5Model"),l(yn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(yn,"href","#transformers.FlaxT5Model"),l(vo,"class","relative group"),l(Ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l($n,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(zn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(qn,"id","transformers.FlaxT5ForConditionalGeneration"),l(qn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(qn,"href","#transformers.FlaxT5ForConditionalGeneration"),l($o,"class","relative group"),l(jt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Mn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(An,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(On,"id","transformers.FlaxT5EncoderModel"),l(On,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(On,"href","#transformers.FlaxT5EncoderModel"),l(zo,"class","relative group"),l(Hi,"href","/docs/transformers/main/en/model_doc/t5#transformers.FlaxT5EncoderModel"),l(Zt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Eo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,h){e(document.head,m),u(t,k,h),u(t,g,h),e(g,_),e(_,T),v(d,T,null),e(g,f),e(g,F),e(F,Le),u(t,qe,h),u(t,S,h),e(S,oe),e(oe,ne),v(E,ne,null),e(S,Ie),e(S,H),e(H,De),u(t,Fe,h),u(t,G,h),e(G,Se),e(G,ae),e(ae,Z),e(G,Ge),u(t,je,h),u(t,B,h),e(B,Be),u(t,Me,h),u(t,U,h),e(U,Te),e(Te,Ue),u(t,re,h),u(t,C,h),e(C,P),u(t,Ce,h),u(t,D,h),e(D,ke),e(ke,J),e(J,X),e(J,be),e(be,We),e(J,O),e(J,ye),e(ye,Q),e(J,Re),e(D,He),e(D,K),e(K,ve),e(ve,Ke),e(D,W),e(D,we),e(we,I),e(I,Ve),e(I,ee),e(ee,N),e(I,Ye),e(I,L),e(L,Ze),e(I,Je),e(I,z),e(z,j),e(I,mt),u(t,ie,h),u(t,Xe,h),e(Xe,ft),u(t,M,h),u(t,V,h),e(V,et),e(et,tt),e(tt,Ae),e(Ae,_t),e(V,R),e(V,Y),e(Y,ot),e(ot,Pe),e(Pe,te),e(V,gt),e(V,nt),e(nt,$e),e($e,Oe),e(Oe,he),e(V,Tt),e(V,hd),e(hd,ud),e(ud,Jn),e(Jn,pu),e(V,hu),e(V,md),e(md,Wr),e(Wr,Xn),e(Xn,uu),e(Wr,mu),u(t,zc,h),u(t,Rr,h),e(Rr,fu),u(t,Ec,h),u(t,St,h),e(St,fd),e(fd,Co),e(Co,_d),e(_d,_u),e(Co,gu),e(Co,Hr),e(Hr,Tu),e(Co,ku),e(St,bu),e(St,gd),e(gd,Ao),e(Ao,Td),e(Td,yu),e(Ao,vu),e(Ao,Kr),e(Kr,wu),e(Ao,$u),e(St,xu),e(St,kd),e(kd,Po),e(Po,bd),e(bd,zu),e(Po,Eu),e(Po,Vr),e(Vr,qu),e(Po,Fu),u(t,qc,h),u(t,Oo,h),e(Oo,ju),e(Oo,Qn),e(Qn,Mu),e(Oo,Cu),u(t,Fc,h),u(t,Gt,h),e(Gt,Au),e(Gt,es),e(es,Pu),e(Gt,Ou),e(Gt,ts),e(ts,Nu),e(Gt,Lu),u(t,jc,h),u(t,Yr,h),u(t,Mc,h),u(t,eo,h),e(eo,No),e(No,yd),v(os,yd,null),e(eo,Iu),e(eo,vd),e(vd,Du),u(t,Cc,h),u(t,kt,h),e(kt,Su),e(kt,wd),e(wd,Gu),e(kt,Bu),e(kt,$d),e($d,Uu),e(kt,Wu),e(kt,xd),e(xd,Ru),e(kt,Hu),u(t,Ac,h),u(t,Lo,h),e(Lo,Ku),e(Lo,Zr),e(Zr,Vu),e(Lo,Yu),u(t,Pc,h),u(t,Jr,h),e(Jr,zd),e(zd,Zu),u(t,Oc,h),u(t,ue,h),e(ue,Ju),e(ue,Ed),e(Ed,Xu),e(ue,Qu),e(ue,qd),e(qd,em),e(ue,tm),e(ue,Fd),e(Fd,om),e(ue,nm),e(ue,jd),e(jd,sm),e(ue,am),e(ue,Md),e(Md,rm),e(ue,im),e(ue,Xr),e(Xr,dm),e(ue,lm),u(t,Nc,h),u(t,Qr,h),e(Qr,cm),u(t,Lc,h),v(ns,t,h),u(t,Ic,h),u(t,Io,h),e(Io,pm),e(Io,ss),e(ss,hm),e(Io,um),u(t,Dc,h),u(t,ei,h),e(ei,Cd),e(Cd,mm),u(t,Sc,h),u(t,ti,h),e(ti,fm),u(t,Gc,h),v(as,t,h),u(t,Bc,h),u(t,se,h),e(se,_m),e(se,Ad),e(Ad,gm),e(se,Tm),e(se,Pd),e(Pd,km),e(se,bm),e(se,Od),e(Od,ym),e(se,vm),e(se,Nd),e(Nd,wm),e(se,$m),e(se,Ld),e(Ld,xm),e(se,zm),e(se,Id),e(Id,Em),e(se,qm),e(se,Dd),e(Dd,Fm),e(se,jm),u(t,Uc,h),u(t,Bt,h),e(Bt,Mm),e(Bt,Sd),e(Sd,Cm),e(Bt,Am),e(Bt,Gd),e(Gd,Pm),e(Bt,Om),u(t,Wc,h),u(t,me,h),e(me,Nm),e(me,Bd),e(Bd,Lm),e(me,Im),e(me,Ud),e(Ud,Dm),e(me,Sm),e(me,Wd),e(Wd,Gm),e(me,Bm),e(me,Rd),e(Rd,Um),e(me,Wm),e(me,rs),e(rs,Rm),e(me,Hm),e(me,Hd),e(Hd,Km),e(me,Vm),u(t,Rc,h),v(is,t,h),u(t,Hc,h),u(t,oi,h),e(oi,Ym),u(t,Kc,h),u(t,ni,h),e(ni,ds),e(ds,Zm),e(ds,Kd),e(Kd,Jm),e(ds,Xm),u(t,Vc,h),u(t,Ut,h),e(Ut,Qm),e(Ut,ls),e(ls,ef),e(Ut,tf),e(Ut,cs),e(cs,of),e(Ut,nf),u(t,Yc,h),u(t,Do,h),e(Do,sf),e(Do,Vd),e(Vd,af),e(Do,rf),u(t,Zc,h),u(t,si,h),u(t,Jc,h),u(t,to,h),e(to,So),e(So,Yd),v(ps,Yd,null),e(to,df),e(to,Zd),e(Zd,lf),u(t,Xc,h),u(t,bt,h),e(bt,cf),e(bt,ai),e(ai,pf),e(bt,hf),e(bt,hs),e(hs,uf),e(bt,mf),e(bt,us),e(us,ff),e(bt,_f),u(t,Qc,h),v(ms,t,h),u(t,ep,h),u(t,st,h),e(st,gf),e(st,Jd),e(Jd,Tf),e(st,kf),e(st,Xd),e(Xd,bf),e(st,yf),e(st,ri),e(ri,vf),e(st,wf),e(st,Qd),e(Qd,$f),e(st,xf),u(t,tp,h),u(t,ii,h),e(ii,zf),u(t,op,h),v(fs,t,h),u(t,np,h),u(t,di,h),e(di,Ef),u(t,sp,h),v(_s,t,h),u(t,ap,h),u(t,li,h),u(t,rp,h),u(t,oo,h),e(oo,Go),e(Go,el),v(gs,el,null),e(oo,qf),e(oo,tl),e(tl,Ff),u(t,ip,h),u(t,yt,h),e(yt,jf),e(yt,Ts),e(Ts,Mf),e(yt,Cf),e(yt,ol),e(ol,Af),e(yt,Pf),e(yt,nl),e(nl,Of),e(yt,Nf),u(t,dp,h),u(t,no,h),e(no,Bo),e(Bo,sl),v(ks,sl,null),e(no,Lf),e(no,al),e(al,If),u(t,lp,h),u(t,ci,h),e(ci,Df),u(t,cp,h),v(bs,t,h),u(t,pp,h),u(t,Uo,h),e(Uo,ys),e(ys,Sf),e(ys,vs),e(vs,Gf),e(ys,Bf),e(Uo,Uf),e(Uo,ws),e(ws,Wf),e(ws,$s),e($s,Rf),e(ws,Hf),u(t,hp,h),v(xs,t,h),u(t,up,h),u(t,pi,h),e(pi,zs),e(zs,Kf),e(zs,Es),e(Es,Vf),e(zs,Yf),u(t,mp,h),v(qs,t,h),u(t,fp,h),u(t,hi,h),e(hi,Fs),e(Fs,Zf),e(Fs,js),e(js,Jf),e(Fs,Xf),u(t,_p,h),v(Ms,t,h),u(t,gp,h),u(t,fe,h),e(fe,Cs),e(Cs,Qf),e(Cs,As),e(As,e_),e(Cs,t_),e(fe,o_),e(fe,Ps),e(Ps,n_),e(Ps,Os),e(Os,s_),e(Ps,a_),e(fe,r_),e(fe,Ns),e(Ns,i_),e(Ns,Ls),e(Ls,d_),e(Ns,l_),e(fe,c_),e(fe,Wt),e(Wt,ui),e(ui,p_),e(Wt,h_),e(Wt,Is),e(Is,u_),e(Wt,m_),e(Wt,Ds),e(Ds,f_),e(Wt,__),e(fe,g_),e(fe,Rt),e(Rt,mi),e(mi,T_),e(Rt,k_),e(Rt,Ss),e(Ss,b_),e(Rt,y_),e(Rt,Gs),e(Gs,v_),e(Rt,w_),e(fe,$_),e(fe,Wo),e(Wo,fi),e(fi,x_),e(Wo,z_),e(Wo,Bs),e(Bs,E_),e(Wo,q_),e(fe,F_),e(fe,_i),e(_i,Us),e(Us,j_),e(_i,M_),u(t,Tp,h),v(Ws,t,h),u(t,kp,h),u(t,gi,h),e(gi,vt),e(vt,Ti),e(Ti,C_),e(vt,A_),e(vt,Rs),e(Rs,P_),e(vt,O_),e(vt,ki),e(ki,N_),e(vt,L_),e(vt,Hs),e(Hs,I_),e(vt,D_),u(t,bp,h),v(Ks,t,h),u(t,yp,h),u(t,Ro,h),e(Ro,Ht),e(Ht,bi),e(bi,S_),e(Ht,G_),e(Ht,Vs),e(Vs,B_),e(Ht,U_),e(Ht,Ys),e(Ys,W_),e(Ht,R_),e(Ro,H_),e(Ro,Kt),e(Kt,yi),e(yi,K_),e(Kt,V_),e(Kt,Zs),e(Zs,Y_),e(Kt,Z_),e(Kt,Js),e(Js,J_),e(Kt,X_),u(t,vp,h),v(Xs,t,h),u(t,wp,h),u(t,Ho,h),e(Ho,Qs),e(Qs,Q_),e(Qs,ea),e(ea,eg),e(Qs,tg),e(Ho,og),e(Ho,ta),e(ta,ng),e(ta,oa),e(oa,sg),e(ta,ag),u(t,$p,h),u(t,na,h),e(na,rg),e(na,rl),e(rl,ig),u(t,xp,h),u(t,vi,h),e(vi,sa),e(sa,dg),e(sa,aa),e(aa,lg),e(sa,cg),u(t,zp,h),u(t,so,h),e(so,Ko),e(Ko,il),v(ra,il,null),e(so,pg),e(so,dl),e(dl,hg),u(t,Ep,h),u(t,Lt,h),v(ia,Lt,null),e(Lt,ug),e(Lt,It),e(It,mg),e(It,wi),e(wi,fg),e(It,_g),e(It,$i),e($i,gg),e(It,Tg),e(It,da),e(da,kg),e(It,bg),e(Lt,yg),e(Lt,ao),e(ao,vg),e(ao,xi),e(xi,wg),e(ao,$g),e(ao,zi),e(zi,xg),e(ao,zg),u(t,qp,h),u(t,ro,h),e(ro,Vo),e(Vo,ll),v(la,ll,null),e(ro,Eg),e(ro,cl),e(cl,qg),u(t,Fp,h),u(t,de,h),v(ca,de,null),e(de,Fg),e(de,pa),e(pa,jg),e(pa,ha),e(ha,Mg),e(pa,Cg),e(de,Ag),e(de,ua),e(ua,Pg),e(ua,Ei),e(Ei,Og),e(ua,Ng),e(de,Lg),e(de,Vt),v(ma,Vt,null),e(Vt,Ig),e(Vt,pl),e(pl,Dg),e(Vt,Sg),e(Vt,fa),e(fa,qi),e(qi,Gg),e(qi,hl),e(hl,Bg),e(fa,Ug),e(fa,Fi),e(Fi,Wg),e(Fi,ul),e(ul,Rg),e(de,Hg),e(de,Yo),v(_a,Yo,null),e(Yo,Kg),e(Yo,ga),e(ga,Vg),e(ga,ml),e(ml,Yg),e(ga,Zg),e(de,Jg),e(de,Zo),v(Ta,Zo,null),e(Zo,Xg),e(Zo,fl),e(fl,Qg),e(de,eT),e(de,ji),v(ka,ji,null),u(t,jp,h),u(t,io,h),e(io,Jo),e(Jo,_l),v(ba,_l,null),e(io,tT),e(io,gl),e(gl,oT),u(t,Mp,h),u(t,Qe,h),v(ya,Qe,null),e(Qe,nT),e(Qe,lo),e(lo,sT),e(lo,Tl),e(Tl,aT),e(lo,rT),e(lo,va),e(va,iT),e(lo,dT),e(Qe,lT),e(Qe,wa),e(wa,cT),e(wa,Mi),e(Mi,pT),e(wa,hT),e(Qe,uT),e(Qe,Yt),v($a,Yt,null),e(Yt,mT),e(Yt,kl),e(kl,fT),e(Yt,_T),e(Yt,xa),e(xa,Ci),e(Ci,gT),e(Ci,bl),e(bl,TT),e(xa,kT),e(xa,Ai),e(Ai,bT),e(Ai,yl),e(yl,yT),e(Qe,vT),e(Qe,Xo),v(za,Xo,null),e(Xo,wT),e(Xo,vl),e(vl,$T),u(t,Cp,h),u(t,co,h),e(co,Qo),e(Qo,wl),v(Ea,wl,null),e(co,xT),e(co,$l),e($l,zT),u(t,Ap,h),u(t,xe,h),v(qa,xe,null),e(xe,ET),e(xe,xl),e(xl,qT),e(xe,FT),e(xe,Fa),e(Fa,jT),e(Fa,ja),e(ja,MT),e(Fa,CT),e(xe,AT),e(xe,Ma),e(Ma,PT),e(Ma,Pi),e(Pi,OT),e(Ma,NT),e(xe,LT),e(xe,Ca),e(Ca,IT),e(Ca,Aa),e(Aa,DT),e(Ca,ST),e(xe,GT),e(xe,wt),v(Pa,wt,null),e(wt,BT),e(wt,po),e(po,UT),e(po,Oi),e(Oi,WT),e(po,RT),e(po,zl),e(zl,HT),e(po,KT),e(wt,VT),v(en,wt,null),e(wt,YT),v(tn,wt,null),u(t,Pp,h),u(t,ho,h),e(ho,on),e(on,El),v(Oa,El,null),e(ho,ZT),e(ho,ql),e(ql,JT),u(t,Op,h),u(t,ze,h),v(Na,ze,null),e(ze,XT),e(ze,La),e(La,QT),e(La,Fl),e(Fl,ek),e(La,tk),e(ze,ok),e(ze,Ia),e(Ia,nk),e(Ia,Da),e(Da,sk),e(Ia,ak),e(ze,rk),e(ze,Sa),e(Sa,ik),e(Sa,Ni),e(Ni,dk),e(Sa,lk),e(ze,ck),e(ze,Ga),e(Ga,pk),e(Ga,Ba),e(Ba,hk),e(Ga,uk),e(ze,mk),e(ze,$t),v(Ua,$t,null),e($t,fk),e($t,uo),e(uo,_k),e(uo,Li),e(Li,gk),e(uo,Tk),e(uo,jl),e(jl,kk),e(uo,bk),e($t,yk),v(nn,$t,null),e($t,vk),v(sn,$t,null),u(t,Np,h),u(t,mo,h),e(mo,an),e(an,Ml),v(Wa,Ml,null),e(mo,wk),e(mo,Cl),e(Cl,$k),u(t,Lp,h),u(t,Ee,h),v(Ra,Ee,null),e(Ee,xk),e(Ee,Al),e(Al,zk),e(Ee,Ek),e(Ee,Ha),e(Ha,qk),e(Ha,Ka),e(Ka,Fk),e(Ha,jk),e(Ee,Mk),e(Ee,Va),e(Va,Ck),e(Va,Ii),e(Ii,Ak),e(Va,Pk),e(Ee,Ok),e(Ee,Ya),e(Ya,Nk),e(Ya,Za),e(Za,Lk),e(Ya,Ik),e(Ee,Dk),e(Ee,xt),v(Ja,xt,null),e(xt,Sk),e(xt,fo),e(fo,Gk),e(fo,Di),e(Di,Bk),e(fo,Uk),e(fo,Pl),e(Pl,Wk),e(fo,Rk),e(xt,Hk),v(rn,xt,null),e(xt,Kk),v(dn,xt,null),u(t,Ip,h),u(t,_o,h),e(_o,ln),e(ln,Ol),v(Xa,Ol,null),e(_o,Vk),e(_o,Nl),e(Nl,Yk),u(t,Dp,h),u(t,le,h),v(Qa,le,null),e(le,Zk),e(le,Ll),e(Ll,Jk),e(le,Xk),e(le,er),e(er,Qk),e(er,tr),e(tr,eb),e(er,tb),e(le,ob),e(le,or),e(or,nb),e(or,Si),e(Si,sb),e(or,ab),e(le,rb),e(le,nr),e(nr,ib),e(nr,sr),e(sr,db),e(nr,lb),e(le,cb),v(cn,le,null),e(le,pb),e(le,zt),v(ar,zt,null),e(zt,hb),e(zt,go),e(go,ub),e(go,Gi),e(Gi,mb),e(go,fb),e(go,Il),e(Il,_b),e(go,gb),e(zt,Tb),v(pn,zt,null),e(zt,kb),v(hn,zt,null),u(t,Sp,h),u(t,To,h),e(To,un),e(un,Dl),v(rr,Dl,null),e(To,bb),e(To,Sl),e(Sl,yb),u(t,Gp,h),u(t,ce,h),v(ir,ce,null),e(ce,vb),e(ce,dr),e(dr,wb),e(dr,Gl),e(Gl,$b),e(dr,xb),e(ce,zb),e(ce,lr),e(lr,Eb),e(lr,cr),e(cr,qb),e(lr,Fb),e(ce,jb),e(ce,pr),e(pr,Mb),e(pr,Bi),e(Bi,Cb),e(pr,Ab),e(ce,Pb),e(ce,hr),e(hr,Ob),e(hr,ur),e(ur,Nb),e(hr,Lb),e(ce,Ib),v(mn,ce,null),e(ce,Db),e(ce,Et),v(mr,Et,null),e(Et,Sb),e(Et,ko),e(ko,Gb),e(ko,Ui),e(Ui,Bb),e(ko,Ub),e(ko,Bl),e(Bl,Wb),e(ko,Rb),e(Et,Hb),v(fn,Et,null),e(Et,Kb),v(_n,Et,null),u(t,Bp,h),u(t,bo,h),e(bo,gn),e(gn,Ul),v(fr,Ul,null),e(bo,Vb),e(bo,Wl),e(Wl,Yb),u(t,Up,h),u(t,pe,h),v(_r,pe,null),e(pe,Zb),e(pe,Rl),e(Rl,Jb),e(pe,Xb),e(pe,gr),e(gr,Qb),e(gr,Tr),e(Tr,ey),e(gr,ty),e(pe,oy),e(pe,kr),e(kr,ny),e(kr,Wi),e(Wi,sy),e(kr,ay),e(pe,ry),e(pe,br),e(br,iy),e(br,yr),e(yr,dy),e(br,ly),e(pe,cy),v(Tn,pe,null),e(pe,py),e(pe,qt),v(vr,qt,null),e(qt,hy),e(qt,yo),e(yo,uy),e(yo,Ri),e(Ri,my),e(yo,fy),e(yo,Hl),e(Hl,_y),e(yo,gy),e(qt,Ty),v(kn,qt,null),e(qt,ky),v(bn,qt,null),u(t,Wp,h),u(t,vo,h),e(vo,yn),e(yn,Kl),v(wr,Kl,null),e(vo,by),e(vo,Vl),e(Vl,yy),u(t,Rp,h),u(t,ht,h),v($r,ht,null),e(ht,vy),e(ht,Ft),v(xr,Ft,null),e(Ft,wy),e(Ft,wo),e(wo,$y),e(wo,Yl),e(Yl,xy),e(wo,zy),e(wo,Zl),e(Zl,Ey),e(wo,qy),e(Ft,Fy),v(vn,Ft,null),e(Ft,jy),v(wn,Ft,null),e(ht,My),e(ht,$n),v(zr,$n,null),e($n,Cy),v(xn,$n,null),e(ht,Ay),e(ht,zn),v(Er,zn,null),e(zn,Py),v(En,zn,null),u(t,Hp,h),u(t,$o,h),e($o,qn),e(qn,Jl),v(qr,Jl,null),e($o,Oy),e($o,Xl),e(Xl,Ny),u(t,Kp,h),u(t,ut,h),v(Fr,ut,null),e(ut,Ly),e(ut,jt),v(jr,jt,null),e(jt,Iy),e(jt,xo),e(xo,Dy),e(xo,Ql),e(Ql,Sy),e(xo,Gy),e(xo,ec),e(ec,By),e(xo,Uy),e(jt,Wy),v(Fn,jt,null),e(jt,Ry),v(jn,jt,null),e(ut,Hy),e(ut,Mn),v(Mr,Mn,null),e(Mn,Ky),v(Cn,Mn,null),e(ut,Vy),e(ut,An),v(Cr,An,null),e(An,Yy),v(Pn,An,null),u(t,Vp,h),u(t,zo,h),e(zo,On),e(On,tc),v(Ar,tc,null),e(zo,Zy),e(zo,oc),e(oc,Jy),u(t,Yp,h),u(t,Eo,h),v(Pr,Eo,null),e(Eo,Xy),e(Eo,Zt),v(Or,Zt,null),e(Zt,Qy),e(Zt,qo),e(qo,ev),e(qo,Hi),e(Hi,tv),e(qo,ov),e(qo,nc),e(nc,nv),e(qo,sv),e(Zt,av),v(Nn,Zt,null),Zp=!0},p(t,[h]){const Nr={};h&2&&(Nr.$$scope={dirty:h,ctx:t}),en.$set(Nr);const sc={};h&2&&(sc.$$scope={dirty:h,ctx:t}),tn.$set(sc);const ac={};h&2&&(ac.$$scope={dirty:h,ctx:t}),nn.$set(ac);const rc={};h&2&&(rc.$$scope={dirty:h,ctx:t}),sn.$set(rc);const Lr={};h&2&&(Lr.$$scope={dirty:h,ctx:t}),rn.$set(Lr);const ic={};h&2&&(ic.$$scope={dirty:h,ctx:t}),dn.$set(ic);const dc={};h&2&&(dc.$$scope={dirty:h,ctx:t}),cn.$set(dc);const lc={};h&2&&(lc.$$scope={dirty:h,ctx:t}),pn.$set(lc);const Ir={};h&2&&(Ir.$$scope={dirty:h,ctx:t}),hn.$set(Ir);const cc={};h&2&&(cc.$$scope={dirty:h,ctx:t}),mn.$set(cc);const pc={};h&2&&(pc.$$scope={dirty:h,ctx:t}),fn.$set(pc);const hc={};h&2&&(hc.$$scope={dirty:h,ctx:t}),_n.$set(hc);const uc={};h&2&&(uc.$$scope={dirty:h,ctx:t}),Tn.$set(uc);const mc={};h&2&&(mc.$$scope={dirty:h,ctx:t}),kn.$set(mc);const Fo={};h&2&&(Fo.$$scope={dirty:h,ctx:t}),bn.$set(Fo);const fc={};h&2&&(fc.$$scope={dirty:h,ctx:t}),vn.$set(fc);const jo={};h&2&&(jo.$$scope={dirty:h,ctx:t}),wn.$set(jo);const _c={};h&2&&(_c.$$scope={dirty:h,ctx:t}),xn.$set(_c);const gc={};h&2&&(gc.$$scope={dirty:h,ctx:t}),En.$set(gc);const Tc={};h&2&&(Tc.$$scope={dirty:h,ctx:t}),Fn.$set(Tc);const kc={};h&2&&(kc.$$scope={dirty:h,ctx:t}),jn.$set(kc);const bc={};h&2&&(bc.$$scope={dirty:h,ctx:t}),Cn.$set(bc);const Dt={};h&2&&(Dt.$$scope={dirty:h,ctx:t}),Pn.$set(Dt);const yc={};h&2&&(yc.$$scope={dirty:h,ctx:t}),Nn.$set(yc)},i(t){Zp||(w(d.$$.fragment,t),w(E.$$.fragment,t),w(os.$$.fragment,t),w(ns.$$.fragment,t),w(as.$$.fragment,t),w(is.$$.fragment,t),w(ps.$$.fragment,t),w(ms.$$.fragment,t),w(fs.$$.fragment,t),w(_s.$$.fragment,t),w(gs.$$.fragment,t),w(ks.$$.fragment,t),w(bs.$$.fragment,t),w(xs.$$.fragment,t),w(qs.$$.fragment,t),w(Ms.$$.fragment,t),w(Ws.$$.fragment,t),w(Ks.$$.fragment,t),w(Xs.$$.fragment,t),w(ra.$$.fragment,t),w(ia.$$.fragment,t),w(la.$$.fragment,t),w(ca.$$.fragment,t),w(ma.$$.fragment,t),w(_a.$$.fragment,t),w(Ta.$$.fragment,t),w(ka.$$.fragment,t),w(ba.$$.fragment,t),w(ya.$$.fragment,t),w($a.$$.fragment,t),w(za.$$.fragment,t),w(Ea.$$.fragment,t),w(qa.$$.fragment,t),w(Pa.$$.fragment,t),w(en.$$.fragment,t),w(tn.$$.fragment,t),w(Oa.$$.fragment,t),w(Na.$$.fragment,t),w(Ua.$$.fragment,t),w(nn.$$.fragment,t),w(sn.$$.fragment,t),w(Wa.$$.fragment,t),w(Ra.$$.fragment,t),w(Ja.$$.fragment,t),w(rn.$$.fragment,t),w(dn.$$.fragment,t),w(Xa.$$.fragment,t),w(Qa.$$.fragment,t),w(cn.$$.fragment,t),w(ar.$$.fragment,t),w(pn.$$.fragment,t),w(hn.$$.fragment,t),w(rr.$$.fragment,t),w(ir.$$.fragment,t),w(mn.$$.fragment,t),w(mr.$$.fragment,t),w(fn.$$.fragment,t),w(_n.$$.fragment,t),w(fr.$$.fragment,t),w(_r.$$.fragment,t),w(Tn.$$.fragment,t),w(vr.$$.fragment,t),w(kn.$$.fragment,t),w(bn.$$.fragment,t),w(wr.$$.fragment,t),w($r.$$.fragment,t),w(xr.$$.fragment,t),w(vn.$$.fragment,t),w(wn.$$.fragment,t),w(zr.$$.fragment,t),w(xn.$$.fragment,t),w(Er.$$.fragment,t),w(En.$$.fragment,t),w(qr.$$.fragment,t),w(Fr.$$.fragment,t),w(jr.$$.fragment,t),w(Fn.$$.fragment,t),w(jn.$$.fragment,t),w(Mr.$$.fragment,t),w(Cn.$$.fragment,t),w(Cr.$$.fragment,t),w(Pn.$$.fragment,t),w(Ar.$$.fragment,t),w(Pr.$$.fragment,t),w(Or.$$.fragment,t),w(Nn.$$.fragment,t),Zp=!0)},o(t){$(d.$$.fragment,t),$(E.$$.fragment,t),$(os.$$.fragment,t),$(ns.$$.fragment,t),$(as.$$.fragment,t),$(is.$$.fragment,t),$(ps.$$.fragment,t),$(ms.$$.fragment,t),$(fs.$$.fragment,t),$(_s.$$.fragment,t),$(gs.$$.fragment,t),$(ks.$$.fragment,t),$(bs.$$.fragment,t),$(xs.$$.fragment,t),$(qs.$$.fragment,t),$(Ms.$$.fragment,t),$(Ws.$$.fragment,t),$(Ks.$$.fragment,t),$(Xs.$$.fragment,t),$(ra.$$.fragment,t),$(ia.$$.fragment,t),$(la.$$.fragment,t),$(ca.$$.fragment,t),$(ma.$$.fragment,t),$(_a.$$.fragment,t),$(Ta.$$.fragment,t),$(ka.$$.fragment,t),$(ba.$$.fragment,t),$(ya.$$.fragment,t),$($a.$$.fragment,t),$(za.$$.fragment,t),$(Ea.$$.fragment,t),$(qa.$$.fragment,t),$(Pa.$$.fragment,t),$(en.$$.fragment,t),$(tn.$$.fragment,t),$(Oa.$$.fragment,t),$(Na.$$.fragment,t),$(Ua.$$.fragment,t),$(nn.$$.fragment,t),$(sn.$$.fragment,t),$(Wa.$$.fragment,t),$(Ra.$$.fragment,t),$(Ja.$$.fragment,t),$(rn.$$.fragment,t),$(dn.$$.fragment,t),$(Xa.$$.fragment,t),$(Qa.$$.fragment,t),$(cn.$$.fragment,t),$(ar.$$.fragment,t),$(pn.$$.fragment,t),$(hn.$$.fragment,t),$(rr.$$.fragment,t),$(ir.$$.fragment,t),$(mn.$$.fragment,t),$(mr.$$.fragment,t),$(fn.$$.fragment,t),$(_n.$$.fragment,t),$(fr.$$.fragment,t),$(_r.$$.fragment,t),$(Tn.$$.fragment,t),$(vr.$$.fragment,t),$(kn.$$.fragment,t),$(bn.$$.fragment,t),$(wr.$$.fragment,t),$($r.$$.fragment,t),$(xr.$$.fragment,t),$(vn.$$.fragment,t),$(wn.$$.fragment,t),$(zr.$$.fragment,t),$(xn.$$.fragment,t),$(Er.$$.fragment,t),$(En.$$.fragment,t),$(qr.$$.fragment,t),$(Fr.$$.fragment,t),$(jr.$$.fragment,t),$(Fn.$$.fragment,t),$(jn.$$.fragment,t),$(Mr.$$.fragment,t),$(Cn.$$.fragment,t),$(Cr.$$.fragment,t),$(Pn.$$.fragment,t),$(Ar.$$.fragment,t),$(Pr.$$.fragment,t),$(Or.$$.fragment,t),$(Nn.$$.fragment,t),Zp=!1},d(t){o(m),t&&o(k),t&&o(g),x(d),t&&o(qe),t&&o(S),x(E),t&&o(Fe),t&&o(G),t&&o(je),t&&o(B),t&&o(Me),t&&o(U),t&&o(re),t&&o(C),t&&o(Ce),t&&o(D),t&&o(ie),t&&o(Xe),t&&o(M),t&&o(V),t&&o(zc),t&&o(Rr),t&&o(Ec),t&&o(St),t&&o(qc),t&&o(Oo),t&&o(Fc),t&&o(Gt),t&&o(jc),t&&o(Yr),t&&o(Mc),t&&o(eo),x(os),t&&o(Cc),t&&o(kt),t&&o(Ac),t&&o(Lo),t&&o(Pc),t&&o(Jr),t&&o(Oc),t&&o(ue),t&&o(Nc),t&&o(Qr),t&&o(Lc),x(ns,t),t&&o(Ic),t&&o(Io),t&&o(Dc),t&&o(ei),t&&o(Sc),t&&o(ti),t&&o(Gc),x(as,t),t&&o(Bc),t&&o(se),t&&o(Uc),t&&o(Bt),t&&o(Wc),t&&o(me),t&&o(Rc),x(is,t),t&&o(Hc),t&&o(oi),t&&o(Kc),t&&o(ni),t&&o(Vc),t&&o(Ut),t&&o(Yc),t&&o(Do),t&&o(Zc),t&&o(si),t&&o(Jc),t&&o(to),x(ps),t&&o(Xc),t&&o(bt),t&&o(Qc),x(ms,t),t&&o(ep),t&&o(st),t&&o(tp),t&&o(ii),t&&o(op),x(fs,t),t&&o(np),t&&o(di),t&&o(sp),x(_s,t),t&&o(ap),t&&o(li),t&&o(rp),t&&o(oo),x(gs),t&&o(ip),t&&o(yt),t&&o(dp),t&&o(no),x(ks),t&&o(lp),t&&o(ci),t&&o(cp),x(bs,t),t&&o(pp),t&&o(Uo),t&&o(hp),x(xs,t),t&&o(up),t&&o(pi),t&&o(mp),x(qs,t),t&&o(fp),t&&o(hi),t&&o(_p),x(Ms,t),t&&o(gp),t&&o(fe),t&&o(Tp),x(Ws,t),t&&o(kp),t&&o(gi),t&&o(bp),x(Ks,t),t&&o(yp),t&&o(Ro),t&&o(vp),x(Xs,t),t&&o(wp),t&&o(Ho),t&&o($p),t&&o(na),t&&o(xp),t&&o(vi),t&&o(zp),t&&o(so),x(ra),t&&o(Ep),t&&o(Lt),x(ia),t&&o(qp),t&&o(ro),x(la),t&&o(Fp),t&&o(de),x(ca),x(ma),x(_a),x(Ta),x(ka),t&&o(jp),t&&o(io),x(ba),t&&o(Mp),t&&o(Qe),x(ya),x($a),x(za),t&&o(Cp),t&&o(co),x(Ea),t&&o(Ap),t&&o(xe),x(qa),x(Pa),x(en),x(tn),t&&o(Pp),t&&o(ho),x(Oa),t&&o(Op),t&&o(ze),x(Na),x(Ua),x(nn),x(sn),t&&o(Np),t&&o(mo),x(Wa),t&&o(Lp),t&&o(Ee),x(Ra),x(Ja),x(rn),x(dn),t&&o(Ip),t&&o(_o),x(Xa),t&&o(Dp),t&&o(le),x(Qa),x(cn),x(ar),x(pn),x(hn),t&&o(Sp),t&&o(To),x(rr),t&&o(Gp),t&&o(ce),x(ir),x(mn),x(mr),x(fn),x(_n),t&&o(Bp),t&&o(bo),x(fr),t&&o(Up),t&&o(pe),x(_r),x(Tn),x(vr),x(kn),x(bn),t&&o(Wp),t&&o(vo),x(wr),t&&o(Rp),t&&o(ht),x($r),x(xr),x(vn),x(wn),x(zr),x(xn),x(Er),x(En),t&&o(Hp),t&&o($o),x(qr),t&&o(Kp),t&&o(ut),x(Fr),x(jr),x(Fn),x(jn),x(Mr),x(Cn),x(Cr),x(Pn),t&&o(Vp),t&&o(zo),x(Ar),t&&o(Yp),t&&o(Eo),x(Pr),x(Or),x(Nn)}}}const X2={local:"t5",sections:[{local:"overview",title:"Overview"},{local:"training",title:"Training"},{local:"inference",title:"Inference"},{local:"performance",title:"Performance"},{local:"resources",title:"Resources"},{local:"transformers.T5Config",title:"T5Config"},{local:"transformers.T5Tokenizer",title:"T5Tokenizer"},{local:"transformers.T5TokenizerFast",title:"T5TokenizerFast"},{local:"transformers.T5Model",title:"T5Model"},{local:"transformers.T5ForConditionalGeneration",title:"T5ForConditionalGeneration"},{local:"transformers.T5EncoderModel",title:"T5EncoderModel"},{local:"transformers.TFT5Model",title:"TFT5Model"},{local:"transformers.TFT5ForConditionalGeneration",title:"TFT5ForConditionalGeneration"},{local:"transformers.TFT5EncoderModel",title:"TFT5EncoderModel"},{local:"transformers.FlaxT5Model",title:"FlaxT5Model"},{local:"transformers.FlaxT5ForConditionalGeneration",title:"FlaxT5ForConditionalGeneration"},{local:"transformers.FlaxT5EncoderModel",title:"FlaxT5EncoderModel"}],title:"T5"};function Q2(q){return z2(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class i$ extends v2{constructor(m){super();w2(this,m,Q2,J2,$2,{})}}export{i$ as default,X2 as metadata};
